diff --git a/docs/en_US/add_restore_point_dialog.rst b/docs/en_US/add_restore_point_dialog.rst
index 06330be..1f2c24b 100644
--- a/docs/en_US/add_restore_point_dialog.rst
+++ b/docs/en_US/add_restore_point_dialog.rst
@@ -7,6 +7,7 @@ The Add named restore point Dialog
 Use the *Add named restore point* dialog to take a named snapshot of the state of the server for use in a recovery file. To create a named restore point, the server's postgresql.conf file must specify a *wal_level* value of *archive*, *hot_standby*, or *logical*.  You must be a database superuser to create a restore point.
 
 .. image:: images/add_restore_point.png
+    :alt: Restore point dialog
 
 When the *Restore point name* window launches, use the field *Enter the name of the restore point to add* to provide a descriptive name for the restore point.
 
diff --git a/docs/en_US/backup_dialog.rst b/docs/en_US/backup_dialog.rst
index af9288d..bced26c 100644
--- a/docs/en_US/backup_dialog.rst
+++ b/docs/en_US/backup_dialog.rst
@@ -1,7 +1,7 @@
 .. _backup_dialog:
 
 *****************
-The Backup Dialog 
+The Backup Dialog
 *****************
 
 Using the *pg_dump* utility, *pgAdmin* provides an easy way to create a backup in a plain-text or archived format.  You can then use a client application (like *psql* or the *Query Tool*) to restore a plain-text backup file, or use the Postgres *pg_restore* utility to restore an archived backup. The *pg_dump* utility must have read access to all database objects that you want to back up.
@@ -9,60 +9,65 @@ Using the *pg_dump* utility, *pgAdmin* provides an easy way to create a backup i
 You can backup a single table, a schema, or a complete database. Select the name of the backup source in the *pgAdmin* tree control, right click to open the context menu, and select *Backup...* to open the *Backup* dialog.  The name of the object selected will appear in the dialog title bar.
 
 .. image:: images/backup_general.png
+    :alt: Backup dialog general tab
 
 Use the fields in the *General* tab to specify parameters for the backup:
 
 * Enter the name of the backup file in the *Filename* field.  Optionally, select the *Browser* icon (...) to the right to navigate into a directory and select a file that will contain the archive.
-* Use the drop-down listbox in the *Format* field to select the format that is best suited for your application.  Each format has advantages and disadvantages: 
+* Use the drop-down listbox in the *Format* field to select the format that is best suited for your application.  Each format has advantages and disadvantages:
 
    * Select *Custom* to create a custom archive file that you can use with *pg_restore* to create a copy of a database. Custom archive file formats must be restored with *pg_restore*. This format offers the opportunity to select which database objects to restore from the backup file. *Custom* archive format is recommended for medium to large databases as it is compressed by default.
 
    * Select *Tar* to generate a tar archive file that you can restore with *pg_restore*. The tar format does not support compression.
-   
+
    * Select *Plain* to create a plain-text script file. A plain-text script file contains SQL statements and commands that you can execute at the *psql* command line to recreate the database objects and load the table data.  A plain-text backup file can be edited in a text editor, if desired, before using the *psql* program to restore database objects.  *Plain* format is normally recommended for smaller databases; script dumps are not recommended for blobs. The SQL commands within the script will reconstruct the database to the last saved state of the database.  A plain-text script can be used to reconstruct the database on another machine, or (with modifications) on other architectures.
-   
+
    * Select *Directory* to generate a directory-format archive suitable for use with *pg_restore*.  This file format creates a directory with one file for each table and blob being dumped, plus a *Table of Contents* file describing the dumped objects in a machine-readable format that *pg_restore* can read.  This format is compressed by default.
 
-* Use the *Compression Ratio* field to select a compression level for the backup.  Specify a value of zero to mean use no compression; specify a maximum compression value of 9.  Please note that tar archives do not support compression.  
+* Use the *Compression Ratio* field to select a compression level for the backup.  Specify a value of zero to mean use no compression; specify a maximum compression value of 9.  Please note that tar archives do not support compression.
 * Use the *Encoding* drop-down listbox to select the character encoding method that should be used for the archive.
 * Use the *Number of Jobs* field (when applicable) to specify the number of tables that will be dumped simultaneously in a parallel backup.
-* Use the dropdown listbox next to *Rolename* to specify the role that owns the backup. 
+* Use the dropdown listbox next to *Rolename* to specify the role that owns the backup.
 
 Click the *Dump options* tab to continue. Use the box fields in the *Dump options* tab to provide options for *pg_dump*.
 
 .. image:: images/backup_sections.png
+    :alt: Sections option on backup dialog
 
-* Move switches in the **Sections** field box to select a portion of the object that will be backed up.  
+* Move switches in the **Sections** field box to select a portion of the object that will be backed up.
 
    * Move the switch next to *Pre-data* to the *Yes* position to include all data definition items not included in the data or post-data item lists.
-   
-   * Move the switch next to *Data* to the *Yes* position to backup actual table data, large-object contents, and sequence values. 
-   
+
+   * Move the switch next to *Data* to the *Yes* position to backup actual table data, large-object contents, and sequence values.
+
    * Move the switch next to *Post-data* to the *Yes* position to include definitions of indexes, triggers, rules, and constraints other than validated check constraints.
-   
-.. image:: images/backup_objects.png 
+
+.. image:: images/backup_objects.png
+    :alt: Type of objects option on backup dialog
 
 * Move switches in the **Type of objects** field box to specify details about the type of objects that will be backed up.
 
    * Move the switch next to *Only data* to the *Yes* position to limit the back up to data.
- 
+
    * Move the switch next to *Only schema* to limit the back up to schema-level database objects.
-     
-   * Move the switch next to *Blobs* to the *No* position to exclude large objects in the backup. 
+
+   * Move the switch next to *Blobs* to the *No* position to exclude large objects in the backup.
 
 .. image:: images/backup_do_not_save.png
+    :alt: Do not save option on backup dialog
 
 * Move switches in the **Do not save** field box to select the objects that will not be included in the backup.
 
    * Move the switch next to *Owner* to the *Yes* position to include commands that set object ownership.
 
-   * Move the switch next to *Privilege* to the *Yes* position to include commands that create access privileges. 
+   * Move the switch next to *Privilege* to the *Yes* position to include commands that create access privileges.
 
-   * Move the switch next to *Tablespace* to the *Yes* position to include tablespaces. 
+   * Move the switch next to *Tablespace* to the *Yes* position to include tablespaces.
 
-   * Move the switch next to *Unlogged table data* to the *Yes* position to include the contents of unlogged tables. 
+   * Move the switch next to *Unlogged table data* to the *Yes* position to include the contents of unlogged tables.
 
 .. image:: images/backup_queries.png
+    :alt: Queries option on backup dialog
 
 * Move switches in the **Queries** field box to specify the type of statements that should be included in the backup.
 
@@ -75,14 +80,16 @@ Click the *Dump options* tab to continue. Use the box fields in the *Dump option
    * Move the switch next to *Include DROP DATABASE statement* to the *Yes* position to include a command in the backup that will drop any existing database object with the same name before recreating the object during a backup.
 
 .. image:: images/backup_disable.png
+    :alt: Disable option on backup dialog
 
 * Move switches in the **Disable** field box to specify the type of statements that should be excluded from the backup.
 
    * Move the switch next to *Trigger* (active when creating a data-only backup) to the *Yes* position to include commands that will disable triggers on the target table while the data is being loaded.
 
    * Move the switch next to *$ quoting* to the *Yes* position to enable dollar quoting within function bodies; if disabled, the function body will be quoted using SQL standard string syntax.
-   
+
 .. image:: images/backup_miscellaneous.png
+    :alt: Miscellaneous option on backup dialog
 
 * Move switches in the **Miscellaneous** field box to specify miscellaneous backup options.
 
@@ -94,15 +101,17 @@ Click the *Dump options* tab to continue. Use the box fields in the *Dump option
 
    * Move the switch next to *Use SET SESSION AUTHORIZATION* to the *Yes* position to include a statement that will use a SET SESSION AUTHORIZATION command to determine object ownership (instead of an ALTER OWNER command).
 
-When you’ve specified the details that will be incorporated into the pg_dump command: 
+When you’ve specified the details that will be incorporated into the pg_dump command:
 
-* Click the *Backup* button to build and execute a command that builds a backup based on your selections on the *Backup* dialog. 
+* Click the *Backup* button to build and execute a command that builds a backup based on your selections on the *Backup* dialog.
 * Click the *Cancel* button to exit without saving work.
 
-.. image:: images/backup_messages.png  
+.. image:: images/backup_messages.png
+    :alt: Backup success notification popup
 
 If the backup is successful, a popup window will confirm success. Click *Click here for details* on the popup window to launch the *Process Watcher*. The *Process Watcher* logs all the activity associated with the backup and provides additional information for troubleshooting.
 
 .. image:: images/backup_process_watcher.png
-   
+    :alt:  Backup process watcher
+
 If the backup is unsuccessful, you can review the error messages returned by the backup command on the *Process Watcher*.
\ No newline at end of file
diff --git a/docs/en_US/backup_globals_dialog.rst b/docs/en_US/backup_globals_dialog.rst
index 174dd28..f85dacc 100644
--- a/docs/en_US/backup_globals_dialog.rst
+++ b/docs/en_US/backup_globals_dialog.rst
@@ -7,23 +7,26 @@ The Backup Globals Dialog
 Use the *Backup Globals* dialog to create a plain-text script that recreates all of the database objects within a cluster, and the global objects that are shared by those databases. Global objects include tablespaces, roles, and object properties. You can use the pgAdmin *Query Tool* to play back a plain-text script, and recreate the objects in the backup.
 
 .. image:: images/backup_globals_general.png
+    :alt: Backup globals dialog
 
 Use the fields in the *General* tab to specify the following:
 
 * Enter the name of the backup file in the *Filename* field.  Optionally, select the *Browser* icon (ellipsis) to the right to navigate into a directory and select a file that will contain the archive.
-* Use the drop-down listbox next to *Role name* to specify a role with connection privileges on the selected server.  The role will be used for authentication during the backup. 
+* Use the drop-down listbox next to *Role name* to specify a role with connection privileges on the selected server.  The role will be used for authentication during the backup.
 
 Move switches in the **Miscellaneous** field box to specify the type of statements that should be included in the backup.
-    
+
 * Move the *Verbose messages* switch to the *No* position to exclude status messages from the backup. The default is *Yes*.
 * Move the *Force double quote on identifiers* switch to the *Yes* position to name identifiers without changing case. The default is *No*.
 
 Click the *Backup* button to build and execute a command based on your selections; click the *Cancel* button to exit without saving work.
 
 .. image:: images/backup_globals_messages.png
+    :alt: Backup globals success notification popup
 
 If the backup is successful, a popup window will confirm success. Click *Click here for details* on the popup window to launch the *Process Watcher*. The *Process Watcher* logs all the activity associated with the backup and provides additional information for troubleshooting.
 
 .. image:: images/backup_globals_process_watcher.png
-   
+    :alt:  Backup globals process watcher
+
 If the backup is unsuccessful, review the error message returned by the *Process Watcher* to resolve any issue.
\ No newline at end of file
diff --git a/docs/en_US/backup_server_dialog.rst b/docs/en_US/backup_server_dialog.rst
index 00213b1..1b29e88 100644
--- a/docs/en_US/backup_server_dialog.rst
+++ b/docs/en_US/backup_server_dialog.rst
@@ -7,23 +7,26 @@ The Backup Server Dialog
 Use the *Backup Server* dialog to create a plain-text script that will recreate the selected server. You can use the pgAdmin *Query Tool* to play back a plain-text script, and recreate the server.
 
 .. image:: images/backup_server_general.png
+    :alt: Backup server dialog
 
 Use the fields in the *General* tab to specify the following:
 
 * Enter the name of the backup file in the *Filename* field.  Optionally, select the *Browser* icon (ellipsis) to the right to navigate into a directory and select a file that will contain the archive.
-* Use the drop-down listbox next to *Role name* to specify a role with connection privileges on the selected server.  The role will be used for authentication during the backup. 
+* Use the drop-down listbox next to *Role name* to specify a role with connection privileges on the selected server.  The role will be used for authentication during the backup.
 
 Move switches in the *Miscellaneous* box to specify the type of statements that should be included in the backup.
-    
+
 * Move the *Verbose messages* switch to the *No* position to exclude status messages from the backup. The default is *Yes*.
 * Move the *Force double quote on identifiers* switch to the *Yes* position to name identifiers without changing case. The default is *No*.
 
 Click the *Backup* button to build and execute a command based on your selections; click the *Cancel* button to exit without saving work.
 
 .. image:: images/backup_server_messages.png
+    :alt: Backup server success notification popup
 
 If the backup is successful, a popup window will confirm success. Click *Click here for details* on the popup window to launch the *Process Watcher*. The *Process Watcher* logs all the activity associated with the backup and provides additional information for troubleshooting.
 
 .. image:: images/backup_server_process_watcher.png
-   
+    :alt:  Backup server process watcher
+
 If the backup is unsuccessful, review the error message returned by the *Process Watcher* to resolve any issue.
\ No newline at end of file
diff --git a/docs/en_US/browser.rst b/docs/en_US/browser.rst
index 08b96c4..f609049 100644
--- a/docs/en_US/browser.rst
+++ b/docs/en_US/browser.rst
@@ -4,7 +4,7 @@
 The pgAdmin 4 Client
 ********************
 
-pgAdmin 4 supports all PostgreSQL features, from writing simple SQL queries to developing complex databases. It is designed to query an active database (in real-time), allowing you to stay current with modifications and implementations. 
+pgAdmin 4 supports all PostgreSQL features, from writing simple SQL queries to developing complex databases. It is designed to query an active database (in real-time), allowing you to stay current with modifications and implementations.
 
 Features of pgAdmin 4 include:
 
@@ -22,6 +22,7 @@ Features of pgAdmin 4 include:
 When pgAdmin opens, the interface features a menu bar and a window divided into two panes: the *Browser* tree control in the left pane, and a tabbed browser in the right pane.
 
 .. image:: images/pgadmin_welcome.png
+    :alt: pgAdmin4 welcome page
 
 Select an icon from the *Quick Links* panel on the *Dashboard* tab to:
 
@@ -30,7 +31,7 @@ Select an icon from the *Quick Links* panel on the *Dashboard* tab to:
 
 Links in the *Getting Started* panel open a new browser tab that provide useful information for Postgres users:
 
-* Click the *PostgreSQL Documentation* link to navigate to the *Documentation* page for the PostgreSQL open-source project; once at the project site, you can review the manuals for the currently supported versions of the PostgreSQL server.  
+* Click the *PostgreSQL Documentation* link to navigate to the *Documentation* page for the PostgreSQL open-source project; once at the project site, you can review the manuals for the currently supported versions of the PostgreSQL server.
 * Click the *pgAdmin Website* link to navigate to the pgAdmin project website.  The pgAdmin site features news about recent pgAdmin releases and other project information.
 * Click the *Planet PostgreSQL* link to navigate to the blog aggregator for Postgres related blogs.
 * Click the *Community Support* link to navigate to the *Community* page at the PostgreSQL open-source project site; this page provides information about obtaining support for PostgreSQL features.
diff --git a/docs/en_US/cast_dialog.rst b/docs/en_US/cast_dialog.rst
index fffbbce..0000051 100644
--- a/docs/en_US/cast_dialog.rst
+++ b/docs/en_US/cast_dialog.rst
@@ -6,18 +6,20 @@ The Cast Dialog
 
 Use the *Cast* dialog to define a cast. A cast specifies how to convert a value from one data type to another.
 
-The *Cast* dialog organizes the development of a cast through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Cast* dialog organizes the development of a cast through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/cast_general.png
+    :alt: Cast dialog general tab
 
 Use the fields in the *General* tab to identify the cast:
 
-* The *Name* field is disabled. The name that will be displayed in the *pgAdmin* tree control is the *Source* type concatenated with the *Target* type, and is generated automatically when you make selections on the *Cast* dialog *Definition* tab. 
+* The *Name* field is disabled. The name that will be displayed in the *pgAdmin* tree control is the *Source* type concatenated with the *Target* type, and is generated automatically when you make selections on the *Cast* dialog *Definition* tab.
 * Store notes about the cast in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/cast_definition.png
+    :alt: Cast dialog definition tab
 
 Use the fields in the *Definition* tab to define parameters:
 
@@ -35,8 +37,9 @@ Your entries in the *Cast* dialog generate a SQL command (see an example below).
 The following is an example of the sql command generated by user selections in the *Cast* dialog:
 
 .. image:: images/cast_sql.png
+    :alt: Cast dialog sql tab
 
-The cast uses a function named *int4(bigint)* to convert a biginteger data type to an integer.  
+The cast uses a function named *int4(bigint)* to convert a biginteger data type to an integer.
 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
diff --git a/docs/en_US/change_password_dialog.rst b/docs/en_US/change_password_dialog.rst
index a4cc74a..db9a7b2 100644
--- a/docs/en_US/change_password_dialog.rst
+++ b/docs/en_US/change_password_dialog.rst
@@ -6,7 +6,7 @@ The Change Password Dialog
 
 It is a good policy to routinely change your password to protect data, even in what you may consider a 'safe' environment. In the workplace, failure to apply an appropriate password policy could leave you in breach of Data Protection laws.
 
-Please consider the following guidelines when selecting a password: 
+Please consider the following guidelines when selecting a password:
 
 * Ensure that your password is an adequate length; 6 characters should be the absolute minimum number of characters in the password.
 * Ensure that your password is not open to dictionary attacks. Use a mixture of upper and lower case letters and numerics, and avoid words or names. Consider using the first letter from each word in a phrase that you will remember easily but is an unfamiliar acronym.
@@ -15,6 +15,7 @@ Please consider the following guidelines when selecting a password:
 The above should be considered a starting point: It is not a comprehensive list and it **will not guarantee security**.
 
 .. image:: images/password.png
+    :alt: Change database password dialog
 
 Use the *Change Password* dialog to change your password:
 
diff --git a/docs/en_US/change_user_password.rst b/docs/en_US/change_user_password.rst
index 75ef5ee..846bacf 100644
--- a/docs/en_US/change_user_password.rst
+++ b/docs/en_US/change_user_password.rst
@@ -15,6 +15,7 @@ Please consider the following guidelines when selecting a password:
 The above should be considered a starting point: It is not a comprehensive list and it **will not guarantee security**.
 
 .. image:: images/change_user_password.png
+    :alt: Change pgAdmin4 current user password dialog
 
 Use the *Change Password* dialog to change your password:
 
diff --git a/docs/en_US/check_dialog.rst b/docs/en_US/check_dialog.rst
index 17c6f71..c06116c 100644
--- a/docs/en_US/check_dialog.rst
+++ b/docs/en_US/check_dialog.rst
@@ -1,43 +1,46 @@
 .. _check_dialog:
 
 ****************
-The Check Dialog  
+The Check Dialog
 ****************
 
-Use the *Check* dialog to define or modify a check constraint. A check constraint specifies an expression that produces a Boolean result that new or updated rows must satisfy for an insert or update operation to succeed. 
+Use the *Check* dialog to define or modify a check constraint. A check constraint specifies an expression that produces a Boolean result that new or updated rows must satisfy for an insert or update operation to succeed.
 
-The *Check* dialog organizes the development of a check constraint through the *General* and *Definition* tabs. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Check* dialog organizes the development of a check constraint through the *General* and *Definition* tabs. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/check_general.png
+    :alt: Check dialog general tab
 
 Use the fields in the *General* tab to identify the check constraint:
 
 * Use the *Name* field to provide a descriptive name for the check constraint that will be displayed in the *pgAdmin* tree control. With PostgreSQL 9.5 forward, when a table has multiple check constraints, they will be tested for each row in alphabetical order by name and after NOT NULL constraints.
-* Store notes about the check constraint in the *Comment* field. 
+* Store notes about the check constraint in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/check_definition.png
+    :alt: Check dialog definition tab
 
 Use the fields in the *Definition* tab to define the check constraint:
 
 * Provide the expression that a row must satisfy in the *Check* field.
-* Move the *No Inherit?* switch to the *Yes* position to specify this constraint is automatically inherited by a table's children. The default is *No*. 
+* Move the *No Inherit?* switch to the *Yes* position to specify this constraint is automatically inherited by a table's children. The default is *No*.
 * Move the *Don't validate?* switch to the *No* position to skip validation of existing data; the constraint may not hold for all rows in the table. The default is *Yes*.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Check* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Check* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Check* dialog: 
+The following is an example of the sql command generated by user selections in the *Check* dialog:
 
 .. image:: images/check_sql.png
+    :alt: Check dialog sql tab
 
 The example shown demonstrates creating a check constraint named *check_price* on the *price* column of the *products* table.  The constraint confirms that any values added to the column are greater than 0.
 
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/collation_dialog.rst b/docs/en_US/collation_dialog.rst
index 5f59854..fad2132 100644
--- a/docs/en_US/collation_dialog.rst
+++ b/docs/en_US/collation_dialog.rst
@@ -6,45 +6,48 @@ The Collation Dialog
 
 Use the *Collation* dialog to define a collation. A collation is an SQL schema object that maps a SQL name to operating system locales. To create a collation, you must have a CREATE privilege on the destination schema.
 
-The *Collation* dialog organizes the development of a collation through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Collation* dialog organizes the development of a collation through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/collation_general.png
+    :alt: Collation dialog general tab
 
 Use the fields in the *General* tab to identify the collation:
 
 * Use the *Name* field to provide a name for the collation. The collation name must be unique within a schema. The name will be displayed in the *pgAdmin* tree control.
-* Select the name of the owner from the drop-down listbox in the *Owner* field. 
+* Select the name of the owner from the drop-down listbox in the *Owner* field.
 * Select the name of the schema in which the collation will reside from the drop-down listbox in the *Schema* field.
 * Store notes about the collation in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/collation_definition.png
+    :alt: Collation dialog definition tab
 
-Use the fields in the *Definition* tab to specify the operating system locale settings: 
+Use the fields in the *Definition* tab to specify the operating system locale settings:
 
 * Use the drop-down listbox next to *Copy collation* to select the name of an existing collation to copy. The new collation will have the same properties as the existing one, but will be an independent object. If you choose to copy an existing collation, you cannot modify the collation properties displayed on this tab.
 * Use the *Locale* field to specify a locale; a locale specifies language and language formatting characteristics. If you specify this, you cannot specify either of the following parameters. To view a list of locales supported by your Linux system use the command *locale -a*.
-* Use the *LC_COLLATE* field to specify a locale with specified string sort order. The locale must be applicable to the current database encoding. (See CREATE DATABASE for details.) 
-* Use the *LC_CTYPE* field to specify a locale with specified character classification. The locale must be applicable to the current database encoding. (See CREATE DATABASE for details.) 
+* Use the *LC_COLLATE* field to specify a locale with specified string sort order. The locale must be applicable to the current database encoding. (See CREATE DATABASE for details.)
+* Use the *LC_CTYPE* field to specify a locale with specified character classification. The locale must be applicable to the current database encoding. (See CREATE DATABASE for details.)
 
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Collation* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Collation* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Collation* dialog: 
+The following is an example of the sql command generated by user selections in the *Collation* dialog:
 
 .. image:: images/collation_sql.png
+    :alt: Collation dialog sql tab
 
 The example shown demonstrates creating a collation named *french* that uses the rules specified for the locale, *fr_FR.utf8.  The collation is owned by *postgres*.
- 
-* Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation. For more information about setting a locale, see Chapter 22.1 Locale Support of the PostgreSQL core documentation: 
 
-   http://www.postgresql.org/docs/9.5/static/locale.html  
-   
+* Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation. For more information about setting a locale, see Chapter 22.1 Locale Support of the PostgreSQL core documentation:
+
+   http://www.postgresql.org/docs/9.5/static/locale.html
+
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
diff --git a/docs/en_US/column_dialog.rst b/docs/en_US/column_dialog.rst
index 3756b5c..98fc411 100644
--- a/docs/en_US/column_dialog.rst
+++ b/docs/en_US/column_dialog.rst
@@ -6,9 +6,10 @@ The Column Dialog
 
 Use the *Column* dialog to add a column to an existing table or modify a column definition.
 
-The *Column* dialog organizes the development of a column through the following dialog tabs: *General*, *Definition*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
- 
+The *Column* dialog organizes the development of a column through the following dialog tabs: *General*, *Definition*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
+
 .. image:: images/column_general.png
+    :alt: Column dialog general tab
 
 Use the fields in the *General* tab to identify the column:
 
@@ -18,6 +19,7 @@ Use the fields in the *General* tab to identify the column:
 Click the *Definition* tab to continue.
 
 .. image:: images/column_definition.png
+    :alt: Column dialog definition tab
 
 Use the fields in the *Definition* tab to add parameters for the column. (Fields are disabled if inapplicable.)
 
@@ -30,41 +32,44 @@ Use the fields in the *Definition* tab to add parameters for the column. (Fields
 Click the *Variables* tab to continue.
 
 .. image:: images/column_variables.png
+    :alt: Column dialog variables tab
 
 Use the *Variables* tab to to specify the number of distinct values that may be present in the column; this value overrides estimates made by the ANALYZE command. Click the *Add* icon (+) to add a *Name*/*Value* pair:
 
-* Select the name of the variable from the drop-down listbox in the *Name* field. 
-    
-    * Select *n_distinct* to specify the number of distinct values for the column. 
+* Select the name of the variable from the drop-down listbox in the *Name* field.
+
+    * Select *n_distinct* to specify the number of distinct values for the column.
     * Select *n_distinct_inherited* to specify the number of distinct values for the table and its children.
 
-* Specify the number of distinct values in the *Value* field. For more information, see the documentation for `ALTER TABLE  <http://www.postgresql.org/docs/9.6/static/sql_altertable.html>`_.  
+* Specify the number of distinct values in the *Value* field. For more information, see the documentation for `ALTER TABLE  <http://www.postgresql.org/docs/9.6/static/sql_altertable.html>`_.
 
 Click the *Add* icon (+) to specify each additional *Name*/*Value* pair; to discard a variable, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *Security* tab to continue.
 
 .. image:: images/column_security.png
+    :alt: Column dialog security tab
 
-Use the *Security* tab to assign attributes and define security labels. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security* tab to assign attributes and define security labels. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Column* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Column* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Column* dialog: 
+The following is an example of the sql command generated by user selections in the *Column* dialog:
 
 .. image:: images/column_sql.png
+    :alt: Column dialog sql tab
+
+The example shown demonstrates creating a column named *territory* in the table named *distributors*.
 
-The example shown demonstrates creating a column named *territory* in the table named *distributors*.  
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/connect_error.rst b/docs/en_US/connect_error.rst
index 6340dc4..79277ac 100644
--- a/docs/en_US/connect_error.rst
+++ b/docs/en_US/connect_error.rst
@@ -9,14 +9,16 @@ When connecting to a PostgreSQL server, you may get an error message. If you enc
 **Connection to the server has been lost**
 
 .. image:: images/ce_timeout.png
+    :alt: Connection to the server has been lost
 
 This error message indicates that the connection attempt has taken longer than the specified threshold; there may be a problem with the connection properties provided on the *Server* dialog, network connectivity issues, or the server may not be running.
 
-**could not connect to Server: Connection refused**  
+**could not connect to Server: Connection refused**
 
 .. image:: images/ce_not_running.png
+    :alt: Could not connect to server
 
-If pgAdmin displays this message, there are two possible reasons for this: 
+If pgAdmin displays this message, there are two possible reasons for this:
   * the database server isn't running - simply start it.
   * the server isn't configured to accept TCP/IP requests on the address shown.
 
@@ -27,12 +29,13 @@ For further information, please refer to the PostgreSQL documentation about `run
 **FATAL: no pg_hba.conf entry**
 
 .. image:: images/ce_error_hba.png
+    :alt: No pg_hba.conf entry
 
-If pgAdmin displays this message when connecting, your server can be contacted correctly over the network, but is not configured to accept your connection. Your client has not been detected as a legal user for the database. 
+If pgAdmin displays this message when connecting, your server can be contacted correctly over the network, but is not configured to accept your connection. Your client has not been detected as a legal user for the database.
 
 To connect to a server, the pg_hba.conf file on the database server must be configured to accept connections from the host of the pgAdmin client. Modify the pg_hba.conf file on the database server host, and add an entry in the form:
 
- * **host template1 postgres 192.168.0.0/24 md5** for an IPV4 network  
+ * **host template1 postgres 192.168.0.0/24 md5** for an IPV4 network
  * **host template1 postgres ::ffff:192.168.0.0/120 md5** for an IPV6 network
 
 For more information, please refer to the PostgreSQL documentation about `client authentication <http://www.postgresql.org/docs/current/interactive/client-authentication.html>`_.
@@ -40,7 +43,8 @@ For more information, please refer to the PostgreSQL documentation about `client
 **FATAL: password authentication failed**
 
 .. image:: images/ce_password_failed.png
- 
+    :alt: Password authentication failed
+
 * The *password authentication failed for user* error message indicates there may be a problem with the password you entered. Retry the password to confirm you entered it correctly. If the error message returns, make sure that you have the correct password, that you are authorized to access the server, and that the access has been correctly configured in the server's postgresql.conf configuration file.
 
 
diff --git a/docs/en_US/connect_to_server.rst b/docs/en_US/connect_to_server.rst
index 988b9b8..151fd3f 100644
--- a/docs/en_US/connect_to_server.rst
+++ b/docs/en_US/connect_to_server.rst
@@ -7,12 +7,13 @@ Connect to server
 Use the *Connect to Server* dialog to authenticate with a defined server and access the objects stored on the server through the pgAdmin tree control. To access the dialog, right click on the server name in the *pgAdmin* tree control, and select *Connect Server...* from the context menu.
 
 .. image:: images/connect_to_server.png
+    :alt: Connect to server dialog
 
 Provide authentication information for the selected server:
 
  * Use the *Password* field to provide the password of the user that is associated with the defined server.
  * Check the box next to *Save Password* to instruct the server to save the password for future connections; if you save the password, you will not be prompted when reconnecting to the database server with this server definition.
- 
+
 The pgAdmin client displays a message in a green status bar in the lower right corner when the server connects successfully.
 
 If you receive an error message while attempting a connection, verify that your network is allowing the pgAdmin host and the host of the database server to communicate. For detailed information about a specific error message, please see the :ref:`Connection Error <connect_error>` help page.
diff --git a/docs/en_US/database_dialog.rst b/docs/en_US/database_dialog.rst
index 87f60d0..8ed0203 100644
--- a/docs/en_US/database_dialog.rst
+++ b/docs/en_US/database_dialog.rst
@@ -4,36 +4,39 @@
 The Database Dialog
 *******************
 
-Use the *Database* dialog to define or modify a database. To create a database, you must be a database superuser or have the CREATE privilege.  
+Use the *Database* dialog to define or modify a database. To create a database, you must be a database superuser or have the CREATE privilege.
 
-The *Database* dialog organizes the development of a database through the following dialog tabs: *General*, *Definition*, *Security*, and *Parameters*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Database* dialog organizes the development of a database through the following dialog tabs: *General*, *Definition*, *Security*, and *Parameters*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/database_general.png
+    :alt: Database dialog general tab
 
 Use the fields in the *General* tab to identify the database:
 
 * Use the *Database* field to add a descriptive name for the database. The name will be displayed in the *pgAdmin* tree control.
-* Select the owner of the database from the drop-down listbox in the *Owner* field. 
-* Store notes about the database in the *Comment* field.  
+* Select the owner of the database from the drop-down listbox in the *Owner* field.
+* Store notes about the database in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/database_definition.png
+    :alt: Database dialog definition tab
 
 Use the *Definition* tab to set properties for the database:
 
 * Select a character set from the drop-down listbox in the *Encoding* field. The default is *UTF8*.
-* Select a template from the drop-down listbox in the *Template* field. If you do not specify a template, the database will use template1. 
-* Select a tablespace from the drop-down listbox in the *Tablespace* field. The selected tablespace will be the default tablespace used to contain database objects. 
+* Select a template from the drop-down listbox in the *Template* field. If you do not specify a template, the database will use template1.
+* Select a tablespace from the drop-down listbox in the *Tablespace* field. The selected tablespace will be the default tablespace used to contain database objects.
 * Select the collation order from the drop-down listbox in the *Collation* field.
 * Select the character classification from the drop-down listbox in the *Character Type* field. This affects the categorization of characters, e.g. lower, upper and digit. The default, or a blank field, uses the character classification of the template database.
 * Specify a connection limit in the *Connection Limit* field to configure the maximum number of connection requests. The default value (*-1*) allows unlimited connections to the database.
- 
+
 Click the *Security* tab to continue.
 
 .. image:: images/database_security.png
+    :alt: Database dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon (+) to set privileges for database objects:
 
@@ -43,16 +46,17 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 
 Click add to set additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the database. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the database. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 To discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *Parameters* tab to continue.
 
 .. image:: images/database_parameters.png
+    :alt: Database dialog parameters tab
 
 Use the *Parameters* tab to set parameters for the database. Click the *Add* icon (+) to add each parameter:
 
@@ -68,12 +72,13 @@ Your entries in the *Database* dialog generate a SQL command (see an example bel
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Database* dialog: 
+The following is an example of the sql command generated by user selections in the *Database* dialog:
 
 .. image:: images/database_sql.png
+    :alt: Database dialog sql tab
+
+The example creates a database named *hr* that is owned by *postgres*.  It allows unlimited connections, and is available to all authenticated users.
 
-The example creates a database named *hr* that is owned by *postgres*.  It allows unlimited connections, and is available to all authenticated users. 
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/debugger.rst b/docs/en_US/debugger.rst
index 3a49855..a2ae2ad 100644
--- a/docs/en_US/debugger.rst
+++ b/docs/en_US/debugger.rst
@@ -5,13 +5,14 @@
 ******************
 
 .. image:: images/debug_main.png
+    :alt: Debugger page
 
-The debugger may be used to debug PL/pgSQL functions in PostgreSQL, as well as EDB-SPL functions, stored procedures and packages in Advanced Server. The Debugger is available as an extension for your PostgreSQL installation, and is distributed as part of Advanced Server.  You must have superuser privileges to use the debugger.  
+The debugger may be used to debug PL/pgSQL functions in PostgreSQL, as well as EDB-SPL functions, stored procedures and packages in Advanced Server. The Debugger is available as an extension for your PostgreSQL installation, and is distributed as part of Advanced Server.  You must have superuser privileges to use the debugger.
 
 Before using the debugger, you must modify the *postgresql.conf* file, adding the server-side debugger components to the the value of the *shared_preload_libraries* parameter:
 
   shared_preload_libraries = '$libdir/*other_libraries*/plugin_debugger'
- 
+
 After modifying the *shared_preload_libraries* parameter, restart the server to apply the changes.
 
 The debugger may be used for either in-context debugging or direct debugging of a target function or procedure.  When you use the debugger for in-context debugging, you set a breakpoint at the first line of a program; when a session invokes the target, control is transferred to the debugger. When using direct debugging, the debugger prompts you for any parameters required by the target, and then allows you to step through the code.
@@ -21,10 +22,12 @@ The debugger may be used for either in-context debugging or direct debugging of
 To set a breakpoint at the first line of a program, right-click the name of the object you would like to debug, and select *Set breakpoint* from the *Debugging* sub-menu.  The debugger window will open, waiting for another session to invoke the program.
 
 .. image:: images/debug_set_breakpoint.png
+    :alt: Debugger set a breakpoint demo
 
 When another session invokes the target, the debugger will display the code, allowing you to add break points, or step through line-by-line. The other session is suspended until the debugging completes; then control is returned to the session.
 
 .. image:: images/debug_ic_step_in.png
+    :alt: Debugger step-in demo
 
 
 **Direct Debugging**
@@ -32,6 +35,7 @@ When another session invokes the target, the debugger will display the code, all
 To use the debugger for direct debugging, right click on the name of the object that you wish to debug in the pgAdmin tree control and select *Debug* from the *Debugging* sub-menu.  The debugger window will open, prompting you for any values required by the program:
 
 .. image:: images/debug_params.png
+    :alt: Debugger parameter dialog
 
 Use the fields on the *Debugger* dialog to provide a value for each parameter:
 
@@ -39,13 +43,14 @@ Use the fields on the *Debugger* dialog to provide a value for each parameter:
  * The *Type* field contains the parameter data type.
  * Check the *Null?* checkbox to indicate that the parameter is a NULL value.
  * Check the *Expression?* checkbox if the Value field contains an expression.
- * Use the *Value* field to provide the parameter value that will be passed to the program.  When entering parameter values, type the value into the appropriate cell on the grid, or, leave the cell empty to represent NULL, enter '' (two single quotes) to represent an empty string, or to enter a literal string consisting of just two single quotes, enter \'\'. PostgreSQL 8.4 and above supports variadic function parameters. These may be entered as a comma-delimited list of values, quoted and/or cast as required. 
+ * Use the *Value* field to provide the parameter value that will be passed to the program.  When entering parameter values, type the value into the appropriate cell on the grid, or, leave the cell empty to represent NULL, enter '' (two single quotes) to represent an empty string, or to enter a literal string consisting of just two single quotes, enter \'\'. PostgreSQL 8.4 and above supports variadic function parameters. These may be entered as a comma-delimited list of values, quoted and/or cast as required.
  * Check the *Use default?* checkbox to indicate that the program should use the value in the Default Value field.
- * The *Default Value* field contains the default value of the parameter. 
+ * The *Default Value* field contains the default value of the parameter.
 
-Provide values required by the program, and click the *Debug* button to start stepping through the program.  
+Provide values required by the program, and click the *Debug* button to start stepping through the program.
 
 .. image:: images/debug_step_in.png
+    :alt: Debugger step-in demo
 
 
 **Using the Debugger**
@@ -53,6 +58,7 @@ Provide values required by the program, and click the *Debug* button to start st
 The main debugger window consists of two panels and a context-sensitive toolbar.  Use toolbar icons to manage breakpoints and step into or through code; hover over an icon for a tooltip that identifies the option associated with the icon. The toolbar options are:
 
 .. image:: images/debug_toolbar.png
+    :alt: Debugger navigation toolbar
 
 +-------------------------+-----------------------------------------------------------------------------------------------------------+
 | Option                  | Action                                                                                                    |
@@ -72,9 +78,10 @@ The main debugger window consists of two panels and a context-sensitive toolbar.
 | *Stop*                  | Click the *Stop* icon to halt the execution of a program.                                                 |
 +-------------------------+-----------------------------------------------------------------------------------------------------------+
 
-The top panel of the debugger window displays the program body; click in the grey margin next to a line number to add a breakpoint.  The highlighted line in the top panel is the line that is about to execute.  
+The top panel of the debugger window displays the program body; click in the grey margin next to a line number to add a breakpoint.  The highlighted line in the top panel is the line that is about to execute.
 
 .. image:: images/debug_main.png
+    :alt: Debugger main window
 
 The lower panel of the debugger window provides a set of tabs that allow you to review information about the program:
 
@@ -87,14 +94,17 @@ The lower panel of the debugger window provides a set of tabs that allow you to
 As you step through a program, the *Local variables* tab displays the current value of each variable:
 
 .. image:: images/debug_variables.png
+    :alt: Debugger local variables tab
 
 When you step into a subroutine, the *Stack* tab displays the call stack, including the name of each caller, the parameter values for each caller (if any), and the line number within each caller:
 
 .. image:: images/debug_stack.png
+    :alt: Debugger local stack tab
 
 Select a caller to change focus to that stack frame and display the state of the caller in the upper panel.
 
 When the program completes, the *Results* tab displays the message returned by the server.  If the program encounters an error, the *Messages* tab displays details:
 
 .. image:: images/debug_error_message.png
+    :alt: Debugger error message
 
diff --git a/docs/en_US/domain_constraint_dialog.rst b/docs/en_US/domain_constraint_dialog.rst
index a845b8b..7bb7e35 100644
--- a/docs/en_US/domain_constraint_dialog.rst
+++ b/docs/en_US/domain_constraint_dialog.rst
@@ -4,12 +4,13 @@
 The Domain Constraints Dialog
 *****************************
 
-Use the *Domain Constraints* dialog to create or modify a domain constraint. A domain constraint confirms that the values provided for a domain meet a defined criteria. The *Domain Constraints* dialog implements options of the ALTER DOMAIN command. 
+Use the *Domain Constraints* dialog to create or modify a domain constraint. A domain constraint confirms that the values provided for a domain meet a defined criteria. The *Domain Constraints* dialog implements options of the ALTER DOMAIN command.
 
-The *Domain Constraints* dialog organizes the development of a domain constraint through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Domain Constraints* dialog organizes the development of a domain constraint through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/domain_constraint_general.png
-   
+    :alt: Domain constraint dialog general tab
+
 Use the fields in the *General* tab to identify the domain constraint:
 
 * Use the *Name* field to add a descriptive name for the constraint. The name will be displayed in the *pgAdmin* tree control.
@@ -18,11 +19,12 @@ Use the fields in the *General* tab to identify the domain constraint:
 Click the *Definition* tab to continue.
 
 .. image:: images/domain_constraint_definition.png
-   
+    :alt: Domain constraint dialog general tab
+
 Use the fields in the *Definition* tab to define the domain constraint:
 
 * Use the *Check* field to provide a CHECK expression. A CHECK expression specifies a constraint that the domain must satisfy. A constraint must produce a Boolean result; include the key word VALUE to refer to the value being tested. Only those expressions that evaluate to TRUE or UNKNOWN will succeed. A CHECK expression cannot contain subqueries or refer to variables other than VALUE. If a domain has multiple CHECK constraints, they will be tested in alphabetical order.
-* Move the *Validate?* switch to the *No* position to mark the constraint NOT VALID. If the constraint is marked NOT VALID, the constraint will not be applied to existing column data. The default value is *Yes*. 
+* Move the *Validate?* switch to the *No* position to mark the constraint NOT VALID. If the constraint is marked NOT VALID, the constraint will not be applied to existing column data. The default value is *Yes*.
 
 Click the *SQL* tab to continue.
 
@@ -30,16 +32,17 @@ Your entries in the *Domain Constraints* dialog generate a SQL command (see an e
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Domain Constraints* dialog: 
+The following is an example of the sql command generated by user selections in the *Domain Constraints* dialog:
 
 .. image:: images/domain_constraint_sql.png
+    :alt: Domain constraint dialog general tab
 
 The example shown demonstrates creating a domain constraint on the domain *timesheets* named *weekday*. It constrains a value to equal *Friday*.
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
 
-  
+
 
diff --git a/docs/en_US/domain_dialog.rst b/docs/en_US/domain_dialog.rst
index dd7f1f4..64f8753 100644
--- a/docs/en_US/domain_dialog.rst
+++ b/docs/en_US/domain_dialog.rst
@@ -4,11 +4,12 @@
 The Domain Dialog
 *****************
 
-Use the *Domain* dialog to define a domain. A domain is a data type definition that may constrain permissible values. Domains are useful when you are creating multiple tables that contain comparable columns; you can create a domain that defines constraints that are common to the columns and re-use the domain definition when creating the columns, rather than individually defining each set of constraints.  
+Use the *Domain* dialog to define a domain. A domain is a data type definition that may constrain permissible values. Domains are useful when you are creating multiple tables that contain comparable columns; you can create a domain that defines constraints that are common to the columns and re-use the domain definition when creating the columns, rather than individually defining each set of constraints.
 
-The *Domain* dialog organizes the development of a domain through the following tabs: *General*, *Definition*, *Constraints*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Domain* dialog organizes the development of a domain through the following tabs: *General*, *Definition*, *Constraints*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/domain_general.png
+    :alt: Domain dialog general tab
 
 Use the fields on the *General* tab to identify a domain:
 
@@ -20,6 +21,7 @@ Use the fields on the *General* tab to identify a domain:
 Click the *Definition* tab to continue.
 
 .. image:: images/domain_definition.png
+    :alt: Domain dialog definition tab
 
 Use the fields in the *Definition* tab to describe the domain:
 
@@ -28,25 +30,27 @@ Use the fields in the *Definition* tab to describe the domain:
 * Use the context-sensitive *Precision* field to specify the total count of significant digits for a numeric type.
 * Specify a default value for the domain data type in the *Default* field. The data type of the default expression must match the data type of the domain. If no default value is specified, then the default value is the null value.
 * Move the *Not Null* switch to specify the values of this domain are prevented from being null.
-* Use the drop-down listbox next to *Collation* to apply a collation cast. If no collation is specified, the underlying data type's default collation is used. The underlying type must be collatable if COLLATE is specified.   
+* Use the drop-down listbox next to *Collation* to apply a collation cast. If no collation is specified, the underlying data type's default collation is used. The underlying type must be collatable if COLLATE is specified.
 
 Click the *Constraints* tab to continue.
 
 .. image:: images/domain_constraints.png
+    :alt: Domain dialog constraints tab
 
 Use the fields in the *Constraints* tab to specify rules for the domain. Click the *Add* icon (+) to set constraints:
 
 * Use the *Name* field to specify a name for the constraint.
 * Use the *Check* field to provide an expression for the constraint.
-* Use the *Validate* checkbox to determine whether the constraint will be validated. The default checkbox is checked and sets a validation requirement. 
+* Use the *Validate* checkbox to determine whether the constraint will be validated. The default checkbox is checked and sets a validation requirement.
 
-A CHECK clause specifies an integrity test which values of the domain must satisfy. Each constraint must be an expression that produces a Boolean result. Use the key word VALUE to refer to the value being tested. Expressions evaluating to TRUE or UNKNOWN succeed. If the expression produces a FALSE result, an error is reported and the value is not allowed to be converted to the domain type.  A CHECK expression cannot contain subqueries nor refer to variables other than VALUE.  If a domain has multiple CHECK constraints, they will be tested in alphabetical order by name. 
+A CHECK clause specifies an integrity test which values of the domain must satisfy. Each constraint must be an expression that produces a Boolean result. Use the key word VALUE to refer to the value being tested. Expressions evaluating to TRUE or UNKNOWN succeed. If the expression produces a FALSE result, an error is reported and the value is not allowed to be converted to the domain type.  A CHECK expression cannot contain subqueries nor refer to variables other than VALUE.  If a domain has multiple CHECK constraints, they will be tested in alphabetical order by name.
 
 Click the *Add* icon (+) to set additional constraints; to discard a constraint, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *Security* tab to continue.
 
 .. image:: images/domain_security.png
+    :alt: Domain dialog security tab
 
 Use the *Security Labels* panel to assign security labels. Click the *Add* icon (+) to add a label:
 
@@ -61,12 +65,13 @@ Your entries in the *Domain* dialog generate a SQL command (see an example below
 
 **Example**
 
-The following is an example of the sql command generated by selections made in the *Domain* dialog: 
+The following is an example of the sql command generated by selections made in the *Domain* dialog:
 
 .. image:: images/domain_sql.png
+    :alt: Domain dialog sql tab
+
+The example shown demonstrates creating a domain named *minimum-wage* that confirms that the value entered is greater than or equal to *7.25*.
 
-The example shown demonstrates creating a domain named *minimum-wage* that confirms that the value entered is greater than or equal to *7.25*. 
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/editgrid.rst b/docs/en_US/editgrid.rst
index 7d44e91..1cb23cf 100644
--- a/docs/en_US/editgrid.rst
+++ b/docs/en_US/editgrid.rst
@@ -5,22 +5,24 @@
 `Reviewing and Editing Data`:index:
 ***********************************
 
-To review or modify data, right click on a table or view name in the *Browser* tree control.  When the context menu opens, use the *View/Edit Data* menu to specify the number of rows you would like to display in the editor panel. 
+To review or modify data, right click on a table or view name in the *Browser* tree control.  When the context menu opens, use the *View/Edit Data* menu to specify the number of rows you would like to display in the editor panel.
 
 .. image:: images/editgrid.png
+    :alt: Edit grid window
 
 To modify the content of a table, each row in the table must be uniquely identifiable. If the table definition does not include an OID or a primary key, the displayed data is read only. Note that views cannot be edited; updatable views (using rules) are not supported.
 
-The editor features a toolbar that allows quick access to frequently used options, and a work environment divided into two panels: 
+The editor features a toolbar that allows quick access to frequently used options, and a work environment divided into two panels:
 
-* The upper panel displays the SQL command that was used to select the content displayed in the lower panel. 
+* The upper panel displays the SQL command that was used to select the content displayed in the lower panel.
 * The lower panel (the Data Grid) displays the data selected from the table or view.
 
 **The View/Edit Data Toolbar**
 
-The toolbar includes context-sensitive icons that provide shortcuts to frequently performed tasks.  
+The toolbar includes context-sensitive icons that provide shortcuts to frequently performed tasks.
 
-.. image:: images/editgrid_toolbar.png 
+.. image:: images/editgrid_toolbar.png
+    :alt: Edit grid toolbar
 
 Hover over an icon to display a tooltip that describes the icon's functionality.
 
@@ -38,7 +40,7 @@ Hover over an icon to display a tooltip that describes the icon's functionality.
 +----------------------+---------------------------------------------------------------------------------------------------+-------------+
 | *Delete Row*         | Use the *Delete Row* icon to add a new row in the output panel.                                   |             |
 +----------------------+---------------------------------------------------------------------------------------------------+-------------+
-| *Filter*             | Click the *Filter* icon to open a dialog that allows you to write and apply a filter for the      |             |    
+| *Filter*             | Click the *Filter* icon to open a dialog that allows you to write and apply a filter for the      |             |
 |                      | content currently displayed in the output panel.  Click the down arrow to open the *Filter* drop- |             |
 |                      | down menu and select from pre-defined options:                                                    |             |
 |                      |                                                                                                   |             |
@@ -74,12 +76,12 @@ Hover over an icon to display a tooltip that describes the icon's functionality.
 
 **The Data Grid**
 
-The top row of the data grid displays the name of each column, the data type, and if applicable, the number of characters allowed. A column that is part of the primary key will additionally be marked with [PK].  
+The top row of the data grid displays the name of each column, the data type, and if applicable, the number of characters allowed. A column that is part of the primary key will additionally be marked with [PK].
 
 To modify the displayed data:
 
-* To change a numeric value within the grid, double-click the value to select the field.  Modify the content in the square in which it is displayed.  
-* To change a non-numeric value within the grid, double-click the content to access the edit bubble.  After modifying the contentof the edit bubble, click the *Save* button to display your changes in the data grid, or *Cancel* to exit the edit bubble without saving.  
+* To change a numeric value within the grid, double-click the value to select the field.  Modify the content in the square in which it is displayed.
+* To change a non-numeric value within the grid, double-click the content to access the edit bubble.  After modifying the contentof the edit bubble, click the *Save* button to display your changes in the data grid, or *Cancel* to exit the edit bubble without saving.
 
 To enter a newline character, click Ctrl-Enter or Shift-Enter.  Newline formatting is only displayed when the field content is accessed via an edit bubble.
 
@@ -87,7 +89,7 @@ To add a new row to the table, enter data into the last (unnumbered) row of the
 
 To write a SQL NULL to the table, simply leave the field empty. When you store the new row, the will server fill in the default value for that column. If you store a change to an existing row, the value NULL will explicitly be written.
 
-To write an empty string to the table, enter the special string '' (two single quotes) in the field. If you want to write a string containing solely two single quotes to the table, you need to escape these quotes, by typing \'\' 
+To write an empty string to the table, enter the special string '' (two single quotes) in the field. If you want to write a string containing solely two single quotes to the table, you need to escape these quotes, by typing \'\'
 
 To delete a row, press the *Delete* toolbar button.  A popup will open, asking you to confirm the deletion.
 
diff --git a/docs/en_US/event_trigger_dialog.rst b/docs/en_US/event_trigger_dialog.rst
index f5f4807..2a6fcc4 100644
--- a/docs/en_US/event_trigger_dialog.rst
+++ b/docs/en_US/event_trigger_dialog.rst
@@ -3,22 +3,24 @@
 ************************
 The Event Trigger Dialog
 ************************
- 
-Use the *Domain Trigger* dialog to define an event trigger. Unlike regular triggers, which are attached to a single table and capture only DML events, event triggers are global to a particular database and are capable of capturing DDL events.  Like regular triggers, event triggers can be written in any procedural language that includes event trigger support, or in C, but not in SQL. 
 
-The *Domain Trigger* dialog organizes the development of a event trigger through the following dialog tabs: *General*, *Definition*, and *Security Labels*. The *SQL* tab displays the SQL code generated by dialog selections. 
+Use the *Domain Trigger* dialog to define an event trigger. Unlike regular triggers, which are attached to a single table and capture only DML events, event triggers are global to a particular database and are capable of capturing DDL events.  Like regular triggers, event triggers can be written in any procedural language that includes event trigger support, or in C, but not in SQL.
+
+The *Domain Trigger* dialog organizes the development of a event trigger through the following dialog tabs: *General*, *Definition*, and *Security Labels*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/event_trigger_general.png
+    :alt: Event trigger dialog general tab
 
 Use the fields in the *General* tab to identify the event trigger:
 
 * Use the *Name* field to add a descriptive name for the event trigger. The name will be displayed in the *pgAdmin* tree control.
-* Use the drop-down listbox next to *Owner* to specify the owner of the event trigger. 
+* Use the drop-down listbox next to *Owner* to specify the owner of the event trigger.
 * Store notes about the event trigger in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/event_trigger_definition.png
+    :alt: Event trigger dialog definition tab
 
 Use the fields in the *Definition* tab to define the event trigger:
 
@@ -27,29 +29,31 @@ Use the fields in the *Definition* tab to define the event trigger:
 * Select a radio button in the *Events* field to specify when the event trigger will fire: *DDL COMMAND START*, *DDL COMMAND END*, or *SQL DROP*.
 * Use the *When* field to write a condition for the event trigger that must be satisfied before the event trigger can execute.
 
-Click the *Security Labels* tab to continue. 
+Click the *Security Labels* tab to continue.
 
 .. image:: images/event_trigger_security.png
+    :alt: Event trigger dialog security tab
 
-Use the *Security* tab to define security labels applied to the trigger. Click the *Add* icon (+) to add each security label. 
+Use the *Security* tab to define security labels applied to the trigger. Click the *Add* icon (+) to add each security label.
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Domain Trigger* dialog generate a generate a SQL command. Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Domain Trigger* dialog generate a generate a SQL command. Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Domain Trigger* dialog: 
+The following is an example of the sql command generated by user selections in the *Domain Trigger* dialog:
 
 .. image:: images/event_trigger_sql.png
+    :alt: Event trigger dialog sql tab
 
 The command creates an event trigger named *accounts* that invokes the procedure named *acct_due*.
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/exclusion_constraint_dialog.rst b/docs/en_US/exclusion_constraint_dialog.rst
index 63ce49b..a85c364 100644
--- a/docs/en_US/exclusion_constraint_dialog.rst
+++ b/docs/en_US/exclusion_constraint_dialog.rst
@@ -6,9 +6,10 @@ The Exclusion constraint Dialog
 
 Use the *Exclusion constraint* dialog to define or modify the behavior of an exclusion constraint. An exclusion constraint guarantees that if any two rows are compared on the specified column or expression (using the specified operator), at least one of the operator comparisons will return false or null.
 
-The *Exclusion constraint* dialog organizes the development of an exclusion constraint through the following dialog tabs: *General*, *Definition*, and *Columns*. The *SQL* tab displays the SQL code generated by dialog selections. 
- 
+The *Exclusion constraint* dialog organizes the development of an exclusion constraint through the following dialog tabs: *General*, *Definition*, and *Columns*. The *SQL* tab displays the SQL code generated by dialog selections.
+
 .. image:: images/exclusion_constraint_general.png
+    :alt: Exclusion constraint dialog general tab
 
 Use the fields in the *General* tab to identify the exclusion constraint:
 
@@ -17,17 +18,18 @@ Use the fields in the *General* tab to identify the exclusion constraint:
 Click the *Definition* tab to continue.
 
 .. image:: images/exclusion_constraint_definition.png
+    :alt: Exclusion constraint dialog definition tab
 
 Use the fields in the *Definition* tab to define the exclusion constraint:
 
-* Use the drop-down listbox next to *Tablespace* to select the tablespace in which the index associated with the exclude constraint will reside. 
-* Use the drop-down listbox next to *Access method* to specify the type of index that will be used when implementing the exclusion constraint: 
+* Use the drop-down listbox next to *Tablespace* to select the tablespace in which the index associated with the exclude constraint will reside.
+* Use the drop-down listbox next to *Access method* to specify the type of index that will be used when implementing the exclusion constraint:
+
+    * Select *gist* to specify a GiST index.
+    * Select *spgist* to specify a space-partitioned GiST index.
+    * Select *btree* to specify a B-tree index.
+    * Select *hash* to specify a hash index.
 
-    * Select *gist* to specify a GiST index.  
-    * Select *spgist* to specify a space-partitioned GiST index. 
-    * Select *btree* to specify a B-tree index.  
-    * Select *hash* to specify a hash index.  
-   
 * Use the *Fill Factor* field to specify a fill factor for the table and associated index. The fill factor is a percentage between 10 and 100. 100 (complete packing) is the default.
 * Move the *Deferrable?* switch to the *Yes* position to specify that the timing of the constraint is deferrable, and can be postponed until the end of the statement. The default is *No*.
 * If enabled, move the *Deferred?* switch to the *Yes* position to specify the timing of the constraint is deferred to the end of the statement. The default is *No*.
@@ -36,8 +38,9 @@ Use the fields in the *Definition* tab to define the exclusion constraint:
 Click the *Columns* tab to continue.
 
 .. image:: images/exclusion_constraint_columns.png
+    :alt: Exclusion constraint dialog columns tab
 
-Use the fields in the *Columns* tab to to specify the column(s) to which the constraint applies. Use the drop-down listbox next to *Column* to select a column and click the *Add* icon (+) to provide details of the action on the column: 
+Use the fields in the *Columns* tab to to specify the column(s) to which the constraint applies. Use the drop-down listbox next to *Column* to select a column and click the *Add* icon (+) to provide details of the action on the column:
 
 * The *Column* field is populated with the selection made in the *Column* drop-down listbox.
 * If applicable, use the drop-down listbox in the *Operator class* to specify the operator class that will be used by the index for the column.
@@ -47,13 +50,14 @@ Use the fields in the *Columns* tab to to specify the column(s) to which the con
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Exclusion Constraint* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Exclusion Constraint* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Exclusion Constraint* dialog: 
+The following is an example of the sql command generated by user selections in the *Exclusion Constraint* dialog:
 
 .. image:: images/exclusion_constraint_sql.png
+    :alt: Exclusion constraint dialog sql tab
 
 The example shown demonstrates creating an exclusion constraint named *exclude_department* that restricts additions to the dept table to those additions that are not equal to the value of the *deptno* column.  The constraint uses a btree index.
 
diff --git a/docs/en_US/extension_dialog.rst b/docs/en_US/extension_dialog.rst
index 7d3f586..af00061 100644
--- a/docs/en_US/extension_dialog.rst
+++ b/docs/en_US/extension_dialog.rst
@@ -6,36 +6,39 @@ The Extension Dialog
 
 Use the *Extension* dialog to install a new extension into the current database. An extension is a collection of SQL objects that add targeted functionality to your Postgres installation.  The *Extension* dialog adds the functionality of an extension to the current database only; you must register the extension in each database that use the extension.  Before you load an extension into a database, you should confirm that any pre-requisite files are installed.
 
-The *Extension* dialog allows you to implement options of the CREATE EXTENSION command through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Extension* dialog allows you to implement options of the CREATE EXTENSION command through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/extension_general.png
+    :alt: Extension dialog general tab
 
 Use the fields in the *General* tab to identify an extension:
 
 * Use the drop-down listbox in the *Name* field to select the extension. Each extension must have a unique name.
-* Store notes about the extension in the *Comment* field.     
+* Store notes about the extension in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/extension_definition.png
+    :alt: Extension dialog definition tab
 
 Use the *Definition* tab to select the *Schema* and *Version*:
 
-* Use the drop-down listbox next to *Schema* to select the name of the schema in which to install the extension's objects.  
-* Use the drop-down listbox next to *Version* to select the version of the extension to install. 
+* Use the drop-down listbox next to *Schema* to select the name of the schema in which to install the extension's objects.
+* Use the drop-down listbox next to *Version* to select the version of the extension to install.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Extension* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Extension* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Extension* dialog: 
+The following is an example of the sql command generated by user selections in the *Extension* dialog:
 
 .. image:: images/extension_sql.png
+    :alt: Extension dialog sql tab
+
+The command creates the *chkpass* extension in the *public* schema.  It is version *1.0* of *chkpass*.
 
-The command creates the *chkpass* extension in the *public* schema.  It is version *1.0* of *chkpass*.    
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/foreign_data_wrapper_dialog.rst b/docs/en_US/foreign_data_wrapper_dialog.rst
index 11e0eae..c836849 100644
--- a/docs/en_US/foreign_data_wrapper_dialog.rst
+++ b/docs/en_US/foreign_data_wrapper_dialog.rst
@@ -4,43 +4,47 @@
 The Foreign Data Wrapper Dialog
 *******************************
 
-Use the *Foreign Data Wrapper* dialog to create or modify a foreign data wrapper. A foreign data wrapper is an adapter between a Postgres database and data stored on another data source.  
+Use the *Foreign Data Wrapper* dialog to create or modify a foreign data wrapper. A foreign data wrapper is an adapter between a Postgres database and data stored on another data source.
 
 You must be a superuser to create a foreign data wrapper.
 
-The *Foreign Data Wrapper* dialog organizes the development of a foreign data wrapper through the following dialog tabs: *General*, *Definition*, *Options*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Foreign Data Wrapper* dialog organizes the development of a foreign data wrapper through the following dialog tabs: *General*, *Definition*, *Options*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/foreign_data_wrapper_general.png
+    :alt: Foreign data wrapper dialog general tab
 
-Use the fields in the *General* tab to identify the foreign data wrapper: 
+Use the fields in the *General* tab to identify the foreign data wrapper:
 
 * Use the *Name* field to add a descriptive name for the foreign data wrapper. A foreign data wrapper name must be unique within the database. The name will be displayed in the *pgAdmin* tree control.
-* Use the drop-down listbox next to *Owner* to select the name of the role that will own the foreign data wrapper. 
+* Use the drop-down listbox next to *Owner* to select the name of the role that will own the foreign data wrapper.
 * Store notes about the foreign data wrapper in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/foreign_data_wrapper_definition.png
+    :alt: Foreign data wrapper dialog definition tab
 
 Use the fields in the *Definition* tab to set parameters:
 
-* Select the name of the handler function from the drop-down listbox in the *Handler* field. This is the name of an existing function that will be called to retrieve the execution functions for foreign tables. 
+* Select the name of the handler function from the drop-down listbox in the *Handler* field. This is the name of an existing function that will be called to retrieve the execution functions for foreign tables.
 * Select the name of the validator function from the drop-down listbox in the *Validator* field. This is the name of an existing function that will be called to check the generic options given to the foreign data wrapper, as well as options for foreign servers, user mappings and foreign tables using the foreign data wrapper.
 
 Click the *Options* tab to continue.
 
 .. image:: images/foreign_data_wrapper_options.png
+    :alt: Foreign data wrapper dialog options tab
 
 Use the fields in the *Options* tab to specify options:
 
 * Click the the *Add* icon (+) button to add an option/value pair for the foreign data wrapper. Supported option/value pairs will be specific to the selected foreign data wrapper.
-* Specify the option name in the *Option* field and provide a corresponding value in the *Value* field.  
+* Specify the option name in the *Option* field and provide a corresponding value in the *Value* field.
 
 Click the *Add* icon (+) to specify each additional pair; to discard an option, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *Security* tab to continue.
 
 .. image:: images/foreign_data_wrapper_security.png
+    :alt: Foreign data wrapper dialog security tab
 
 Use the *Security* tab to assign security privileges. Click the *Add* icon (+) to assign a set of privileges.
 
@@ -56,12 +60,13 @@ Your entries in the *Foreign Data Wrapper* dialog generate a SQL command (see an
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Foreign Data Wrapper* dialog: 
+The following is an example of the sql command generated by user selections in the *Foreign Data Wrapper* dialog:
 
 .. image:: images/foreign_data_wrapper_sql.png
+    :alt: Foreign data wrapper dialog sql tab
 
 The example creates a foreign data wrapper named *libpq_debug* that uses pre-existing validator and handler functions, *dblink_fdw_validator* and *libpg_fdw_handler*.  Selections on the *Options* tab set *debug* equal to *true*.  The foreign data wrapper is owned by *postgres*.
- 
+
 * Click the *Help* button (?) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/foreign_key_dialog.rst b/docs/en_US/foreign_key_dialog.rst
index 63283a9..7f81e3e 100644
--- a/docs/en_US/foreign_key_dialog.rst
+++ b/docs/en_US/foreign_key_dialog.rst
@@ -6,9 +6,10 @@ The Foreign key Dialog
 
 Use the *Foreign key* dialog to specify the behavior of a foreign key constraint. A foreign key constraint maintains referential integrity between two tables.  A foreign key constraint cannot be defined between a temporary table and a permanent table.
 
-The *Foreign key* dialog organizes the development of a foreign key constraint through the following dialog tabs: *General*, *Definition*, *Columns*, and *Action*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Foreign key* dialog organizes the development of a foreign key constraint through the following dialog tabs: *General*, *Definition*, *Columns*, and *Action*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/foreign_key_general.png
+    :alt: Foreign key dialog general tab
 
 Use the fields in the *General* tab to identify the foreign key constraint:
 
@@ -18,23 +19,25 @@ Use the fields in the *General* tab to identify the foreign key constraint:
 Click the *Definition* tab to continue.
 
 .. image:: images/foreign_key_definition.png
+    :alt: Foreign key dialog definition tab
 
 Use the fields in the *Definition* tab to define the foreign key constraint:
 
 * Move the *Deferrable?* switch to the *Yes* position to specify the timing of the constraint is deferrable and can be postponed until the end of the statement. The default is *No*.
 * If enabled, move the *Deferred?* switch to the *Yes* position to specify the timing of the constraint is deferred to the end of the statement. The default is *No*.
-* Move the *Match type* switch specify the type of matching that is enforced by the constraint:  
+* Move the *Match type* switch specify the type of matching that is enforced by the constraint:
 
-    * Select *Full* to indicate that all columns of a multicolumn foreign key must be null if any column is null; if all columns are null, the row is not required to have a match in the referenced table.  
+    * Select *Full* to indicate that all columns of a multicolumn foreign key must be null if any column is null; if all columns are null, the row is not required to have a match in the referenced table.
     * Select *Simple* to specify that a single foreign key column may be null; if any column is null, the row is not required to have a match in the referenced table.
-  
+
 * Move the *Validated* switch to the *Yes* position to instruct the server to validate the existing table content (against a foreign key or check constraint) when you save modifications to this dialog.
 * Move the *Auto FK Index* switch to the *No* position to disable the automatic index feature.
-* The field next to *Covering Index* generates the name of an index if the *Auto FK Index* switch is in the *Yes* position; or, this field is disabled. 
+* The field next to *Covering Index* generates the name of an index if the *Auto FK Index* switch is in the *Yes* position; or, this field is disabled.
 
 Click the *Columns* tab to continue.
 
 .. image:: images/foreign_key_columns.png
+    :alt: Foreign key dialog columns tab
 
 Use the fields in the *Columns* tab to specify one or more reference column(s).  A Foreign Key constraint requires that one or more columns of a table must only contain values that match values in the referenced column(s) of a row of a referenced table:
 
@@ -47,14 +50,15 @@ Click the *Add* icon (+) to add a column to the list; repeat the steps above and
 Click the *Action* tab to continue.
 
 .. image:: images/foreign_key_action.png
+    :alt: Foreign key dialog action tab
 
-Use the drop-down listboxes on the *Action* tab to specify behavior related to the foreign key constraint that will be performed when data within the table is updated or deleted:  
+Use the drop-down listboxes on the *Action* tab to specify behavior related to the foreign key constraint that will be performed when data within the table is updated or deleted:
 
 * Use the drop-down listbox next to *On update* to select an action that will be performed when data in the table is updated.
 * Use the drop-down listbox next to *On delete* to select an action that will be performed when data in the table is deleted.
 
 The supported actions are:
-   
+
 +-------------+------------------------------------------------------------------------------------------------------------+
 | NO ACTION   | Produce an error indicating that the deletion or update will create a foreign key constraint violation.    |
 |             | If the constraint is deferred, this error will be produced at constraint check time if any referencing     |
@@ -74,16 +78,17 @@ The supported actions are:
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Foreign key* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Foreign key* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Foreign key* dialog: 
+The following is an example of the sql command generated by user selections in the *Foreign key* dialog:
 
 .. image:: images/foreign_key_sql.png
+    :alt: Foreign key dialog sql tab
+
+The example shown demonstrates creating a foreign key constraint named *territory_fkey* that matches values in the *distributors* table *territory* column with those of the *sales_territories* table *region* column.
 
-The example shown demonstrates creating a foreign key constraint named *territory_fkey* that matches values in the *distributors* table *territory* column with those of the *sales_territories* table *region* column.  
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/foreign_server_dialog.rst b/docs/en_US/foreign_server_dialog.rst
index ab4cba8..32d5ee9 100644
--- a/docs/en_US/foreign_server_dialog.rst
+++ b/docs/en_US/foreign_server_dialog.rst
@@ -6,9 +6,10 @@ The Foreign Server Dialog
 
 Use the *Foreign Server* dialog to create a foreign server. A foreign server typically encapsulates connection information that a foreign-data wrapper uses to access an external data resource. Each foreign data wrapper may connect to a different foreign server; in the *pgAdmin* tree control, expand the node of the applicable foreign data wrapper to launch the *Foreign Server* dialog.
 
-The *Foreign Server* dialog organizes the development of a foreign server through the following dialog tabs: *General*, *Definition*, *Options*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Foreign Server* dialog organizes the development of a foreign server through the following dialog tabs: *General*, *Definition*, *Options*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/foreign_server_general.png
+    :alt: Foreign server dialog general tab
 
 Use the fields in the *General* tab to identify the foreign server:
 
@@ -19,6 +20,7 @@ Use the fields in the *General* tab to identify the foreign server:
 Click the *Definition* tab to continue.
 
 .. image:: images/foreign_server_definition.png
+    :alt: Foreign server dialog definition tab
 
 Use the fields in the *Definition* tab to set parameters:
 
@@ -28,23 +30,25 @@ Use the fields in the *Definition* tab to set parameters:
 Click the *Options* tab to continue.
 
 .. image:: images/foreign_server_options.png
+    :alt: Foreign server dialog options tab
 
-Use the fields in the *Options* tab to specify options. Click the *Add* button to create an option clause for the foreign server. 
+Use the fields in the *Options* tab to specify options. Click the *Add* button to create an option clause for the foreign server.
 
 * Specify the option name in the *Option* field.
-* Provide a corresponding value in the *Value* field.  
+* Provide a corresponding value in the *Value* field.
 
 Click *Add* to create each additional clause; to discard an option, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *Security* tab to continue.
 
 .. image:: images/foreign_server_security.png
+    :alt: Foreign server dialog security tab
 
 Use the *Security* tab to assign security privileges to the foreign server. Click *Add* before you assign a set of privileges.
 
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or more privileges to grant the selected privileges to the specified user.
-* Select the name of the role from the drop-down listbox in the *Grantor* field. The default grantor is the owner of the foreign server. This is a required field. 
+* Select the name of the role from the drop-down listbox in the *Grantor* field. The default grantor is the owner of the foreign server. This is a required field.
 
 Click *Add* to assign a new set of privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* dialog.
 
@@ -54,13 +58,14 @@ Your entries in the *Foreign Server* dialog generate a SQL command (see an examp
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Foreign Server* dialog: 
+The following is an example of the sql command generated by user selections in the *Foreign Server* dialog:
 
-.. image:: images/foreign_server_sql.png  
+.. image:: images/foreign_server_sql.png
+    :alt: Foreign server dialog sql tab
 
 The example shown demonstrates creating a foreign server for the foreign data wrapper *hdfs_fdw*. It has the name *hdfs_server*; its type is *hiveserver2*. Options for the foreign server include a host and a port.
 
-* Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation. 
+* Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
diff --git a/docs/en_US/foreign_table_dialog.rst b/docs/en_US/foreign_table_dialog.rst
index 5e3ce3b..4849c6f 100644
--- a/docs/en_US/foreign_table_dialog.rst
+++ b/docs/en_US/foreign_table_dialog.rst
@@ -6,9 +6,10 @@ The Foreign Table Dialog
 
 Use the *Foreign Table* dialog to define a foreign table in the current database. Foreign tables define the structure of an external data source that resides on a foreign server.
 
-The *Foreign Table* dialog organizes the development of a foreign table through the following dialog tabs: *General*, *Definition*, *Columns*, *Constraints*, *Options*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Foreign Table* dialog organizes the development of a foreign table through the following dialog tabs: *General*, *Definition*, *Columns*, *Constraints*, *Options*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/foreign_table_general.png
+    :alt: Foreign table dialog general tab
 
 Use the fields in the *General* tab to identify the foreign table:
 
@@ -20,15 +21,17 @@ Use the fields in the *General* tab to identify the foreign table:
 Click the *Definition* tab to continue.
 
 .. image:: images/foreign_table_definition.png
+    :alt: Foreign table dialog definition tab
 
 Use the fields in the *Definition* tab to define the external data source:
 
 * Use the drop-down listbox next to *Foreign server* to select a foreign server. This list is populated with servers defined through the *Foreign Server* dialog.
-* Use the drop-down listbox next to *Inherits* to specify a parent table. The foreign table will inherit all of its columns. This field is optional.  
+* Use the drop-down listbox next to *Inherits* to specify a parent table. The foreign table will inherit all of its columns. This field is optional.
 
 Click the *Columns* tab to continue.
 
 .. image:: images/foreign_table_columns.png
+    :alt: Foreign table dialog columns tab
 
 Use the fields in the *Columns* tab to to add columns and their attributes to the table. Click the *Add* icon (+) to define a column:
 
@@ -40,6 +43,7 @@ Click the *Add* icon (+) to specify each additional column; to discard a column,
 Click the *Constraints* tab to continue.
 
 .. image:: images/foreign_table_constraints.png
+    :alt: Foreign table dialog constraints tab
 
 Use the fields in the *Constraints* tab to apply a table constraint to the foreign table. Click the *Add* icon (+) to define a constraint:
 
@@ -53,19 +57,21 @@ Click the *Add* icon (+) to specify each additional constraint; to discard a con
 Click the *Options* tab to continue.
 
 .. image:: images/foreign_table_options.png
+    :alt: Foreign table dialog options tab
 
-Use the fields in the *Options* tab to specify options to be associated with the new foreign table or one of its columns; the accepted option names and values are specific to the foreign data wrapper associated with the foreign server. Click the *Add* icon (+) to add an option/value pair. 
+Use the fields in the *Options* tab to specify options to be associated with the new foreign table or one of its columns; the accepted option names and values are specific to the foreign data wrapper associated with the foreign server. Click the *Add* icon (+) to add an option/value pair.
 
 * Specify the option name in the *Option* field. Duplicate option names are not allowed.
-* Provide a corresponding value in the *Value* field.  
+* Provide a corresponding value in the *Value* field.
 
 Click the *Add* icon (+) to specify each additional option/value pair; to discard an option, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *Security* tab to continue.
 
 .. image:: images/foreign_table_security.png
+    :alt: Foreign table dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon (+) to set privileges for database objects:
 
@@ -75,26 +81,27 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the function. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the function. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Foreign Table* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Foreign Table* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Foreign Table* dialog: 
+The following is an example of the sql command generated by user selections in the *Foreign Table* dialog:
 
 .. image:: images/foreign_table_sql.png
+    :alt: Foreign table dialog sql tab
 
 The example shown demonstrates creating a foreign table *weblogs* with multiple columns and two options.
 
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/fts_configuration_dialog.rst b/docs/en_US/fts_configuration_dialog.rst
index 3eafad0..a6f2678 100644
--- a/docs/en_US/fts_configuration_dialog.rst
+++ b/docs/en_US/fts_configuration_dialog.rst
@@ -3,14 +3,15 @@
 ****************************
 The FTS Configuration dialog
 ****************************
- 
+
 Use the *FTS Configuration* dialog to configure a full text search. A text search configuration specifies a text search parser that can divide a string into tokens, along with dictionaries that can identify searchable tokens.
 
-The *FTS Configuration* dialog organizes the development of a FTS configuration through the following dialog tabs: "*General*, *Definition*, and *Tokens*. The *SQL* tab displays the SQL code generated by dialog selections. 
- 
+The *FTS Configuration* dialog organizes the development of a FTS configuration through the following dialog tabs: "*General*, *Definition*, and *Tokens*. The *SQL* tab displays the SQL code generated by dialog selections.
+
 Click the *General* tab to begin.
 
 .. image:: images/fts_configuration_general.png
+    :alt: FTS configuration dialog general tab
 
 Use the fields in the *General* tab to identify a FTS configuration:
 
@@ -22,6 +23,7 @@ Use the fields in the *General* tab to identify a FTS configuration:
 Click the *Definition* tab to continue.
 
 .. image:: images/fts_configuration_definition.png
+    :alt: FTS configuration dialog definition tab
 
 Use the fields in the *Definition* tab to define parameters:
 
@@ -31,27 +33,29 @@ Use the fields in the *Definition* tab to define parameters:
 Click the *Tokens* tab to continue.
 
 .. image:: images/fts_configuration_tokens.png
+    :alt: FTS configuration dialog tokens tab
 
 Use the fields in the *Tokens* tab to add a token:
 
 * Use the *Tokens* field to specify the name of a token.
 * Click the *Add* icon (+) to create a token.
-* Use the *Dictionaries* field to specify a dictionary. 
+* Use the *Dictionaries* field to specify a dictionary.
 
 Repeat these steps to add additional tokens; to discard a token, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *FTS Configuration* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *FTS Configuration* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *FTS Configuration* dialog: 
+The following is an example of the sql command generated by user selections in the *FTS Configuration* dialog:
 
 .. image:: images/fts_configuration_sql.png
+    :alt: FTS configuration dialog sql tab
+
+The example shown demonstrates creating a FTS configuration named *meme_phrases*. It uses the *default* parser.
 
-The example shown demonstrates creating a FTS configuration named *meme_phrases*. It uses the *default* parser. 
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/fts_dictionary_dialog.rst b/docs/en_US/fts_dictionary_dialog.rst
index a73c81e..4b3b76c 100644
--- a/docs/en_US/fts_dictionary_dialog.rst
+++ b/docs/en_US/fts_dictionary_dialog.rst
@@ -4,12 +4,13 @@
 The FTS Dictionary Dialog
 *************************
 
-Use the *FTS Dictionary* dialog to create a full text search dictionary. You can use a predefined templates or create a new dictionary with custom parameters. 
+Use the *FTS Dictionary* dialog to create a full text search dictionary. You can use a predefined templates or create a new dictionary with custom parameters.
 
-The *FTS Dictionary* dialog organizes the development of a FTS dictionary through the following dialog tabs: *General*, *Definition*, and *Options*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *FTS Dictionary* dialog organizes the development of a FTS dictionary through the following dialog tabs: *General*, *Definition*, and *Options*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/fts_dictionary_general.png
-   
+    :alt: FTS dictionary dialog general tab
+
 Use the fields in the *General* tab to identify the dictionary:
 
 * Use the *Name* field to add a descriptive name for the dictionary. The name will be displayed in the *pgAdmin* tree control.
@@ -20,7 +21,8 @@ Use the fields in the *General* tab to identify the dictionary:
 Click the *Definition* tab to continue.
 
 .. image:: images/fts_dictionary_definition.png
-   
+    :alt: FTS dictionary dialog definition tab
+
 Use the field in the *Definition* tab to choose a template from the drop-down listbox:
 
 *Select *ispell* to select the Ispell template. The Ispell dictionary template supports morphological dictionaries, which can normalize many different linguistic forms of a word into the same lexeme. For example, an English Ispell dictionary can match all declensions and conjugations of the search term bank, e.g., banking, banked, banks, banks', and bank's. Ispell dictionaries usually recognize a limited set of words, so they should be followed by another broader dictionary; for example, a Snowball dictionary, which recognizes everything.
@@ -32,7 +34,8 @@ Use the field in the *Definition* tab to choose a template from the drop-down li
 Click the *Options* tab to continue.
 
 .. image:: images/fts_dictionary_options.png
-   
+    :alt: FTS dictionary dialog options tab
+
 Use the fields in the *Options* tab to provide template-specific options. Click the *Add* icon (+) to add an option clause:
 
 * Specify the name of an option in the *Option* field
@@ -41,17 +44,18 @@ Use the fields in the *Options* tab to provide template-specific options. Click
 Click the *Add* icon (+) to specify each additional option/value pair; to discard an option, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
-  
-Your entries in the *FTS Dictionary* dialog generate a generate a SQL command. Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+
+Your entries in the *FTS Dictionary* dialog generate a generate a SQL command. Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *FTS Dictionary* dialog: 
+The following is an example of the sql command generated by user selections in the *FTS Dictionary* dialog:
 
 .. image:: images/fts_dictionary_sql.png
+    :alt: FTS dictionary dialog sql tab
+
+The example shown demonstrates creating a custom dictionary named *more_stopwords* which is based on the simple template and is configured to use standard English.
 
-The example shown demonstrates creating a custom dictionary named *more_stopwords* which is based on the simple template and is configured to use standard English.  
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/fts_parser_dialog.rst b/docs/en_US/fts_parser_dialog.rst
index 345bdc5..51f196b 100644
--- a/docs/en_US/fts_parser_dialog.rst
+++ b/docs/en_US/fts_parser_dialog.rst
@@ -1,14 +1,15 @@
 .. _fts_parser_dialog:
 
 *********************
-The FTS Parser Dialog    
+The FTS Parser Dialog
 *********************
 
-Use the *FTS Parser* dialog to create a new text search parser. A text search parser defines a method for splitting a text string into tokens and assigning types (categories) to the tokens. 
+Use the *FTS Parser* dialog to create a new text search parser. A text search parser defines a method for splitting a text string into tokens and assigning types (categories) to the tokens.
 
-The *FTS Parser* dialog organizes the development of a text search parser through the following dialog tabs: *General*, and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *FTS Parser* dialog organizes the development of a text search parser through the following dialog tabs: *General*, and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/fts_parser_general.png
+    :alt: FTS parser dialog general tab
 
 Use the fields in the *General* tab to identify a text search parser:
 
@@ -19,6 +20,7 @@ Use the fields in the *General* tab to identify a text search parser:
 Click the *Definition* tab to continue.
 
 .. image:: images/fts_parser_definition.png
+    :alt: FTS parser dialog definition tab
 
 Use the fields in the *Definition* tab to define parameters:
 
@@ -31,9 +33,10 @@ Use the fields in the *Definition* tab to define parameters:
 Click the *SQL* tab to continue.
 
 .. image:: images/fts_parser_sql.png
+    :alt: FTS parser dialog sql tab
+
+Your entries in the *FTS Parser* dialog generate a generate a SQL command. Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
-Your entries in the *FTS Parser* dialog generate a generate a SQL command. Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/fts_template_dialog.rst b/docs/en_US/fts_template_dialog.rst
index 8d42fcb..d169859 100644
--- a/docs/en_US/fts_template_dialog.rst
+++ b/docs/en_US/fts_template_dialog.rst
@@ -1,14 +1,15 @@
 .. _fts_template_dialog:
 
 ***********************
-The FTS Template Dialog   
+The FTS Template Dialog
 ***********************
 
-Use the *FTS Template* dialog to create a new text search template. A text search template defines the functions that implement text search dictionaries. 
+Use the *FTS Template* dialog to create a new text search template. A text search template defines the functions that implement text search dictionaries.
 
-The *FTS Template* dialog organizes the development of a text search Template through the following dialog tabs: *General*, and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *FTS Template* dialog organizes the development of a text search Template through the following dialog tabs: *General*, and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/fts_template_general.png
+    :alt: FTS template dialog general tab
 
 Use the fields in the *General* tab to identify a template:
 
@@ -19,6 +20,7 @@ Use the fields in the *General* tab to identify a template:
 Click the *Definition* tab to continue.
 
 .. image:: images/fts_template_definition.png
+    :alt: FTS template dialog definition tab
 
 Use the fields in the *Definition* tab to define function parameters:
 
@@ -31,12 +33,13 @@ Your entries in the *FTS Template* dialog generate a SQL command (see an example
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *FTS Template* dialog: 
+The following is an example of the sql command generated by user selections in the *FTS Template* dialog:
 
 .. image:: images/fts_template_sql.png
+    :alt: FTS template dialog sql tab
+
+The example shown demonstrates creating a fts template named *ru_template* that uses the ispell dictionary.
 
-The example shown demonstrates creating a fts template named *ru_template* that uses the ispell dictionary. 
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/function_dialog.rst b/docs/en_US/function_dialog.rst
index b99b4a6..1e53c49 100644
--- a/docs/en_US/function_dialog.rst
+++ b/docs/en_US/function_dialog.rst
@@ -4,11 +4,12 @@
 The Function Dialog
 *******************
 
-Use the *Function* dialog to define a function.  If you drop and then recreate a function, the new function is not the same entity as the old; you must drop existing rules, views, triggers, etc. that refer to the old function. 
+Use the *Function* dialog to define a function.  If you drop and then recreate a function, the new function is not the same entity as the old; you must drop existing rules, views, triggers, etc. that refer to the old function.
 
-The *Function* dialog organizes the development of a function through the following dialog tabs: *General*, *Definition*, *Options*, *Arguments*, *Parameters*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Function* dialog organizes the development of a function through the following dialog tabs: *General*, *Definition*, *Options*, *Arguments*, *Parameters*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/function_general.png
+    :alt: Function dialog general tab
 
 Use the fields in the *General* tab to identify a function:
 
@@ -20,39 +21,42 @@ Use the fields in the *General* tab to identify a function:
 Click the *Definition* tab to continue.
 
 .. image:: images/function_definition.png
+    :alt: Function dialog definition tab
 
 Use the fields in the *Definition* tab to define the function:
 
-* Use the drop-down listbox next to *Return type* to select the data type returned by the function, if any. 
+* Use the drop-down listbox next to *Return type* to select the data type returned by the function, if any.
 * Use the drop-down listbox next to *Language* to select the implementation language. The default is *sql*.
 * Use the *Code* field to write the code that will execute when the function is called.
 
 Click the *Options* tab to continue.
 
 .. image:: images/function_options.png
+    :alt: Function dialog options tab
 
 Use the fields in the *Options* tab to describe or modify the action of the function:
 
 * Use the drop-down listbox next to *Volatility* to select one of the following. *VOLATILE* is the default value.
 
-    * *VOLATILE* indicates that the function value can change even within a single table scan, so no optimizations can be made. 
+    * *VOLATILE* indicates that the function value can change even within a single table scan, so no optimizations can be made.
     * *STABLE* indicates that the function cannot modify the database, and that within a single table scan it will consistently return the same result for the same argument values.
     * *IMMUTABLE* indicates that the function cannot modify the database and always returns the same result when given the same argument values.
-    
-* Move the *Returns a Set?* switch to indicate if the function returns a set that includes multiple rows. The default is *No*. 
+
+* Move the *Returns a Set?* switch to indicate if the function returns a set that includes multiple rows. The default is *No*.
 * Move the *Strict?* switch to indicate if the function always returns NULL whenever any of its arguments are NULL. If *Yes*, the function is not executed when there are NULL arguments; instead a NULL result is assumed automatically. The default is *No*.
 * Move the *Security of definer?* switch to specify that the function is to be executed with the privileges of the user that created it. The default is *No*.
 * Move the *Window?* switch to indicate that the function is a window function rather than a plain function. The default is *No*. This is currently only useful for functions written in C. The WINDOW attribute cannot be changed when replacing an existing function definition. For more information about the CREATE FUNCTION command, see the PostgreSQL core documentation available at:
 
    http://www.postgresql.org/docs/9.5/static/functions-window.html
-   
-* Use the *Estimated cost* field to specify a positive number representing the estimated execution cost for the function, in units of cpu_operator_cost. If the function returns a set, this is the cost per returned row. 
-* Use the *Estimated rows* field to specify a positive number giving the estimated number of rows that the query planner should expect the function to return. This is only allowed when the function is declared to return a set. The default assumption is 1000 rows. 
+
+* Use the *Estimated cost* field to specify a positive number representing the estimated execution cost for the function, in units of cpu_operator_cost. If the function returns a set, this is the cost per returned row.
+* Use the *Estimated rows* field to specify a positive number giving the estimated number of rows that the query planner should expect the function to return. This is only allowed when the function is declared to return a set. The default assumption is 1000 rows.
 * Move the *Leak proof?* switch to indicate whether the function has side effects. The default is *No*. This option can only be set by the superuser.
 
 Click the *Arguments* tab to continue.
 
 .. image:: images/function_arguments.png
+    :alt: Function dialog arguments tab
 
 Use the fields in the *Arguments* tab to define an argument. Click the *Add* icon (+) to set parameters and values for the argument:
 
@@ -66,19 +70,21 @@ Click the *Add* icon (+) to define another argument; to discard an argument, cli
 Click the *Parameters* tab to continue.
 
 .. image:: images/function_parameters.png
+    :alt: Function dialog parameters tab
 
 Use the fields in the *Parameters* tab to specify settings that will be applied when the function is invoked. Click the *Add* icon (+) to add a *Name*/*Value* field in the table.
 
-* Use the drop-down listbox in the *Name* column in the *Parameters* panel to select a parameter. 
+* Use the drop-down listbox in the *Name* column in the *Parameters* panel to select a parameter.
 * Use the *Value* field to specify the value that will be associated with the selected variable. This field is context-sensitive.
 
 Click the *Security* tab to continue.
 
 .. image:: images/function_security.png
+    :alt: Function dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
-Use the *Privileges* panel to assign usage privileges for the function to a role. 
+Use the *Privileges* panel to assign usage privileges for the function to a role.
 
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or more privileges to grant the selected privilege to the specified user.
@@ -86,25 +92,26 @@ Use the *Privileges* panel to assign usage privileges for the function to a role
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the function. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the function. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Function* dialog generate a generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Function* dialog generate a generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by selections made in the *Function* dialog: 
+The following is an example of the sql command generated by selections made in the *Function* dialog:
 
 .. image:: images/function_sql.png
+    :alt: Function dialog sql tab
 
 The example demonstrates creating an *edbspl* function named *emp_comp*.  The function adds two columns (p_sal and p_comm), and then uses the result to compute a yearly salary, returning a NUMERIC value.
- 
+
 * Click the *Info* button (i) to access online help.View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/grant_wizard.rst b/docs/en_US/grant_wizard.rst
index b3617dc..ffe2685 100644
--- a/docs/en_US/grant_wizard.rst
+++ b/docs/en_US/grant_wizard.rst
@@ -4,25 +4,27 @@
 Grant Wizard
 ************
 
-The *Grant Wizard* tool is a graphical interface that allows you to manage the privileges of one or more database objects in a point-and-click environment. A search box, dropdown lists, and checkboxes facilitate quick selections of database objects, roles and privileges. 
+The *Grant Wizard* tool is a graphical interface that allows you to manage the privileges of one or more database objects in a point-and-click environment. A search box, dropdown lists, and checkboxes facilitate quick selections of database objects, roles and privileges.
+
+The wizard organizes privilege management through a sequence of windows: *Object Selection (step 1 of 3)*, *Privileges Selection (step 2 of 3)* and *Final (Review Selection) (step 3 of 3)*. The *Final (Review Selection)* window displays the SQL code generated by wizard selections.
 
-The wizard organizes privilege management through a sequence of windows: *Object Selection (step 1 of 3)*, *Privileges Selection (step 2 of 3)* and *Final (Review Selection) (step 3 of 3)*. The *Final (Review Selection)* window displays the SQL code generated by wizard selections. 
- 
 To launch the *Grant Wizard* tool, select a database object in the *pgAdmin* tree control, then navigate through *Tools* on the menu bar to click on the *Grant Wizard* option.
 
 .. image:: images/grant_wizard_step1.png
+    :alt: Grant wizard step one page
 
-Use the fields in the *Object Selection (step 1 of 3)* window to select the object or objects on which you are modifying privileges. Use the *Search by object type or name* field to locate a database object, or use the scrollbar to scroll through the list of all accessible objects. 
+Use the fields in the *Object Selection (step 1 of 3)* window to select the object or objects on which you are modifying privileges. Use the *Search by object type or name* field to locate a database object, or use the scrollbar to scroll through the list of all accessible objects.
 
-* Each row in the table lists object identifiers; check the checkbox in the left column to include an object as a target of the Grant Wizard.  The table displays: 
+* Each row in the table lists object identifiers; check the checkbox in the left column to include an object as a target of the Grant Wizard.  The table displays:
 
     * The object type in the *Object Type* field
     * The schema in which the object resides in the *Schema* field
-    * The object name in the *Name* field. 
+    * The object name in the *Name* field.
 
 Click the *Next* button to continue, or the *Cancel* button to close the wizard without modifying privileges.
 
 .. image:: images/grant_wizard_step2.png
+    :alt: Grant wizard step two page
 
 Use the fields in the *Privileges Selection (step 2 of 3)* window to grant privileges. If you grant a privilege WITH GRANT OPTION, the Grantee will have the right to grant privileges on the object to others. If WITH GRANT OPTION is subsequently revoked, any role who received access to that object from that Grantee (directly or through a chain of grants) will lose thier privileges on the object.
 
@@ -40,12 +42,13 @@ Your entries in the *Grant Wizard* tool generate a SQL command; you can review t
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Grant Wizard* tool: 
+The following is an example of the sql command generated by user selections in the *Grant Wizard* tool:
 
 .. image:: images/grant_wizard_step3.png
+    :alt: Grant wizard step three page
 
 The commands displayed assign a role named *Bob* *INSERT* and *UPDATE* privileges *WITH GRANT OPTION* on the *sales_meetings* and the *sales_territories* tables.
 
-* Click the *Back* button to select or deselect additional database objects, roles and privileges. 
+* Click the *Back* button to select or deselect additional database objects, roles and privileges.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Finish* button to save selections and exit the wizard.
\ No newline at end of file
diff --git a/docs/en_US/import_export_data.rst b/docs/en_US/import_export_data.rst
index c074d4d..3c3689f 100644
--- a/docs/en_US/import_export_data.rst
+++ b/docs/en_US/import_export_data.rst
@@ -6,9 +6,10 @@ The Import/Export data Dialog
 
 Use the *Import/Export data* dialog to copy data from a table to a file, or copy data from a file into a table.
 
-The *Import/Export data* dialog organizes the import/export of data through the *Options* and *Columns* tabs. 
+The *Import/Export data* dialog organizes the import/export of data through the *Options* and *Columns* tabs.
 
 .. image:: images/import_export_options.png
+    :alt: Import Export data dialog options tab
 
 Use the fields in the *Options* tab to specify import and export preferences:
 
@@ -17,38 +18,42 @@ Use the fields in the *Options* tab to specify import and export preferences:
 * Use the fields in the *File Info* field box to specify information about the source or target file:
 
    * Enter the name of the source or target file in the *Filename* field.  Optionally, select the *Browser* icon (ellipsis) to the right to navigate into a directory and select a file.
-   * Use the drop-down listbox in the *Format* field to specify the file type.  Select: 
-   
+   * Use the drop-down listbox in the *Format* field to specify the file type.  Select:
+
      * *binary* for a .bin file.
      * *csv* for a .csv file.
      * *text* for a .txt file.
-     
+
    * Use the drop-down listbox in the *Encoding* field to specify the type of character encoding.
 
 .. image:: images/import_export_miscellaneous.png
+    :alt: Import Export data dialog miscellaneous tab
 
 * Use the fields in the *Miscellaneous* field box to specify additional information:
 
    * Move the *OID* switch to the *Yes* position to include the *OID* column. The *OID* is a system-assigned value that may not be modified. The default is *No*.
    * Move the *Header* switch to the *Yes* position to include the table header with the data rows. If you include the table header, the first row of the file will contain the column names.
-   * If you are exporting data, specify the delimiter that will separate the columns within the target file in the *Delimiter* field. The separating character can be a colon, semicolon, a vertical bar, or a tab. 
-   * Specify a quoting character used in the *Quote* field. Quoting can be applied to string columns only (i.e. numeric columns will not be quoted) or all columns regardless of data type. The character used for quoting can be a single quote or a double quote. 
-   * Specify a character that should appear before a data character that matches the *QUOTE* value in the *Escape* field. 
-   
+   * If you are exporting data, specify the delimiter that will separate the columns within the target file in the *Delimiter* field. The separating character can be a colon, semicolon, a vertical bar, or a tab.
+   * Specify a quoting character used in the *Quote* field. Quoting can be applied to string columns only (i.e. numeric columns will not be quoted) or all columns regardless of data type. The character used for quoting can be a single quote or a double quote.
+   * Specify a character that should appear before a data character that matches the *QUOTE* value in the *Escape* field.
+
 Click the *Columns* tab to continue.
 
 .. image:: images/import_export_columns.png
+    :alt: Import Export data dialog columns tab
 
 Use the fields in the *Columns* tab to select the columns that will be imported or exported:
 
 * Click inside the *Columns to export/import* field to deselect one or more columns from the drop-down listbox. To delete a selection, click the *x* to the left of the column name. Click an empty spot inside the field to access the drop-down list.
-* Use the *NULL Strings* field to specify a string that will represent a null value within the source or target file. 
-* If enabled, click inside the *Not null columns* field to select one or more columns that will not be checked for a NULL value. To delete a column, click the *x* to the left of the column name. 
+* Use the *NULL Strings* field to specify a string that will represent a null value within the source or target file.
+* If enabled, click inside the *Not null columns* field to select one or more columns that will not be checked for a NULL value. To delete a column, click the *x* to the left of the column name.
 
 After completing the *Import/Export data* dialog, click the *OK* button to perform the import or export.  pgAdmin will inform you when the background process completes:
 
 .. image:: images/import_export_complete.png
+    :alt: Import Export data completion notification
 
 Use the *Click here for details* link on the notification to open the *Process Watcher* and review detailed information about the execution of the command that performed the import or export:
 
-.. image:: images/import_export_pw.png
\ No newline at end of file
+.. image:: images/import_export_pw.png
+    :alt: Import Export data process watcher
diff --git a/docs/en_US/index_dialog.rst b/docs/en_US/index_dialog.rst
index 384c7c6..03fcbb9 100644
--- a/docs/en_US/index_dialog.rst
+++ b/docs/en_US/index_dialog.rst
@@ -3,24 +3,26 @@
 ****************
 The Index Dialog
 ****************
- 
+
 Use the *Index* dialog to create an index on a specified table or materialized view.
 
-The *Index* dialog organizes the development of a index through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Index* dialog organizes the development of a index through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/index_general.png
+    :alt: Index dialog general tab
 
 Use the fields in the *General* tab to identify the index:
 
 * Use the *Name* field to add a descriptive name for the index. The name will be displayed in the *pgAdmin* tree control.
-* Use the drop-down listbox next to *Tablespace* to select the tablespace in which the index will reside. 
+* Use the drop-down listbox next to *Tablespace* to select the tablespace in which the index will reside.
 * Store notes about the index in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/index_definition.png
+    :alt: Index dialog definition tab
 
-Use the fields in the *Definition* tab to define the index:  
+Use the fields in the *Definition* tab to define the index:
 
 * Use the drop-down listbox next to *Access Method* to select an index type:
 
@@ -30,7 +32,7 @@ Use the fields in the *Definition* tab to define the index:
     * Select *gin* to create a GIN index.  A GIN index may improve performance when managing two-dimensional geometric data types and nearest-neighbor searches.
     * Select *spgist* to create a space-partitioned GiST index. A SP-GiST index may improve performance when managing non-balanced data structures.
     * Select *brin* to create a BRIN index.  A BRIN index may improve performance when managing minimum and maximum values and ranges.
-   
+
 * Use the *Fill Factor* field to specify a fill factor for the index. The fill factor specifies how full the selected method will try to fill each index page.
 * Move the *Unique?* switch to the *Yes* position to check for duplicate values in the table when the index is created and when data is added. The default is *No*.
 * Move the *Clustered?* switch to the *Yes* position to instruct the server to cluster the table.
@@ -45,26 +47,27 @@ Use the context-sensitive fields in the *Columns* panel to specify which column(
 
     * Select *ASC* to specify an ascending sort order (the default);
     * Select *DESC* to specify a descending sort order.
-   
+
 * If enabled, move the *Nulls* switch to specify the sort order of nulls:
 
     * Select *First* to specify nulls sort before non-nulls;
     * Select *Last* to specify nulls sort after non-nulls (the default).
-   
+
 * Use the drop-down listbox in the *Collation* field to select a collation to use for the index.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Index* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Index* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Index* dialog: 
+The following is an example of the sql command generated by user selections in the *Index* dialog:
 
 .. image:: images/index_sql.png
+    :alt: Index dialog sql tab
 
 The example shown demonstrates creating an index named *dist_codes* that indexes the values in the *code* column of the *distributors* table.
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/language_dialog.rst b/docs/en_US/language_dialog.rst
index 061d116..912e7d0 100644
--- a/docs/en_US/language_dialog.rst
+++ b/docs/en_US/language_dialog.rst
@@ -4,11 +4,12 @@
 The Language Dialog
 *******************
 
-Use the CREATE LANGUAGE dialog to register a new procedural language. 
+Use the CREATE LANGUAGE dialog to register a new procedural language.
+
+The *Language* dialog organizes the registration of a procedural language through the following dialog tabs: *General*, *Definition*,  and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
-The *Language* dialog organizes the registration of a procedural language through the following dialog tabs: *General*, *Definition*,  and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
- 
 .. image:: images/language_general.png
+    :alt: Language dialog general tab
 
 Use the fields in the *General* tab to identify a language:
 
@@ -19,6 +20,7 @@ Use the fields in the *General* tab to identify a language:
 Click the *Definition* tab to continue.
 
 .. image:: images/language_definition.png
+    :alt: Language dialog definition tab
 
 Use the fields in the *Definition* tab to define parameters:
 
@@ -30,8 +32,9 @@ Use the fields in the *Definition* tab to define parameters:
 Click the *Security* tab to continue.
 
 .. image:: images/language_security.png
+    :alt: Language dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon (+) to set privileges for database objects:
 
@@ -41,26 +44,27 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the function. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the function. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Language* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Language* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Language* dialog: 
+The following is an example of the sql command generated by user selections in the *Language* dialog:
 
 .. image:: images/language_sql.png
+    :alt: Language dialog sql tab
 
 "The example shown demonstrates creating the procedural language named *plperl*."
 
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/maintenance_dialog.rst b/docs/en_US/maintenance_dialog.rst
index 21cb6f2..07b30ed 100644
--- a/docs/en_US/maintenance_dialog.rst
+++ b/docs/en_US/maintenance_dialog.rst
@@ -7,6 +7,7 @@ The Maintenance Dialog
 Use the *Maintenance* dialog to VACUUM, ANALYZE, REINDEX or CLUSTER a database or selected database objects.
 
 .. image:: images/maintenance.png
+    :alt: Maintenance dialog
 
 While this utility is useful for ad-hoc maintenance purposes, you are encouraged to perform automatic VACUUM jobs on a regular schedule.
 
@@ -15,9 +16,9 @@ Select a button next to *Maintenance operation* to specify the type of maintenan
 * Click *VACUUM* to scan the selected database or table to reclaim storage used by dead tuples.
 
    * Move the *FULL* switch to the *Yes* position to compact tables by writing a completely new version of the table file without dead space. The default is *No*.
-   
+
    * Move the *FREEZE* switch to the *Yes* position to freeze data in a table when it will have no further updates. The default is *No*.
-   
+
    * Move the *ANALYZE* switch to the *Yes* position to issue ANALYZE commands whenever the content of a table has changed sufficiently. The default is *No*.
 
 * Click *ANALYZE* to update the stored statistics used by the query planner. This enables the query optimizer to select the fastest query plan for optimal performance.
@@ -31,7 +32,9 @@ When you've completed the dialog, click *OK* to start the background process; to
 pgAdmin will inform you when the background process completes:
 
 .. image:: images/maintenance_complete.png
+    :alt: Maintenance completion notification
 
 Use the *Click here for details* link on the notification to open the *Process Watcher* and review detailed information about the execution of the command that performed the import or export:
 
-.. image:: images/maintenance_pw.png
\ No newline at end of file
+.. image:: images/maintenance_pw.png
+    :alt: Maintenance process watcher
diff --git a/docs/en_US/materialized_view_dialog.rst b/docs/en_US/materialized_view_dialog.rst
index 237779a..8fc90cb 100644
--- a/docs/en_US/materialized_view_dialog.rst
+++ b/docs/en_US/materialized_view_dialog.rst
@@ -6,9 +6,10 @@ The Materialized View Dialog
 
 Use the *Materialized View* dialog to define a materialized view. A materialized view is a stored or cached view that contains the result set of a query. Use the REFRESH MATERIALIZED VIEW command to update the content of a materialized view.
 
-The *Materialized View* dialog organizes the development of a materialized_view through the following dialog tabs: *General*, *Definition*, *Storage*, *Parameter*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Materialized View* dialog organizes the development of a materialized_view through the following dialog tabs: *General*, *Definition*, *Storage*, *Parameter*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/materialized_view_general.png
+    :alt: Materialized view dialog general tab
 
 Use the fields in the *General* tab to identify the materialized view:
 
@@ -20,22 +21,25 @@ Use the fields in the *General* tab to identify the materialized view:
 Click the *Definition* tab to continue.
 
 .. image:: images/materialized_view_definition.png
+    :alt: Materialized view dialog definition tab
 
 Use the text editor field in the *Definition* tab to provide the query that will populate the materialized view.
 
 Click the *Storage* tab to continue.
 
 .. image:: images/materialized_view_storage.png
+    :alt: Materialized view dialog storage tab
 
 Use the fields in the *Storage* tab to maintain the materialized view:
 
 * Move the *With Data* switch to the *Yes* position to specify the materialized view should be populated at creation time. If not, the materialized view cannot be queried until you invoke REFRESH MATERIALIZED VIEW.
 * Use the drop-down listbox next to *Tablespace* to select a location for the materialized view.
-* Use the *Fill Factor* field to specify a fill factor for the materialized view. The fill factor for a table is a percentage between 10 and 100. 100 (complete packing) is the default. 
+* Use the *Fill Factor* field to specify a fill factor for the materialized view. The fill factor for a table is a percentage between 10 and 100. 100 (complete packing) is the default.
 
 Click the *Parameter* tab to continue.
 
 .. image:: images/materialized_view_parameter.png
+    :alt: Materialized view dialog parameter tab
 
 Use the tabs nested inside the *Parameter* tab to specify VACUUM and ANALYZE thresholds; use the *Table* tab and the *Toast Table* tab to customize values for the table and the associated toast table. To change the default values:
 
@@ -45,8 +49,9 @@ Use the tabs nested inside the *Parameter* tab to specify VACUUM and ANALYZE thr
 Click the *Security* tab to continue.
 
 .. image:: images/materialized_view_security.png
+    :alt: Materialized view dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon (+) to set privileges for the materialized view:
 
@@ -56,25 +61,26 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the materialized view. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the materialized view. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Materialized View* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Materialized View* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Materialized View* dialog: 
+The following is an example of the sql command generated by user selections in the *Materialized View* dialog:
 
 .. image:: images/materialized_view_sql.png
+    :alt: Materialized view dialog sql tab
 
 The example shown creates a query named *new_hires* that stores the result of the displayed query in the *pg_default* tablespace.
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/move_objects.rst b/docs/en_US/move_objects.rst
index e386c7c..c45afaf 100644
--- a/docs/en_US/move_objects.rst
+++ b/docs/en_US/move_objects.rst
@@ -4,11 +4,12 @@
 The Move Objects Dialog
 ***********************
 
-Use the *Move Objects* dialog to to move database objects from one tablespace to another tablespace. 
+Use the *Move Objects* dialog to to move database objects from one tablespace to another tablespace.
 
-The *Move Objects* dialog organizes the movement of database objects with the *General* tab; the *SQL* tab displays the SQL code generated by dialog selections. 
+The *Move Objects* dialog organizes the movement of database objects with the *General* tab; the *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/move_objects_general.png
+    :alt: Move objects dialog general tab
 
 Use the fields in the *General* tab to identify the items that will be moved and the tablespace to which they will be moved:
 
@@ -19,22 +20,23 @@ Use the fields in the *General* tab to identify the items that will be moved and
    * Select *Tables* to move tables from the current tablespace to the new tablespace.
    * Select *Indexes* to move indexes from the current tablespace to the new tablespace.
    * Select *Materialized views* to move materialized views from the current tablespace to the new tablespace.
-   
+
 * Use the *Object owner* drop-down listbox to select the role that owns the objects selected in the *Object type* field. This field is optional.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Move Objects* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit the *General* tab to modify the SQL command. 
+Your entries in the *Move Objects* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit the *General* tab to modify the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Move Objects* dialog: 
+The following is an example of the sql command generated by user selections in the *Move Objects* dialog:
 
 .. image:: images/move_objects_sql.png
+    :alt: Move Objects dialog sql tab
 
 The example shown demonstrates moving materialized views owned by Alice from tablespace *tbspace_01* to *tbspace_02*.
 
-* Click the *Help* button (?) to access online help. 
+* Click the *Help* button (?) to access online help.
 * Click the *OK* button to save work.
 * Click the *Cancel* button to exit without saving work.
 
diff --git a/docs/en_US/package_dialog.rst b/docs/en_US/package_dialog.rst
index f41f18a..6ad7469 100644
--- a/docs/en_US/package_dialog.rst
+++ b/docs/en_US/package_dialog.rst
@@ -4,11 +4,12 @@
 The Package Dialog
 ******************
 
-Use the *Package* dialog to create a (user-defined) package specification. 
+Use the *Package* dialog to create a (user-defined) package specification.
+
+The *Package* dialog organizes the management of a package through the following dialog tabs: *General*, *Code*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
-The *Package* dialog organizes the management of a package through the following dialog tabs: *General*, *Code*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
- 
 .. image:: images/package_general.png
+    :alt: Package dialog general tab
 
 Use the fields in the *General* tab to identify the package:
 
@@ -19,6 +20,7 @@ Use the fields in the *General* tab to identify the package:
 Click the *Code* tab to continue.
 
 .. image:: images/package_code.png
+    :alt: Package dialog code tab
 
 Use the fields in the *Code* tab to specify the package contents and to provide implementation details:
 
@@ -28,6 +30,7 @@ Use the fields in the *Code* tab to specify the package contents and to provide
 Click the *Security* tab to continue.
 
 .. image:: images/package_security.png
+    :alt: Package dialog security tab
 
 Use the fields in the *Security* tab to to assign EXECUTE privileges for the package to a role. Click the *Add* icon (+) to set privileges for the package:
 
@@ -39,12 +42,13 @@ Click the *Add* icon (+) to assign additional privileges; to discard a privilege
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Package* dialog generate a SQL command that creates or modifies a package definition: 
+Your entries in the *Package* dialog generate a SQL command that creates or modifies a package definition:
 
 .. image:: images/package_sql.png
+    :alt: Package dialog sql tab
 
 The example shown demonstrates creating a package named *empinfo* that includes one function and one procedure.
- 
+
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to delete any changes to the dialog.
diff --git a/docs/en_US/pgadmin_login.rst b/docs/en_US/pgadmin_login.rst
index 6b8cf43..9c6af78 100644
--- a/docs/en_US/pgadmin_login.rst
+++ b/docs/en_US/pgadmin_login.rst
@@ -3,10 +3,11 @@
 ************************
 The pgAdmin Login Dialog
 ************************
- 
+
 Use the *pgAdmin Login* dialog to log in to pgAdmin:
 
 .. image:: images/pgadmin_login.png
+    :alt: pgAdmin login dialog
 
 Use the fields in the *pgAdmin Login* dialog to authenticate your connection:
 
@@ -19,9 +20,10 @@ Use the fields in the *pgAdmin Login* dialog to authenticate your connection:
 If you cannot supply your password, click the *Forgotten your password?* button to launch a password recovery utility.
 
 .. image:: images/pgadmin_login_recover.png
+    :alt: pgAdmin recover login password
 
 #. Provide the email address associated with your account in the *Email Address* field.
-#. Click the *Recover Password* button to initiate recovery. An email, with directions on how to reset a password, will be sent to the address entered in the *Email Address* field.  
+#. Click the *Recover Password* button to initiate recovery. An email, with directions on how to reset a password, will be sent to the address entered in the *Email Address* field.
 
 If you have forgotten the email associated with your account, please contact your administrator.
 
diff --git a/docs/en_US/pgadmin_menu_bar.rst b/docs/en_US/pgadmin_menu_bar.rst
index 9b38d97..ebc5029 100644
--- a/docs/en_US/pgadmin_menu_bar.rst
+++ b/docs/en_US/pgadmin_menu_bar.rst
@@ -9,13 +9,14 @@ The pgAdmin menu bar provides drop-down menus for access to options, commands, a
 **The File Menu**
 
 .. image:: /images/file_menu.png
+    :alt: pgAdmin file menu bar
 
 Use the *File* menu to access the following options:
 
 +----------------------+---------------------------------------------------------------------------------------------------------+
 | Option               | Action                                                                                                  |
 +======================+=========================================================================================================+
-| *Change Password...* | Click to open the :ref:`Change Password... <change_password_dialog>` dialog to change your password.    |                                                                     
+| *Change Password...* | Click to open the :ref:`Change Password... <change_password_dialog>` dialog to change your password.    |
 +----------------------+---------------------------------------------------------------------------------------------------------+
 | *Preferences*        | Click to open the :ref:`Preferences <preferences>` dialog to to customize your pgAdmin settings.        |
 +----------------------+---------------------------------------------------------------------------------------------------------+
@@ -25,6 +26,7 @@ Use the *File* menu to access the following options:
 **The Object Menu**
 
 .. image:: /images/object_menu.png
+    :alt: pgAdmin object menu bar
 
 The *Object* menu is context-sensitive. Use the *Object* menu to access the following options (in alphabetical order):
 
@@ -34,15 +36,15 @@ The *Object* menu is context-sensitive. Use the *Object* menu to access the foll
 | *Connect Server...*    | Click to open the :ref:`Connect to Server <connect_to_server>` dialog to establish a connection with a server.           |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
 | *Create*               | Click *Create* to access a context menu that provides context-sensitive selections.                                      |
-|                        | Your selection opens a *Create* dialog for creating a new object.                                                        |                                                         
+|                        | Your selection opens a *Create* dialog for creating a new object.                                                        |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
-| *Delete/Drop*          | Click to delete the currently selected object from the server.                                                           |   
+| *Delete/Drop*          | Click to delete the currently selected object from the server.                                                           |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
 | *Disconnect Server...* | Click to refresh the currently selected object.                                                                          |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
 | *Drop Cascade*         | Click to delete the currently selected object and all dependent objects from the server.                                 |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
-| *Properties...*        | Click to review or modify the currently selected object's properties.                                                    |         
+| *Properties...*        | Click to review or modify the currently selected object's properties.                                                    |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
 | *Refresh...*           | Click to refresh the currently selected object.                                                                          |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
@@ -51,16 +53,17 @@ The *Object* menu is context-sensitive. Use the *Object* menu to access the foll
 | *Trigger(s)*           | Click to *Disable* or *Enable* trigger(s) for the currently selected table. Options are displayed on the flyout menu.    |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
 | *Truncate*             | Click to remove all rows from a table (*Truncate*) or to remove all rows from a table and its child tables               |
-|                        | (*Truncate Cascade*). Options are displayed on the flyout menu.                                                          |                                                                        
+|                        | (*Truncate Cascade*). Options are displayed on the flyout menu.                                                          |
 +------------------------+--------------------------------------------------------------------------------------------------------------------------+
 | *View Data*            | Click to access a context menu that provides several options for viewing data (see below).                               |
-+------------------------+--------------------------------------------------------------------------------------------------------------------------+ 
++------------------------+--------------------------------------------------------------------------------------------------------------------------+
 
 **The Tools Menu**
 
 .. image:: /images/tool_menu.png
+    :alt: pgAdmin tools menu bar
 
-Use the *Tools* menu to access the following options (in alphabetical order): 
+Use the *Tools* menu to access the following options (in alphabetical order):
 
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
 | Option                    | Action                                                                                                                                    |
@@ -75,25 +78,26 @@ Use the *Tools* menu to access the following options (in alphabetical order):
 | *Backup Server...*        | Click to open the :ref:`Backup Server... <backup_server_dialog>` dialog to backup a server.                                               |
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
 | *Grant Wizard...*         | Click to access the :ref:`Grant Wizard <grant_wizard>` tool.                                                                              |
-+---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+     
++---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
 | *Import/Export...*        | Click to open the :ref:`Import/Export data... <import_export_data>` dialog to import or export data from a table.                         |
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
 | *Maintenance...*          | Click to open the :ref:`Maintenance... <maintenance_dialog>` dialog to VACUUM, ANALYZE, REINDEX, or CLUSTER.                              |
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
-| *Pause replay of WAL*     | Click to pause the replay of the WAL log.                                                                                                 |   
+| *Pause replay of WAL*     | Click to pause the replay of the WAL log.                                                                                                 |
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
-| *Query tool*              | Click to open the :ref:`Query tool <query_tool>` for the currently selected object.                                                       |                                                         
+| *Query tool*              | Click to open the :ref:`Query tool <query_tool>` for the currently selected object.                                                       |
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
 | *Reload Configuration...* | Click to update configuration files without restarting the server.                                                                        |
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
 | *Restore...*              | Click to access the :ref:`Restore <restore_dialog>` dialog to restore database files from a backup.                                       |
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
-| *Resume replay of WAL*    | Click to resume the replay of the WAL log.                                                                                                |         
+| *Resume replay of WAL*    | Click to resume the replay of the WAL log.                                                                                                |
 +---------------------------+-------------------------------------------------------------------------------------------------------------------------------------------+
 
 **The Help Menu**
 
 .. image:: images/help_menu.png
+    :alt: pgAdmin help menu bar
 
 Use the options on the *Help* menu to access online help documents, or to review information about the pgAdmin installation (in alphabetical order):
 
@@ -102,12 +106,12 @@ Use the options on the *Help* menu to access online help documents, or to review
 +======================+=========================================================================================================================================+
 | *About pgAdmin 4*    | Click to open a window where you will find information about pgAdmin; this includes the current version and the current user.           |
 +----------------------+-----------------------------------------------------------------------------------------------------------------------------------------+
-| *Online Help*        | Click to open documentation support for using pgAdmin utilities, tools and dialogs.                                                     | 
-|                      | Navigate (in the newly opened tab?) help documents in the left browser pane or use the search bar to specify a topic.                   |                                                                 
+| *Online Help*        | Click to open documentation support for using pgAdmin utilities, tools and dialogs.                                                     |
+|                      | Navigate (in the newly opened tab?) help documents in the left browser pane or use the search bar to specify a topic.                   |
 +----------------------+-----------------------------------------------------------------------------------------------------------------------------------------+
 | *pgAdmin Website*    | Click to open the *pgAdmin.org* website in a browser window.                                                                            |
 +----------------------+-----------------------------------------------------------------------------------------------------------------------------------------+
-| *PostgreSQL Website* | Click to access the PostgreSQL core documentation hosted at the PostgreSQL site. The site also offers guides, tutorials, and resources. | 
+| *PostgreSQL Website* | Click to access the PostgreSQL core documentation hosted at the PostgreSQL site. The site also offers guides, tutorials, and resources. |
 +----------------------+-----------------------------------------------------------------------------------------------------------------------------------------+
 
 
diff --git a/docs/en_US/pgadmin_tabbed_browser.rst b/docs/en_US/pgadmin_tabbed_browser.rst
index 97926a7..6b9bf00 100644
--- a/docs/en_US/pgadmin_tabbed_browser.rst
+++ b/docs/en_US/pgadmin_tabbed_browser.rst
@@ -1,12 +1,13 @@
 .. _pgadmin_tabbed_browser:
 
 **************************
-The pgAdmin Tabbed Browser 
+The pgAdmin Tabbed Browser
 **************************
 
-The right pane of the *pgAdmin* window features a collection of tabs that display information about the object currently selected in the *pgAdmin* tree control in the left window.  Select a tab to access information about the highlighted object in the tree control. 
+The right pane of the *pgAdmin* window features a collection of tabs that display information about the object currently selected in the *pgAdmin* tree control in the left window.  Select a tab to access information about the highlighted object in the tree control.
 
-.. image:: images/main_dashboard.png 
+.. image:: images/main_dashboard.png
+    :alt: Dashboard panel
 
 The graphs on the *Dashboard* tab provides an active analysis of the usage statistics for the selected server or database:
 
@@ -25,27 +26,32 @@ You can use icons in the *Sessions* table to review or control the state of a se
 
 * Use the *Terminate* icon (located in the first column) to stop a session and remove the session from the table.  Before the server terminates the session, you will be prompted to confirm your selection.
 * Use the *Cancel* icon (located in the second column) to terminate an active query without closing the session.  Before canceling the query, the server will prompt you to confirm your selection.  When you cancel a query, the value displayed in the *State* column of the table will be updated from *Active* to *Idle*.  The session will remain in the table until the session is terminated.
-* Use the *Details* icon (located in the third column) to open the *Details* tab; the tab displays information about the selected session. 
+* Use the *Details* icon (located in the third column) to open the *Details* tab; the tab displays information about the selected session.
 
 .. image:: images/main_properties_table.png
+    :alt: Properties panel
 
-The *Properties* tab displays information about the object selected. Click the *Edit* icon in the toolbar under the browser tabs to launch the *Properties* dialog for the selected object. 
+The *Properties* tab displays information about the object selected. Click the *Edit* icon in the toolbar under the browser tabs to launch the *Properties* dialog for the selected object.
 
 .. image:: images/main_properties_icons.png
+    :alt: Object editor icon
 
-To preserve any changes to the *Properties* dialog, click the *Save* icon; your modifications will be displayed in the updated *Properties* tab. 
+To preserve any changes to the *Properties* dialog, click the *Save* icon; your modifications will be displayed in the updated *Properties* tab.
 
-.. image:: images/main_properties_edit.png 
+.. image:: images/main_properties_edit.png
+    :alt: Object editor window
 
 Details about the object highlighted in the tree control are displayed in one or more collapsible panels. You can use the arrow to the left of each panel label to open or close a panel.
 
 .. image:: images/main_sql.png
+    :alt: SQL panel
 
 The *SQL* tab displays the SQL script that created the highlighted object, and when applicable, a (commented out) SQL statement that will *DROP* the selected object. You can copy the SQL statements to the editor of your choice using cut and paste shortcuts.
 
 .. image:: images/main_statistics.png
+    :alt: Statistics panel
 
-The *Statistics* tab displays the statistics gathered for each object on the tree control; the statistics displayed in the table vary by the type of object that is selected. Click a column heading to sort the table by the data displayed in the column; click again to reverse the sort order.  The following table lists some of the statistics that are available:  
+The *Statistics* tab displays the statistics gathered for each object on the tree control; the statistics displayed in the table vary by the type of object that is selected. Click a column heading to sort the table by the data displayed in the column; click again to reverse the sort order.  The following table lists some of the statistics that are available:
 
 +----------------------------+------------------------------------------------------------------------------------------------------------+
 | Panel                      | Description                                                                                                |
@@ -101,7 +107,8 @@ The *Statistics* tab displays the statistics gathered for each object on the tre
 | *Size*                     | displays the size (in megabytes) of the selected database.                                                 |
 +----------------------------+------------------------------------------------------------------------------------------------------------+
 
-.. image:: images/main_dependencies.png 
+.. image:: images/main_dependencies.png
+    :alt: Dependencies panel
 
 The *Dependencies* tab displays the objects on which the currently selected object depends. If a dependency is dropped, the object currently selected in the pgAdmin tree control will be affected. To ensure the integrity of the entire database structure, the database server makes sure that you do not accidentally drop objects that other objects depend on; you must use the DROP CASCADE command to remove an object with a dependency.
 
@@ -114,8 +121,9 @@ The *Dependencies* table displays the following information:
    * If the field is *internal*, the selected object was created during the creation of the parent object, and will be dropped if the parent object is dropped.
    * If the field is *normal*, the selected object can be dropped without dropping the parent object.
    * If the field is *blank*, the selected object is required by the system, and cannot be dropped.
-     
+
 .. image:: images/main_dependents.png
+    :alt: Dependents panel
 
 The *Dependents* tab displays a table of objects that depend on the object currently selected in the *pgAdmin* browser. A dependent object can be dropped without affecting the object currently selected in the *pgAdmin* tree control.
 
@@ -124,6 +132,7 @@ The *Dependents* tab displays a table of objects that depend on the object curre
 * The *Database* field specifies the database in which the object resides.
 
 .. image:: images/main_query_tool.png
+    :alt: Query tool panel
 
 Additional tabs open when you access the extended functionality offered by pgAdmin tools (such as the Query tool, Debugger, or SQL editor). Use the close icon (X) located in the upper-right corner of each tab to close the tab when you are finished using the tool. Like permanent tabs, these tabs may be repositioned in the pgAdmin client window.
 
diff --git a/docs/en_US/pgadmin_tree_control.rst b/docs/en_US/pgadmin_tree_control.rst
index 7262a4f..3ae27f8 100644
--- a/docs/en_US/pgadmin_tree_control.rst
+++ b/docs/en_US/pgadmin_tree_control.rst
@@ -4,16 +4,17 @@
 The pgAdmin Tree Control
 ************************
 
-The left pane of the main window displays a tree control (the *pgAdmin* tree control) that provides access to the objects that reside on a server. 
+The left pane of the main window displays a tree control (the *pgAdmin* tree control) that provides access to the objects that reside on a server.
 
 .. image:: /images/main_left_pane.png
+    :alt: Browser tree panel
 
-You can expand nodes in the tree control to view the database objects that reside on a selected server. The tree control expands to display a hierarchical view: 
+You can expand nodes in the tree control to view the database objects that reside on a selected server. The tree control expands to display a hierarchical view:
 
-* Use the plus sign (+) to the left of a node to expand a segment of the tree control. 
-* Click the minus sign (-) to the left of a node to close that node. 
+* Use the plus sign (+) to the left of a node to expand a segment of the tree control.
+* Click the minus sign (-) to the left of a node to close that node.
 
-Access context-sensitive menus by right-clicking on a node of the tree control to perform common tasks. Menus display options that include one or more of the following selections (options appear in alphabetical order): 
+Access context-sensitive menus by right-clicking on a node of the tree control to perform common tasks. Menus display options that include one or more of the following selections (options appear in alphabetical order):
 
 +---------------------------+---------------------------------------------------------------------------------------------------------------------------+
 | Option                    | Action                                                                                                                    |
@@ -49,15 +50,15 @@ Access context-sensitive menus by right-clicking on a node of the tree control t
 +---------------------------+---------------------------------------------------------------------------------------------------------------------------+
 | *Maintenance...*          | Click to open the :ref:`Maintenance... <maintenance_dialog>` dialog to VACUUM, ANALYZE, REINDEX, or CLUSTER.              |
 +---------------------------+---------------------------------------------------------------------------------------------------------------------------+
-| *Properties...*           | Click to review or modify the currently selected object's properties.                                                     |                
+| *Properties...*           | Click to review or modify the currently selected object's properties.                                                     |
 +---------------------------+---------------------------------------------------------------------------------------------------------------------------+
 | *Refresh...*              | Click to refresh the currently selected object.                                                                           |
 +---------------------------+---------------------------------------------------------------------------------------------------------------------------+
 | *Reload Configuration...* | Click to update configuration files without restarting the server.                                                        |
 +---------------------------+---------------------------------------------------------------------------------------------------------------------------+
 | *Restore...*              | Click to access the :ref:`Restore <restore_dialog>` dialog to restore database files from a backup.                       |
-+---------------------------+---------------------------------------------------------------------------------------------------------------------------+ 
-| *View Data*               | Use the *View Data* option to access the data stored in a selected table with the *Data Output* tab of the *Query Tool*.  | 
++---------------------------+---------------------------------------------------------------------------------------------------------------------------+
+| *View Data*               | Use the *View Data* option to access the data stored in a selected table with the *Data Output* tab of the *Query Tool*.  |
 +---------------------------+---------------------------------------------------------------------------------------------------------------------------+
 
 The context-sensitive menus associated with *Tables* and nested *Table* nodes provides additional display options (options appear in alphabetical order):
diff --git a/docs/en_US/pgadmin_user.rst b/docs/en_US/pgadmin_user.rst
index d2b37e7..969e45d 100644
--- a/docs/en_US/pgadmin_user.rst
+++ b/docs/en_US/pgadmin_user.rst
@@ -4,39 +4,41 @@
 The User Management Dialog
 **************************
 
-When invoking pgAdmin in desktop mode, a password is randomly generated, and then ignored.  If you install pgAdmin in server mode, you will be prompted for an administrator email and password for the pgAdmin client.  
+When invoking pgAdmin in desktop mode, a password is randomly generated, and then ignored.  If you install pgAdmin in server mode, you will be prompted for an administrator email and password for the pgAdmin client.
 
 When you authenticate with pgAdmin, the server definitions associated with that login role are made available in the tree control.  An administrative user can use the *User Management* dialog to
 
 * add or delete pgAdmin roles
 * assign privileges
-* manage the password associated with a role 
- 
+* manage the password associated with a role
+
 .. image:: images/pgadmin_user.png
+    :alt: pgAdmin user management window
 
-Use the *Filter by email* search field to find a user; enter a user's email address to find a user.  If the user exists, the *User Management* table will display the user's current information. 
+Use the *Filter by email* search field to find a user; enter a user's email address to find a user.  If the user exists, the *User Management* table will display the user's current information.
 
 To add a user, click *Add* to add new role.
 
 .. image:: images/add_pgadmin_user.png
+    :alt: pgAdmin user management window add new user
 
 Provide information about the new pgAdmin role in the row:
 
 * Click in the *Email* field, and provide an email address for the user; this address will be used to recover the password associated with the role should the password be lost.
 * Use the drop-down listbox next to *Role* to select whether a user is an *Administrator* or a *User*.
 
-   * Select *Administrator* if the user will have administrative privileges within the pgAdmin client. 
+   * Select *Administrator* if the user will have administrative privileges within the pgAdmin client.
    * Select *User* to create a non-administrative user account.
 
-* Move the *Active* switch to the *No* position if the account is not currently active; the default is *Yes*. Use this switch to disable account activity without deleting an account. 
+* Move the *Active* switch to the *No* position if the account is not currently active; the default is *Yes*. Use this switch to disable account activity without deleting an account.
 * Use the *New password* field to provide the password associated with the user specified in the *Email* field.
-* Re-enter the password in the *Confirm password* field. 
+* Re-enter the password in the *Confirm password* field.
 
 To discard a user, and revoke access to pgAdmin, click the trash icon to the left of the row and confirm deletion in the *Delete user?* dialog.
 
 Users with the *Administrator* role are able to add, edit and remove pgAdmin users, but otherwise have the same capabilities as those with the *User* role.
 
-* Click the *Help* button (?) to access online help. 
+* Click the *Help* button (?) to access online help.
 * Click the *Close* button to save work. You will be prompted to return to the dialog if your selections cannot be saved.
 
 
diff --git a/docs/en_US/pgagent_jobs.rst b/docs/en_US/pgagent_jobs.rst
index c255e2f..018afad 100644
--- a/docs/en_US/pgagent_jobs.rst
+++ b/docs/en_US/pgagent_jobs.rst
@@ -5,21 +5,22 @@
 `Creating a pgAgent Job`
 ************************
 
-pgAgent is a scheduling agent that runs and manages jobs; each job consists of steps and schedules.  
+pgAgent is a scheduling agent that runs and manages jobs; each job consists of steps and schedules.
 
-To create or manage a job, use the pgAdmin tree control to browse to the server on which the pgAgent database objects were created. The tree control will display a *pgAgent Jobs* node, under which currently defined jobs are displayed.  To add a new job, right click on the *pgAgent Jobs* node, and select *Create pgAgent Job...* from the context menu.  
+To create or manage a job, use the pgAdmin tree control to browse to the server on which the pgAgent database objects were created. The tree control will display a *pgAgent Jobs* node, under which currently defined jobs are displayed.  To add a new job, right click on the *pgAgent Jobs* node, and select *Create pgAgent Job...* from the context menu.
 
 When the pgAgent dialog opens, use the tabs on the *pgAgent Job* dialog to define the steps and schedule that make up a pgAgent job.
 
 .. image:: images/pgagent_general.png
+    :alt: pgAgent dialog general tab
 
 Use the fields on the *General* tab to provide general information about a job:
 
  * Provide a name for the job in the *Name* field.
  * Move the *Enabled* switch to the *Yes* position to enable a job, or *No* to disable a job.
- * Use the *Job Class* drop-down to select a class (for job categorization).  
- * Use the *Host Agent* field to specify the name of a machine that is running pgAgent to indicate that only that machine may execute the job.  Leave the field blank to specify that any machine may perform the job.  
- 
+ * Use the *Job Class* drop-down to select a class (for job categorization).
+ * Use the *Host Agent* field to specify the name of a machine that is running pgAgent to indicate that only that machine may execute the job.  Leave the field blank to specify that any machine may perform the job.
+
    **Note:** It is not always obvious what value to specify for the Host Agent in order to target a job step to a specific machine. With pgAgent running on the required machines and connected to the scheduler database, you can use the following query to view the hostnames as reported by each agent::
 
     SELECT jagstation FROM pgagent.pga_jobagent
@@ -29,32 +30,35 @@ Use the fields on the *General* tab to provide general information about a job:
  * Use the *Comment* field to store notes about the job.
 
 .. image:: images/pgagent_steps.png
+    :alt: pgAgent dialog steps tab
 
 Use the *Steps* tab to define and manage the steps that the job will perform.  Click the Add icon (+) to add a new step; then click the compose icon (located at the left side of the header) to open the step definition dialog:
 
 .. image:: images/pgagent_step_definition.png
+    :alt: pgAgent dialog definition tab
 
 Use fields on the step definition dialog to define the step:
 
  * Provide a name for the step in the *Name* field; please note that steps will be performed in alphanumeric order by name.
  * Use the *Enabled* switch to include the step when executing the job (*True*) or to disable the step (*False*).
- * Use the *Kind* switch to indicate if the job step invokes SQL code (*SQL*) or a batch script (*Batch*).  
- 
-  * If you select *SQL*, use the *Code* tab to provide SQL code for the step.  
+ * Use the *Kind* switch to indicate if the job step invokes SQL code (*SQL*) or a batch script (*Batch*).
+
+  * If you select *SQL*, use the *Code* tab to provide SQL code for the step.
   * If you select *Batch*, use the *Code* tab to provide the batch script that will be executed during the step.
- 
+
  * Use the *Connection type* switch to indicate if the step is performed on a local server (*Local*) or on a remote host (*Remote*).  If you specify a remote connection should be used for the step, the *Connection string* field will be enabled, and you must provide a libpq-style connection string.
  * Use the *Database* drop-down to select the database on which the job step will be performed.
  * Use the *Connection string* field to specify a libpq-style connection string to the remote server on which the step will be performed. For more information about writing a connection string, please see the `PostgreSQL documentation <http://www.postgresql.org/docs/current/static/libpq.html#libpq-connect>`_.
  * Use the *On error* drop-down to specify the behavior of pgAgent if it encounters an error while executing the step.  Select from:
- 
+
   * *Fail* - Stop the job if you encounter an error while processing this step.
-  * *Success* - Mark the step as completing successfully, and continue.    
+  * *Success* - Mark the step as completing successfully, and continue.
   * *Ignore* - Ignore the error, and continue.
 
  * Use the *Comment* field to provide a comment about the step.
 
 .. image:: images/pgagent_step_definition_code.png
+    :alt: pgAgent dialog step definition code tab
 
 Use the context-sensitive field on the step definition dialog's *Code* tab to provide the SQL code or batch script that will be executed during the step:
 
@@ -64,25 +68,28 @@ Use the context-sensitive field on the step definition dialog's *Code* tab to pr
 When you've provided all of the information required by the step, click the compose icon to close the step definition dialog.  Click the add icon (+) to add each additional step, or select the *Schedules* tab to define the job schedule.
 
 .. image:: images/pgagent_schedules.png
+    :alt: pgAgent dialog schedules tab
 
 Click the Add icon (+) to add a schedule for the job; then click the compose icon (located at the left side of the header) to open the schedule definition dialog:
 
 .. image:: images/pgagent_schedule_definition.png
+    :alt: pgAgent dialog schedules definition tab
 
 Use the fields on the schedule definition tab to specify the days and times at which the job will execute.
 
- * Provide a name for the schedule in the *Name* field.  
+ * Provide a name for the schedule in the *Name* field.
  * Use the *Enabled* switch to indicate that pgAgent should use the schedule (*Yes*) or to disable the schedule (*No*).
  * Use the calendar selector in the *Start* field to specify the starting date and time for the schedule.
  * Use the calendar selector in the *End* field to specify the ending date and time for the schedule.
  * Use the *Comment* field to provide a comment about the schedule.
- 
-Select the *Repeat* tab to define the days on which the schedule will execute.  
- 
+
+Select the *Repeat* tab to define the days on which the schedule will execute.
+
 .. image:: images/pgagent_schedule_repeat.png
+    :alt: pgAgent dialog schedule repeat tab
 
 Use the fields on the *Repeat* tab to specify the details about the schedule in a cron-style format.  The job will execute on each date or time element selected on the *Repeat* tab.
- 
+
 Click within a field to open a list of valid values for that field; click on a specific value to add that value to the list of selected values for the field.  To clear the values from a field, click the X located at the right-side of the field.
 
 Use the fields within the *Days* box to specify the days on which the job will execute:
@@ -94,11 +101,12 @@ Use the fields within the *Days* box to specify the days on which the job will e
 Use the fields within the *Times* box to specify the times at which the job will execute:
 
  * Use the *Hours* field to select the hour at which the job will execute.
- * Use the *Minutes* field to select the minute at which the job will execute.  
- 
-Select the *Exceptions* tab to specify any days on which the schedule will *not* execute.  
- 
+ * Use the *Minutes* field to select the minute at which the job will execute.
+
+Select the *Exceptions* tab to specify any days on which the schedule will *not* execute.
+
 .. image:: images/pgagent_schedule_exceptions.png
+    :alt: pgAgent dialog schedule exceptions tab
 
 Use the fields on the *Exceptions* tab to specify days on which you wish the job to not execute; for example, you may wish for jobs to not execute on national holidays.
 
@@ -110,12 +118,14 @@ Click the Add icon (+) to add a row to the exception table, then:
 When you've finished defining the schedule, you can use the *SQL* tab to review the code that will create or modify your job.
 
 .. image:: images/pgagent_sql.png
- 
-Click the *Save* button to save the job definition, or *Cancel* to exit the job without saving.  Use the *Reset* button to remove your unsaved entries from the dialog. 
- 
-After saving a job, the job will be listed under the *pgAgent Jobs* node of the pgAdmin tree control of the server on which it was defined.  The *Properties* tab in the main pgAdmin window will display a high-level overview of the selected job, and the *Statistics* tab will show the details of each run of the job.  
+    :alt: pgAgent dialog sql tab
+
+Click the *Save* button to save the job definition, or *Cancel* to exit the job without saving.  Use the *Reset* button to remove your unsaved entries from the dialog.
+
+After saving a job, the job will be listed under the *pgAgent Jobs* node of the pgAdmin tree control of the server on which it was defined.  The *Properties* tab in the main pgAdmin window will display a high-level overview of the selected job, and the *Statistics* tab will show the details of each run of the job.
 
 .. image:: images/pgagent_properties.png
+    :alt: pgAgent object properties
 
-To modify an existing job or to review detailed information about a job, right-click on a job name, and select *Properties* from the context menu.  
+To modify an existing job or to review detailed information about a job, right-click on a job name, and select *Properties* from the context menu.
 
diff --git a/docs/en_US/preferences.rst b/docs/en_US/preferences.rst
index ce0c7f7..35719cf 100644
--- a/docs/en_US/preferences.rst
+++ b/docs/en_US/preferences.rst
@@ -14,30 +14,34 @@ Use options on the *Preferences* dialog to customize the behavior of the client.
 Use preferences found in the *Browser* node of the tree control to personalize your workspace.
 
 .. image:: images/preferences_browser_display.png
+    :alt: Preferences dialog browser display options
 
 Use the fields on the *Display* panel to specify general display preferences:
 
-* When the *Show system objects* switch is set to *True*, the client will display system objects such as system schemas (for example, *pg_temp*) or system columns (for example,  *xmin* or *ctid*) in the tree control. 
+* When the *Show system objects* switch is set to *True*, the client will display system objects such as system schemas (for example, *pg_temp*) or system columns (for example,  *xmin* or *ctid*) in the tree control.
 
 Use the fields on the *Nodes* panel to select the object types that will be displayed in the *Browser* tree control:
 
 .. image:: images/preferences_browser_nodes.png
+    :alt: Preferences dialog browser nodes section
 
 * The panel displays a list of database objects; slide the switch located next to each object to *Show* or *Hide* the database object. When querying system catalogs, you can reduce the number of object types displayed to increase speed.
 
 Use fields on the *Properties* panel to specify browser properties:
 
 .. image:: images/preferences_browser_properties.png
+    :alt: Preferences dialog browser properties section
 
 * Include a value in the *Count rows if estimated less than* field to perform a SELECT count(*) if the estimated number of rows in a table (as read from the table statistics) is below the specified limit.  After performing the SELECT count(*), pgAdmin will display the row count.  The default is 2000.
 
-**The Dashboards Node** 
+**The Dashboards Node**
 
 Expand the *Dashboards* node to specify your dashboard display preferences.
 
 .. image:: images/preferences_dashboard_graphs.png
+    :alt: Preferences dialog dashboard graph options
 
-Use the fields on the *Graphs* panel to specify your display preferences for the graphs on the *Dashboard* tab: 
+Use the fields on the *Graphs* panel to specify your display preferences for the graphs on the *Dashboard* tab:
 
 * Use the *Block I/O statistics refresh rate* field to specify the number of seconds between block I/O statistic samples displayed in graphs.
 
@@ -49,27 +53,30 @@ Use the fields on the *Graphs* panel to specify your display preferences for the
 
 * Use the *Tuples out refresh rate* field to specify the number of seconds between tuples-out samples displayed in graphs.
 
-**The Debugger Node** 
+**The Debugger Node**
 
 Expand the *Debugger* node to specify your debugger display preferences.
 
 .. image:: images/preferences_debugger_display.png
+    :alt: Preferences dialog debugger display options
 
 * When the *Open in new browser tab* switch is set to *True*, the Debugger will open in a new browser tab when invoked.
 
-**The Miscellaneous Node** 
+**The Miscellaneous Node**
 
 Expand the *Miscellaneous* node to specify miscellaneous display preferences.
 
 .. image:: images/preferences_misc_user_language.png
+    :alt: Preferences dialog user language section
 
 * Use the *User language* drop-down listbox to select the display language for the client.
 
-**The Paths Node** 
+**The Paths Node**
 
 Expand the *Paths* node to specify the locations of supporting utility and help files.
 
 .. image:: images/preferences_paths_binary.png
+    :alt: Preferences dialog binary path section
 
 Use the fields on the *Binary paths* panel to specify the path to the directory that contains the utility programs (pg_dump, pg_restore, and pg_dumpall) for monitored databases:
 
@@ -80,8 +87,9 @@ Use the fields on the *Binary paths* panel to specify the path to the directory
 * Use the *PostgreSQL Binary Path* field to specify the location of the PostgreSQL utility programs.  If this path is not set, pgAdmin will attempt to find the utilities in standard locations used by PostgreSQL.
 
 .. image:: images/preferences_paths_help.png
+    :alt: Preferences dialog binary path help section
 
-Use the fields on the *Help* panel to specify the location of help files.  
+Use the fields on the *Help* panel to specify the location of help files.
 
 * Use the *EDB Advanced Server Help Path* to specify the path to EDB Postgres Advanced Server documentation.
 
@@ -89,11 +97,12 @@ Use the fields on the *Help* panel to specify the location of help files.
 
 Please note: the default help paths include the *VERSION* placeholder; the $VERSION$ placeholder will be replaced by the current database version.
 
-**The SQL Editor Node** 
+**The SQL Editor Node**
 
 Expand the *SQL Editor* node to access panels that allow you to specify your preferences for the SQL Editor tool.
 
 .. image:: images/preferences_sql_csv_output.png
+    :alt: Preferences dialog sqleditor csv output option
 
 Use the fields on the *CSV Output* panel to control the CSV output.
 
@@ -102,6 +111,7 @@ Use the fields on the *CSV Output* panel to control the CSV output.
 * Use the *CSV quoting* drop-down listbox to select the fields that will be quoted in the CSV output; select *Strings*, *All*, or *None*.
 
 .. image:: images/preferences_sql_display.png
+    :alt: Preferences dialog sqleditor display options
 
 Use the fields on the *Display* panel to specify your preferences for the SQL Editor display.
 
@@ -110,6 +120,7 @@ Use the fields on the *Display* panel to specify your preferences for the SQL Ed
 * Use the *Query info notifier timeout* field to control the behaviour of the notifier that is displayed when query execution completes. A value of *-1* will disable the notifier, and a value of 0 will display it until clicked. If a positive value above zero is specified, the notifier will be displayed for the specified number of seconds. The default is *5*.
 
 .. image:: images/preferences_sql_explain.png
+    :alt: Preferences dialog sqleditor explain options
 
 Use the fields on the *Explain* panel to specify the level of detail included in a graphical EXPLAIN.
 
@@ -122,6 +133,7 @@ Use the fields on the *Explain* panel to specify the level of detail included in
 * When the *Verbose output?* switch is set to *True*, graphical explain details will include extended information about the query execution plan.
 
 .. image:: images/preferences_sql_options.png
+    :alt: Preferences dialog sqleditor options section
 
 Use the fields on the *Options* panel to manage editor preferences.
 
@@ -146,6 +158,7 @@ Use the fields on the *Options* panel to manage editor preferences.
 * When the *Use spaces* switch is set to *True*, the editor will insert spaces (instead of tab characters) when the tab key or auto-indent are used.
 
 .. image:: images/preferences_sql_results_grid.png
+    :alt: Preferences dialog sql results grid section
 
 Use the fields on the *Results grid* panel to specify your formatting preferences for copied data.
 
@@ -153,11 +166,12 @@ Use the fields on the *Results grid* panel to specify your formatting preference
 * Use the *Result copy quote character* drop-down listbox to select the quote character for copied data.
 * Use the *Result copy quoting* drop-down listbox to select which type of fields require quoting; select *All*, *None*, or *Strings*.
 
-**The Storage Node** 
+**The Storage Node**
 
 Expand the *Storage* node to specify your storage preferences.
 
 .. image:: images/preferences_storage_options.png
+    :alt: Preferences dialog storage section
 
 Use the fields on the *Options* panel to specify storage preferences.
 
@@ -167,6 +181,6 @@ Use the fields on the *Options* panel to specify storage preferences.
 
 * Use the *Maximum file upload size(MB)* field on the *Options* panel of the **Storage** node to specify the maximum file size for an upload.
 
-* When the *Show hidden files and folders?* switch is set to *True*, the file manager will display hidden files and folders. 
+* When the *Show hidden files and folders?* switch is set to *True*, the file manager will display hidden files and folders.
 
 
diff --git a/docs/en_US/primary_key_dialog.rst b/docs/en_US/primary_key_dialog.rst
index d477f0f..fdac178 100644
--- a/docs/en_US/primary_key_dialog.rst
+++ b/docs/en_US/primary_key_dialog.rst
@@ -6,9 +6,10 @@ The Primary key Dialog
 
 Use the *Primary key* dialog to create or modify a primary key constraint. A primary key constraint indicates that a column, or group of columns, uniquely identifies rows in a table. This requires that the values in the selected column(s) be both unique and not null.
 
-The *Primary key* dialog organizes the development of a primary key constraint through the *General* and *Definition* tabs. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Primary key* dialog organizes the development of a primary key constraint through the *General* and *Definition* tabs. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/primary_key_general.png
+    :alt: Primary key dialog general tab
 
 Use the fields in the *General* tab to identify the primary key:
 
@@ -17,6 +18,7 @@ Use the fields in the *General* tab to identify the primary key:
 Click the *Definition* tab to continue.
 
 .. image:: images/primary_key_definition.png
+    :alt: Primary key dialog definition tab
 
 Use the fields in the *Definition* tab to define the primary key constraint:
 
@@ -29,17 +31,18 @@ Use the fields in the *Definition* tab to define the primary key constraint:
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Primary key* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Primary key* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Primary key* dialog: 
+The following is an example of the sql command generated by user selections in the *Primary key* dialog:
 
 .. image:: images/primary_key_sql.png
+    :alt: Primary key dialog sql tab
 
 The example shown demonstrates creating a primary key constraint named *dept_pkey* on the *dept_id* column of the *dept* table.
 
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/procedure_dialog.rst b/docs/en_US/procedure_dialog.rst
index 5037506..da5f34f 100644
--- a/docs/en_US/procedure_dialog.rst
+++ b/docs/en_US/procedure_dialog.rst
@@ -3,14 +3,15 @@
 ********************
 The Procedure Dialog
 ********************
- 
+
 Use the *Procedure* dialog to create a procedure; procedures are supported by EDB Postgres Advanced Server. The *Procedure* dialog allows you to implement options of the CREATE PROCEDURE command; for more information about the CREATE PROCEDURE SQL command, please see the Database Compatibility for Oracle Developer's, available at:
 
-     http://www.enterprisedb.com  
+     http://www.enterprisedb.com
+
+The *Procedure* dialog organizes the development of a procedure through the following dialog tabs: *General*, *Definition*, *Options*, *Arguments*, *Parameters*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
-The *Procedure* dialog organizes the development of a procedure through the following dialog tabs: *General*, *Definition*, *Options*, *Arguments*, *Parameters*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
- 
 .. image:: images/procedure_general.png
+    :alt: Procedure dialog general tab
 
 Use the fields in the *General* tab to identify a procedure:
 
@@ -22,32 +23,35 @@ Use the fields in the *General* tab to identify a procedure:
 Click the *Definition* tab to continue.
 
 .. image:: images/procedure_definition.png
+    :alt: Procedure dialog definition tab
 
 Use the fields in the *Definition* tab to define the procedure:
 
-* Use the drop-down listbox next to *Language* to select a language. The default is *edbspl*. 
+* Use the drop-down listbox next to *Language* to select a language. The default is *edbspl*.
 * Use the *Code* field to specify the code that will execute when the procedure is called.
 
 Click the *Options* tab to continue.
 
 .. image:: images/procedure_options.png
+    :alt: Procedure dialog options tab
 
 Use the fields in the *Options* tab to describe or modify the behavior of the procedure:
 
 * Use the drop-down listbox under *Volatility* to select one of the following. *VOLATILE* is the default value.
 
-    * *VOLATILE* indicates that the value can change even within a single table scan, so no optimizations can be made. 
-    * *STABLE* indicates that the procedure cannot modify the database, and that within a single table scan it will consistently return the same result for the same argument values, but that its result could change across SQL statements. 
+    * *VOLATILE* indicates that the value can change even within a single table scan, so no optimizations can be made.
+    * *STABLE* indicates that the procedure cannot modify the database, and that within a single table scan it will consistently return the same result for the same argument values, but that its result could change across SQL statements.
     * *IMMUTABLE* indicates that the procedure cannot modify the database and always returns the same result when given the same argument values.
 
 * Move the *Strict?* switch to indicate if the procedure always returns NULL whenever any of its arguments are NULL. If *Yes*, the procedure is not executed when there are NULL arguments; instead a NULL result is assumed automatically. The default is *No*.
 * Move the *Security of definer?* switch to specify that the procedure is to be executed with the privileges of the user that created it. The default is *No*.
-* Use the *Estimated cost* field to specify a positive number representing the estimated execution cost for the procedure, in units of cpu_operator_cost. If the procedure returns a set, this is the cost per returned row. 
-* Move the *Leak proof?* switch to indicate whether the procedure has side effects — it reveals no information about its arguments other than by its return value. The default is *No*.   
+* Use the *Estimated cost* field to specify a positive number representing the estimated execution cost for the procedure, in units of cpu_operator_cost. If the procedure returns a set, this is the cost per returned row.
+* Move the *Leak proof?* switch to indicate whether the procedure has side effects — it reveals no information about its arguments other than by its return value. The default is *No*.
 
 Click the *Arguments* tab to continue.
 
 .. image:: images/procedure_arguments.png
+    :alt: Procedure dialog arguments tab
 
 Use the fields in the *Arguments* tab to define an argument. Click *Add* to set parameters and values for the argument:
 
@@ -61,20 +65,22 @@ Click *Add* to define another argument; to discard an argument, click the trash
 Click the *Parameters* tab to continue.
 
 .. image:: images/procedure_parameters.png
+    :alt: Procedure dialog parameters tab
 
 Use the fields in the *Parameters* tab to specify settings that will be applied when the procedure is invoked:
 
-* Use the drop-down listbox next to *Parameter Name* in the *Parameters* panel to select a parameter. 
+* Use the drop-down listbox next to *Parameter Name* in the *Parameters* panel to select a parameter.
 * Click the *Add* button to add the variable to *Name* field in the table.
 * Use the *Value* field to specify the value that will be associated with the selected variable. This field is context-sensitive.
 
 Click the *Security* tab to continue.
 
 .. image:: images/procedure_security.png
+    :alt: Procedure dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
-Use the *Privileges* panel to assign execute privileges for the procedure to a role:  
+Use the *Privileges* panel to assign execute privileges for the procedure to a role:
 
 * Select the name of the role from the drop-down listbox in the *Grantee* field.
 * Click inside the *Privileges* field. Check the boxes to the left of one or more privileges to grant the selected privilege to the specified user.
@@ -82,10 +88,10 @@ Use the *Privileges* panel to assign execute privileges for the procedure to a r
 
 Click *Add* to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the procedure. Click *Add* to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the procedure. Click *Add* to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click *Add* to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
@@ -95,12 +101,13 @@ Your entries in the *Procedure* dialog generate a SQL command (see an example be
 
 **Example**
 
-The following is an example of the sql command generated by selections made in the *Procedure* dialog: 
+The following is an example of the sql command generated by selections made in the *Procedure* dialog:
 
 .. image:: images/procedure_sql.png
+    :alt: Procedure dialog sql tab
+
+The example demonstrates creating a procedure that returns a list of employees from a table named *emp*.  The procedure is a SECURITY DEFINER, and will execute with the privileges of the role that defined the procedure.
 
-The example demonstrates creating a procedure that returns a list of employees from a table named *emp*.  The procedure is a SECURITY DEFINER, and will execute with the privileges of the role that defined the procedure.  
- 
 * Click the *Info* button (i) to access online help.  View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/query_tool.rst b/docs/en_US/query_tool.rst
index 6d78f11..ebd261d 100644
--- a/docs/en_US/query_tool.rst
+++ b/docs/en_US/query_tool.rst
@@ -1,31 +1,33 @@
 .. _query_tool:
 
 **************
-The Query tool  
+The Query tool
 **************
 
 The Query tool is a powerful, feature-rich environment that allows you to execute arbitrary SQL commands and review the result set.  You can access the Query tool via the *Query Tool* menu option on the *Tools* menu, or through the context menu of select nodes of the Browser tree control.  The Query Tool allows you to:
 
-* Issue ad-hoc SQL queries. 
+* Issue ad-hoc SQL queries.
 * Execute arbitrary SQL commands.
-* Save the data displayed in the output panel to a CSV file. 
+* Save the data displayed in the output panel to a CSV file.
 * Review the execution plan of a SQL statement in either a text or a graphical format.
 * View analytical information about a SQL statement.
 
 .. image:: images/query_tool.png
+    :alt: Query tool window
 
 You can open multiple copies of the Query tool in individual tabs simultaneously.  To close a copy of the Query tool, click the *X* in the upper-right hand corner of the tab bar.
 
-The Query Tool features two panels: 
+The Query Tool features two panels:
 
-* The upper panel displays the *SQL Editor*.  You can use the panel to enter, edit, or execute a query. 
+* The upper panel displays the *SQL Editor*.  You can use the panel to enter, edit, or execute a query.
 * The lower panel displays the *Data Output* panel. The tabbed panel displays the result set returned by a query, information about a query's execution plan, server messages related to the query's execution, and a history of the queries invoked in the SQL Editor.
 
 **The Query Tool Toolbar**
 
 The *Query Tool* toolbar uses context-sensitive icons that provide shortcuts to frequently performed tasks. If an icon is highlighted, the option is enabled; if the icon is grayed-out, the task is disabled.  Please note that disabled icons may support functionality accessed via the :ref:`data editor <editgrid>`.
 
-.. image:: images/query_toolbar.png 
+.. image:: images/query_toolbar.png
+    :alt: Query tool toolbar
 
 Hover over an icon to display a tooltip that describes the icon's functionality:
 
@@ -129,18 +131,22 @@ Hover over an icon to display a tooltip that describes the icon's functionality:
 The *SQL editor* panel is a workspace where you can manually provide a query, copy a query from another source, or read a query from a file. The SQL editor features syntax coloring and autocompletion.
 
 .. image:: images/query_sql_editor.png
+    :alt: Query tool editor
 
-To use autocomplete, begin typing your query; when you would like the Query editor to suggest object names or commands that might be next in your query, press the Control+Space key combination. For example, type "\*SELECT \* FROM\* " (without quotes, but with a trailing space), and then press the Control+Space key combination to select from a popup menu of autocomplete options. 
+To use autocomplete, begin typing your query; when you would like the Query editor to suggest object names or commands that might be next in your query, press the Control+Space key combination. For example, type "\*SELECT \* FROM\* " (without quotes, but with a trailing space), and then press the Control+Space key combination to select from a popup menu of autocomplete options.
 
 .. image:: images/query_autocomplete.png
+    :alt: Query tool autocomplete feature
 
-After entering a query, select the *Execute/Refresh* icon from the toolbar. The complete contents of the SQL editor panel will be sent to the database server for execution. To execute only a section of the code that is displayed in the SQL editor, highlight the text that you want the server to execute, and click the *Execute/Refresh* icon. 
+After entering a query, select the *Execute/Refresh* icon from the toolbar. The complete contents of the SQL editor panel will be sent to the database server for execution. To execute only a section of the code that is displayed in the SQL editor, highlight the text that you want the server to execute, and click the *Execute/Refresh* icon.
 
 .. image:: images/query_execute_section.png
+    :alt: Query tool execute query section
 
 The message returned by the server when a command executes is displayed on the *Messages* tab.  If the command is successful, the *Messages* tab displays execution details.
 
 .. image:: images/query_tool_message.png
+    :alt: Query tool message panel
 
 Options on the *Edit* menu offer functionality that helps with code formatting and commenting:
 
@@ -151,9 +157,10 @@ Options on the *Edit* menu offer functionality that helps with code formatting a
 
 **The Data Output Panel**
 
-The *Data Output* panel displays data and statistics generated by the most recently executed query. 
+The *Data Output* panel displays data and statistics generated by the most recently executed query.
 
 .. image:: images/query_output_data.png
+    :alt: Query tool output panel
 
 The *Data Output* tab displays the result set of the query in a table format. You can:
 
@@ -163,29 +170,34 @@ The *Data Output* tab displays the result set of the query in a table format. Yo
 
 All rowsets from previous queries or commands that are displayed in the *Data Output* panel will be discarded when you invoke another query; open another query tool browser tab to keep your previous results available.
 
-Use the *Explain* tab to view a graphical representation of a query: 
+Use the *Explain* tab to view a graphical representation of a query:
 
 .. image:: images/query_output_explain.png
+    :alt: Query tool explain panel
 
-To generate a graphical explain diagram, open the *Explain* tab, and select *Explain*, *Explain Analyze*, or one or more options from the *Explain options* menu on the *Execute/Refresh* drop-down. Please note that *EXPLAIN VERBOSE* cannot be displayed graphically. Hover over an icon on the *Explain* tab to review information about that item; a popup window will display information about the selected object: 
+To generate a graphical explain diagram, open the *Explain* tab, and select *Explain*, *Explain Analyze*, or one or more options from the *Explain options* menu on the *Execute/Refresh* drop-down. Please note that *EXPLAIN VERBOSE* cannot be displayed graphically. Hover over an icon on the *Explain* tab to review information about that item; a popup window will display information about the selected object:
 
 .. image:: images/query_output_explain_details.png
+    :alt: Query tool graphical explain plan
 
-Note that the query plan that accompanies the *Explain analyze* is available on the *Data Output* tab. 
+Note that the query plan that accompanies the *Explain analyze* is available on the *Data Output* tab.
 
 Use the *Messages* tab to view information about the most recently executed query:
 
 .. image:: images/query_output_error.png
+    :alt: Query tool output messages
 
-If the server returns an error, the error message will be displayed on the *Messages* tab, and the syntax that caused the error will be underlined in the SQL editor.  If a query succeeds, the *Messages* tab displays how long the query took to complete and how many rows were retrieved: 
+If the server returns an error, the error message will be displayed on the *Messages* tab, and the syntax that caused the error will be underlined in the SQL editor.  If a query succeeds, the *Messages* tab displays how long the query took to complete and how many rows were retrieved:
 
 .. image:: images/query_output_messages.png
+    :alt: Query tool output information
 
 Use the *Query History* tab to review activity for the current session:
 
 .. image:: images/query_output_history.png
+    :alt: Query tool history panel
 
-The Query History tab displays information about recent commands: 
+The Query History tab displays information about recent commands:
 
 * The date and time that a query was invoked.
 * The text of the query.
diff --git a/docs/en_US/resource_group_dialog.rst b/docs/en_US/resource_group_dialog.rst
index c55c833..3138eb7 100644
--- a/docs/en_US/resource_group_dialog.rst
+++ b/docs/en_US/resource_group_dialog.rst
@@ -8,9 +8,10 @@ Use the *Resource Group* dialog to create a resource group and set values for it
 
    http://www.enterprisedb.com/
 
-Fields used to create a resource group are located on the *General* tab.  The *SQL* tab displays the SQL code generated by your selections on the *Resource Group* dialog. 
+Fields used to create a resource group are located on the *General* tab.  The *SQL* tab displays the SQL code generated by your selections on the *Resource Group* dialog.
 
 .. image:: images/resource_group_general.png
+    :alt: Resource Group dialog general tab
 
 Use the fields on the *General* tab to specify resource group attributes:
 
@@ -20,18 +21,19 @@ Use the fields on the *General* tab to specify resource group attributes:
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Resource Group* dialog generate a SQL command. Use the *SQL* tab for review; revisit the *General* tab to make any changes to the SQL command. 
+Your entries in the *Resource Group* dialog generate a SQL command. Use the *SQL* tab for review; revisit the *General* tab to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by selections made in the *Resource Group* dialog: 
+The following is an example of the sql command generated by selections made in the *Resource Group* dialog:
 
 .. image:: images/resource_group_sql.png
+    :alt: Resource Group dialog sql tab
 
 The example creates a resource group named *acctg* that sets *cpu_rate_limit* to *2*, and *dirty_rate_limit* to *6144*.
- 
-* Click the Info button (*i*) to access online SQL syntax reference material. 
-* Click the Help button (*?*) to access online documentation about Resource Groups. 
+
+* Click the Info button (*i*) to access online SQL syntax reference material.
+* Click the Help button (*?*) to access online documentation about Resource Groups.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
diff --git a/docs/en_US/restore_dialog.rst b/docs/en_US/restore_dialog.rst
index 0f54d42..3fb47d3 100644
--- a/docs/en_US/restore_dialog.rst
+++ b/docs/en_US/restore_dialog.rst
@@ -6,74 +6,83 @@ The Restore Dialog
 
 The *Restore* dialog provides an easy way to use a Custom, tar, or Directory format backup taken with the pgAdmin *Backup* dialog to recreate a database or database object.  The *Backup* dialog invokes options of the pg_dump client utility; the *Restore* dialog invokes options of the pg_restore client utility.
 
-You can use the *Query Tool* to play back the script created during a plain-text backup made with the *Backup* dialog.  For more information about backing up or restoring, please refer to the documentation for `pg_dump <https://www.postgresql.org/docs/9.5/static/app-pgdump.html>`_ or `pg_restore <https://www.postgresql.org/docs/9.5/static/app-pgrestore.html>`_. 
+You can use the *Query Tool* to play back the script created during a plain-text backup made with the *Backup* dialog.  For more information about backing up or restoring, please refer to the documentation for `pg_dump <https://www.postgresql.org/docs/9.5/static/app-pgdump.html>`_ or `pg_restore <https://www.postgresql.org/docs/9.5/static/app-pgrestore.html>`_.
 
 .. image:: images/restore_general.png
+    :alt: Restore dialog general tab
 
 Use the fields on the *General* tab to specify general information about the restore process:
 
-* Use the drop-down listbox in the *Format* field to select the format of your backup file. 
+* Use the drop-down listbox in the *Format* field to select the format of your backup file.
+
+   * Select *Custom or tar* to restore from a custom archive file to create a copy of the backed-up object.
+   * Select *Directory* to restore from a compressed directory-format archive.
 
-   * Select *Custom or tar* to restore from a custom archive file to create a copy of the backed-up object.    
-   * Select *Directory* to restore from a compressed directory-format archive.    
-      
 * Enter the complete path to the backup file in the *Filename* field.  Optionally, select the *Browser* icon (ellipsis) to the right to navigate into a directory and select the file that contains the archive.
 * Use the *Number of Jobs* field to specify if pg_restore should use multiple (concurrent) jobs to process the restore.  Each job uses a separate connection to the server.
-* Use the drop-down listbox next to *Rolename* to specify the role that will be used to authenticate with the server during the restore process. 
+* Use the drop-down listbox next to *Rolename* to specify the role that will be used to authenticate with the server during the restore process.
 
 Click the *Restore options* tab to continue. Use the fields on the *Restore options* tab to specify options that correspond to *pg_restore* options.
 
 .. image:: images/restore_sections.png
+    :alt: Restore dialog options section
 
 * Use the switches in the **Sections** box to specify the content that will be restored:
 
-   * Move the switch next to *Pre-data* to the *Yes* position to restore all data definition items not included in the data or post-data item lists. 
-   * Move the switch next to *Data* to the *Yes* position to restore actual table data, large-object contents, and sequence values.  
+   * Move the switch next to *Pre-data* to the *Yes* position to restore all data definition items not included in the data or post-data item lists.
+   * Move the switch next to *Data* to the *Yes* position to restore actual table data, large-object contents, and sequence values.
    * Move the switch next to *Post-data* to the *Yes* position to restore definitions of indexes, triggers, rules, and constraints (other than validated check constraints).
-   
-.. image:: images/restore_objects.png 
+
+.. image:: images/restore_objects.png
+    :alt: Restore dialog sections section
 
 * Use the switches in the **Type of objects** box to specify the objects that will be restored:
 
    * Move the switch next to *Only data* to the *Yes* position to limit the restoration to data.
-   * Move the switch next to *Only schema* to limit the restoration to schema-level database objects. 
+   * Move the switch next to *Only schema* to limit the restoration to schema-level database objects.
 
 .. image:: images/restore_do_not_save.png
+    :alt: Restore dialog do not save section
 
 * Use the switches in the **Do not save** box to specify which objects will not be restored:
 
    * Move the switch next to *Owner* to the *Yes* position to exclude commands that set object ownership.
-   * Move the switch next to *Privilege* to the *Yes* position to exclude commands that create access privileges. 
-   * Move the switch next to *Tablespace* to the *Yes* position to exclude tablespaces. 
+   * Move the switch next to *Privilege* to the *Yes* position to exclude commands that create access privileges.
+   * Move the switch next to *Tablespace* to the *Yes* position to exclude tablespaces.
 
 .. image:: images/restore_queries.png
+    :alt: Restore dialog queries section
 
 * Use the switches in the **Queries** box to specify the type of statements that should be included in the restore:
 
-   * Move the switch next to *Include CREATE DATABASE statement* to the *Yes* position to include a command that creates a new database before performing the restore.   
-   * Move the switch next to *Clean before restore* to the *Yes* position to drop each existing database object (and data) before restoring. 
+   * Move the switch next to *Include CREATE DATABASE statement* to the *Yes* position to include a command that creates a new database before performing the restore.
+   * Move the switch next to *Clean before restore* to the *Yes* position to drop each existing database object (and data) before restoring.
    * Move the switch next to *Single transaction* to the *Yes* position to execute the restore as a single transaction (that is, wrap the emitted commands in *BEGIN/COMMIT*). This ensures that either all the commands complete successfully, or no changes are applied. This option implies *--exit-on-error*.
 
 .. image:: images/restore_disable.png
+    :alt: Restore dialog disable section
 
 * Use the switches in the **Disable** box to specify the type of statements that should be excluded from the restore:
 
    * Move the switch next to *Trigger* (active when creating a data-only restore) to the *Yes* position to include commands that will disable triggers on the target table while the data is being loaded.
    * Move the switch next to *No data for Failed Tables* to the *Yes* position to ignore data that fails a trigger.
-   
+
 .. image:: images/restore_miscellaneous.png
+    :alt: Restore dialog miscellaneous section
 
 * Use the switches in the **Miscellaneous/Behavior** box to specify miscellaneous restore options:
 
    * Move the switch next to *Verbose messages* to the *No* position to instruct *pg_restore* to exclude verbose messages.
    * Move the switch next to *Use SET SESSION AUTHORIZATION* to the *Yes* position to include a statement that will use a SET SESSION AUTHORIZATION command to determine object ownership (instead of an ALTER OWNER command).
-   
+
    * Move the switch next to *Exit on error* to the *Yes* position to instruct *pg_restore* to exit restore if there is an error in sending SQL commands. The default is to continue and to display a count of errors at the end of the restore.
-   
+
 When you’ve specified the details that will be incorporated into the pg_restore command, click the *Restore* button to start the process, or click the *Cancel* button to exit without saving your work. A popup will confirm if the restore is successful.
 
 .. image:: images/restore_messages.png
+    :alt: Restore dialog notifications
 
 Click *Click here for details* on the popup to launch the *Process Watcher*. The *Process Watcher* logs all the activity associated with the restore, and provides additional information for troubleshooting should the restore command encounter problems.
 
-.. image:: images/restore_process_watcher.png
\ No newline at end of file
+.. image:: images/restore_process_watcher.png
+    :alt: Restore dialog process watcher
diff --git a/docs/en_US/role_dialog.rst b/docs/en_US/role_dialog.rst
index da9c192..f3ac006 100644
--- a/docs/en_US/role_dialog.rst
+++ b/docs/en_US/role_dialog.rst
@@ -4,34 +4,37 @@
 The Login/Group Role Dialog
 ***************************
 
-Use the *Login/Group Role* dialog to define a role. A role may be an individual user (with or without login privileges) or a group of users. Note that roles defined at the cluster level are shared by all databases in the cluster. 
+Use the *Login/Group Role* dialog to define a role. A role may be an individual user (with or without login privileges) or a group of users. Note that roles defined at the cluster level are shared by all databases in the cluster.
 
-The *Login/Group Role* dialog organizes the creation and management of roles through the following dialog tabs: *General*, *Definition*, *Privileges*, *Parameters*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Login/Group Role* dialog organizes the creation and management of roles through the following dialog tabs: *General*, *Definition*, *Privileges*, *Parameters*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/role_general.png
+    :alt: Role dialog general tab
 
 Use the fields on the *General* tab to identify the role.
 
-* Use the *Name* field to provide the name of the role. The name will be displayed in the tree control. 
-* Provide a note about the role in the *Comments* field. 
+* Use the *Name* field to provide the name of the role. The name will be displayed in the tree control.
+* Provide a note about the role in the *Comments* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/role_definition.png
+    :alt: Role dialog definition tab
 
 Use the *Definition* tab to set a password and configure connection rules:
 
-* Provide a password that will be associated with the role in the *Password* field. 
+* Provide a password that will be associated with the role in the *Password* field.
 * Provide an expiration date for the password in the *Account Expires* field (the role does not expire).  The expiration date is not enforced when a user logs in with a non-password-based authentication method.
 * If the role is a login role, specify how many concurrent connections the role can make in the *Connection Limit* field. The default value (*-1*) allows unlimited connections.
 
 Click the *Privileges* tab to continue.
 
 .. image:: images/role_privileges.png
+    :alt: Role dialog privileges tab
 
 Use the *Privileges* tab to grant privileges to the role.
 
-* Move the *Can login?* switch to the *Yes* position if the role has login privileges. The default value is *No*.  
+* Move the *Can login?* switch to the *Yes* position if the role has login privileges. The default value is *No*.
 * Move the *Superuser* switch to the *Yes* position if the role is a superuser within the database. The default value is *No*.
 * Move the *Create roles?* switch to the *Yes* position to specify whether a role is permitted to create roles. A role with this privilege can alter and drop roles. The default value is *No*.
 * Move the *Create databases* switch to the *Yes* position to control whether a role can create databases. The default value is *No*.
@@ -40,12 +43,14 @@ Use the *Privileges* tab to grant privileges to the role.
 * Move the *Can initiate streaming replication and backups?* switch to the *Yes* position to control whether a role can initiate streaming replication or put the system in and out of backup mode. The default value is *No*.
 
 .. image:: images/role_membership.png
+    :alt: Role dialog membership tab
 
-* Specify members of the role in the *Role Membership* field. Click inside the *Roles* field to select role names from a drop down list. Confirm each selection by checking the checkbox to the right of the role name; delete a selection by clicking the *x* to the left of the role name. Membership conveys the privileges granted to the specified role to each of its members. 
+* Specify members of the role in the *Role Membership* field. Click inside the *Roles* field to select role names from a drop down list. Confirm each selection by checking the checkbox to the right of the role name; delete a selection by clicking the *x* to the left of the role name. Membership conveys the privileges granted to the specified role to each of its members.
 
 Click the *Parameters* tab to continue.
 
 .. image:: images/role_parameters.png
+    :alt: Role dialog parameters tab
 
 Use the fields on the *Parameters* tab to set session defaults for a selected configuration parameter when the role is connected to a specified database. This tab invokes the ALTER ROLE... SET configuration_parameter syntax. Click the *Add* icon (+) to assign a value for a parameter.
 
@@ -55,14 +60,15 @@ Use the fields on the *Parameters* tab to set session defaults for a selected co
 
 Click the *Add* icon (+) to specify each additional parameter; to discard a parameter, click the trash icon to the left of the row and confirm the deletion in the *Delete Row* popup.
 
-Click the *Security* tab to continue. 
+Click the *Security* tab to continue.
 
 .. image:: images/role_security.png
+    :alt: Role dialog security tab
 
-Use the *Security* tab to define security labels applied to the role. Click the *Add* icon (+) to add each security label selection. 
+Use the *Security* tab to define security labels applied to the role. Click the *Add* icon (+) to add each security label selection.
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 To discard a security label, click the trash icon to the left of the row and confirm the deletion in the *Delete Row* popup.
 
@@ -72,12 +78,13 @@ Your entries in the *Login/Group Role* dialog generate a SQL command (see an exa
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Login/Group Role* dialog: 
+The following is an example of the sql command generated by user selections in the *Login/Group Role* dialog:
 
 .. image:: images/role_sql.png
+    :alt: Role dialog sql tab
 
 The example creates a login role named *alice* with *pem_user* privileges; the role can make unlimited connections to the server at any given time.
- 
+
 * Click the Info button (*i*) to access online SQL help.
 * Click the Help button (*?*) to access the documentation for the dialog.
 * Click the *Save* button to save work.
diff --git a/docs/en_US/rule_dialog.rst b/docs/en_US/rule_dialog.rst
index 196070e..c43d333 100644
--- a/docs/en_US/rule_dialog.rst
+++ b/docs/en_US/rule_dialog.rst
@@ -1,43 +1,46 @@
 .. _rule_dialog:
 
 ***************
-The Rule Dialog  
+The Rule Dialog
 ***************
- 
-Use the *Rule* dialog to define or modify a rule for a specified table or view. A PostgreSQL rule allows you to define an additional action that will be performed when a SELECT, INSERT, UPDATE, or DELETE is performed against a table. 
 
-The *Rule* dialog organizes the development of a rule through the *General*, and *Definition* tabs. The *SQL* tab displays the SQL code generated by dialog selections. 
+Use the *Rule* dialog to define or modify a rule for a specified table or view. A PostgreSQL rule allows you to define an additional action that will be performed when a SELECT, INSERT, UPDATE, or DELETE is performed against a table.
+
+The *Rule* dialog organizes the development of a rule through the *General*, and *Definition* tabs. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/rule_general.png
+    :alt: Rule dialog general tab
 
 Use the fields in the *General* tab to identify the rule:
 
-* Use the *Name* field to add a descriptive name for the rule. The name will be displayed in the *pgAdmin* tree control. Multiple rules on the same table are applied in alphabetical name order. 
+* Use the *Name* field to add a descriptive name for the rule. The name will be displayed in the *pgAdmin* tree control. Multiple rules on the same table are applied in alphabetical name order.
 * Store notes about the rule in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/rule_definition.png
+    :alt: Rule dialog definition tab
 
 Use the fields in the *Definition* tab to write parameters:
 
 * Click inside the *Event* field to select the type of event that will invoke the rule; event may be *Select*, *Insert*, *Update*, or *Delete*.
 * Move the *Do Instead* switch to *Yes* indicate that the commands should be executed instead of the original command; if Do Instead specifies *No*, the rule will be invoked in addition to the original command.
-* Specify a SQL conditional expression that returns a boolean value in the *Condition* editor. 
+* Specify a SQL conditional expression that returns a boolean value in the *Condition* editor.
 * Provide a command in the *Commands* editor that defines the action performed by the rule.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Rule* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Rule* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Rule* dialog: 
+The following is an example of the sql command generated by user selections in the *Rule* dialog:
 
 .. image:: images/rule_sql.png
+    :alt: Rule dialog sql tab
+
+The example sends a notification when an UPDATE executes against a table.
 
-The example sends a notification when an UPDATE executes against a table. 
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/schema_dialog.rst b/docs/en_US/schema_dialog.rst
index b2b05e5..697e3c3 100644
--- a/docs/en_US/schema_dialog.rst
+++ b/docs/en_US/schema_dialog.rst
@@ -1,26 +1,28 @@
 .. _schema_dialog:
 
 *****************
-The Schema Dialog 
+The Schema Dialog
 *****************
 
-Use the *Schema* dialog to define a schema. A schema is the organizational workhorse of a database, similar to directories or namespaces. To create a schema, you must be a database superuser or have the CREATE privilege.  
+Use the *Schema* dialog to define a schema. A schema is the organizational workhorse of a database, similar to directories or namespaces. To create a schema, you must be a database superuser or have the CREATE privilege.
+
+The *Schema* dialog organizes the development of schema through the following dialog tabs: *General* and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
-The *Schema* dialog organizes the development of schema through the following dialog tabs: *General* and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
- 
 .. image:: images/schema_general.png
+    :alt: Schema dialog general tab
 
 Use the fields on the *General* tab to identify the schema.
 
 * Use the *Name* field to add a descriptive name for the schema. The name will be displayed in the *pgAdmin* tree control.
 * Select the owner of the schema from the drop-down listbox in the *Owner* field.
-* Store notes about the schema in the *Comment* field.  
+* Store notes about the schema in the *Comment* field.
 
 Click the *Security* tab to continue.
 
 .. image:: images/schema_security.png
+    :alt: Schema dialog security tab
 
-Use the *Security* tab to assign privileges and security labels for the schema. 
+Use the *Security* tab to assign privileges and security labels for the schema.
 
 Click the *Add* icon (+) to assign a set of privileges in the *Privileges* panel:
 
@@ -33,13 +35,14 @@ Click the *Add* icon (+) to assign additional sets of privileges; to discard a p
 Click the *Add* icon (+) to assign a security label in the *Security Labels* panel:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *Default Privileges* tab to continue.
 
 .. image:: images/schema_default_privileges.png
+    :alt: Schema dialog default privileges tab
 
 Use the *Default Privileges* tab to grant privileges for tables, sequences, functions and types. Use the tabs nested inside the *Default Privileges* tab to specify the database object and click the *Add* icon (+) to assign a set of privileges:
 
@@ -53,16 +56,17 @@ Your entries in the *Schema* dialog generate a SQL command (see an example below
 
 **Example**
 
-The following is an example of the sql command generated by selections made in the *Schema* dialog: 
+The following is an example of the sql command generated by selections made in the *Schema* dialog:
 
 .. image:: images/schema_sql.png
+    :alt: Schema dialog sql tab
 
 The example creates a schema named hr; the command grants *USAGE* privileges to *public* and assigns the ability to grant privileges to *alice*.
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
 
 
- 
+
diff --git a/docs/en_US/sequence_dialog.rst b/docs/en_US/sequence_dialog.rst
index 86692a8..5045137 100644
--- a/docs/en_US/sequence_dialog.rst
+++ b/docs/en_US/sequence_dialog.rst
@@ -4,15 +4,16 @@
 The Sequence Dialog
 *******************
 
-Use the *Sequence* dialog to create a sequence.  A sequence generates unique values in a sequential order (not necessarily contiguous).  
+Use the *Sequence* dialog to create a sequence.  A sequence generates unique values in a sequential order (not necessarily contiguous).
 
-The *Sequence* dialog organizes the development of a sequence through the following dialog tabs: *General*, *Definition*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Sequence* dialog organizes the development of a sequence through the following dialog tabs: *General*, *Definition*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/sequence_general.png
-   
+    :alt: Sequence dialog general tab
+
 Use the fields in the *General* tab to identify a sequence:
 
-* Use the *Name* field to add a descriptive name for the sequence. The name will be displayed in the *pgAdmin* tree control.  The sequence name must be distinct from the name of any other sequence, table, index, view, or foreign table in the same schema. 
+* Use the *Name* field to add a descriptive name for the sequence. The name will be displayed in the *pgAdmin* tree control.  The sequence name must be distinct from the name of any other sequence, table, index, view, or foreign table in the same schema.
 * Use the drop-down listbox next to *Owner* to select the name of the role that will own the sequence.
 * Use the drop-down listbox next to *Schema* to select the schema in which the sequence will reside.
 * Store notes about the sequence in the *Comment* field.
@@ -20,7 +21,8 @@ Use the fields in the *General* tab to identify a sequence:
 Click the *Definition* tab to continue.
 
 .. image:: images/sequence_definition.png
-   
+    :alt: Sequence dialog definition tab
+
 Use the fields in the *Definition* tab to define the sequence:
 
 * Use the *Increment* field to specify which value is added to the current sequence value to create a new value.
@@ -33,8 +35,9 @@ Use the fields in the *Definition* tab to define the sequence:
 Click the *Security* tab to continue.
 
 .. image:: images/sequence_security.png
+    :alt: Sequence dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels for the sequence.  
+Use the *Security* tab to assign privileges and define security labels for the sequence.
 
 Use the *Privileges* panel to assign privileges. Click the *Add* icon (+) to set privileges:
 
@@ -44,31 +47,32 @@ Use the *Privileges* panel to assign privileges. Click the *Add* icon (+) to set
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the sequence. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the sequence. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
-   
-Your entries in the *Sequence* dialog generate a generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+
+Your entries in the *Sequence* dialog generate a generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Sequence* dialog: 
+The following is an example of the sql command generated by user selections in the *Sequence* dialog:
 
 .. image:: images/sequence_sql.png
+    :alt: Sequence dialog sql tab
 
 The example shown demonstrates a sequence named *seconds*. The sequence will increase in *5* second increments, and stop when it reaches a maximum value equal of *60*.
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
 
-  
+
 
 
 
diff --git a/docs/en_US/server_dialog.rst b/docs/en_US/server_dialog.rst
index dac4e5b..24a726b 100644
--- a/docs/en_US/server_dialog.rst
+++ b/docs/en_US/server_dialog.rst
@@ -7,6 +7,7 @@ The Server Dialog
 Use the *Server* dialog to describe a connection to a server. Note: you must ensure that the pg_hba.conf file of the server from which you are connecting allows connections from the host of the client.
 
 .. image:: images/server_general.png
+    :alt: Server dialog general tab
 
 Use the fields in the *General* tab to identify the server:
 
@@ -20,6 +21,7 @@ Use the fields in the *General* tab to identify the server:
 Click the *Connection* tab to continue.
 
 .. image:: images/server_connection.png
+    :alt: Server dialog connection tab
 
 Use the fields in the *Connection* tab to configure a connection:
 
@@ -34,6 +36,7 @@ Use the fields in the *Connection* tab to configure a connection:
 Click the *SSL* tab to continue.
 
 .. image:: images/server_ssl.png
+    :alt: Server dialog ssl tab
 
 Use the fields in the *SSL* tab to configure SSL:
 
@@ -52,6 +55,7 @@ If pgAdmin is installed in Server mode (the default mode), you can use the platf
 Click the *Advanced* tab to continue.
 
 .. image:: images/server_advanced.png
+    :alt: Server dialog advanced tab
 
 Use the fields in the *Advanced* tab to configure a connection:
 
diff --git a/docs/en_US/server_group_dialog.rst b/docs/en_US/server_group_dialog.rst
index ead3b26..acfc5a3 100644
--- a/docs/en_US/server_group_dialog.rst
+++ b/docs/en_US/server_group_dialog.rst
@@ -4,9 +4,10 @@
 The Server Group Dialog
 ***********************
 
-Use the *Server Group* dialog to add a new server group. Assign servers to server groups to simplify management of multiple servers. Server groups are displayed as part of the *pgAdmin* tree control.  
+Use the *Server Group* dialog to add a new server group. Assign servers to server groups to simplify management of multiple servers. Server groups are displayed as part of the *pgAdmin* tree control.
 
 .. image:: images/server_group.png
+    :alt: Server group dialog
 
 Use the *Name* field on the *Server Group* dialog to specify a name that will identify the server group in the *pgAdmin* tree control.
 
@@ -14,5 +15,5 @@ Use the *Name* field on the *Server Group* dialog to specify a name that will id
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
 
-To create server connections in a server group, right click on the named server group and select the *Create* option to open the *Create - Server* dialog.  
+To create server connections in a server group, right click on the named server group and select the *Create* option to open the *Create - Server* dialog.
 
diff --git a/docs/en_US/synonym_dialog.rst b/docs/en_US/synonym_dialog.rst
index ebba21f..634635a 100644
--- a/docs/en_US/synonym_dialog.rst
+++ b/docs/en_US/synonym_dialog.rst
@@ -7,9 +7,10 @@ The Synonym Dialog
 
 Use the *Synonym* dialog to substitute the name of a target object with a user-defined synonym.
 
-The *Synonym* dialog organizes the development of a synonym through the *General* tab. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Synonym* dialog organizes the development of a synonym through the *General* tab. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/synonym_general.png
+    :alt: Synonym dialog general tab
 
 Use the fields in the *General* tab to identify the synonym:
 
@@ -24,9 +25,10 @@ In the definition panel, identify the target:
 
 Click the *SQL* tab to continue.
 
-Your selections and entries in the *Synonym* dialog generate a SQL command.  
+Your selections and entries in the *Synonym* dialog generate a SQL command.
 
 .. image:: images/synonym_sql.png
+    :alt: Synonym dialog sql tab
 
 The example creates a synonym for the *emp* table named *emp_hist*.
 
diff --git a/docs/en_US/table_dialog.rst b/docs/en_US/table_dialog.rst
index 2765e0d..c01ea7a 100644
--- a/docs/en_US/table_dialog.rst
+++ b/docs/en_US/table_dialog.rst
@@ -9,6 +9,7 @@ Use the *Table* dialog to create or modify a table.
 The *Table* dialog organizes the development of a table through the following dialog tabs: *General*, *Columns*, *Constraints*, *Advanced*, *Parameter*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/table_general.png
+    :alt: Table dialog general tab
 
 Use the fields in the *General* tab to identify the table:
 
@@ -21,8 +22,9 @@ Use the fields in the *General* tab to identify the table:
 Click the *Columns* tab to continue.
 
 .. image:: images/table_columns.png
+    :alt: Table dialog columns tab
 
-Use the drop-down listbox next to *Inherited from table(s)* to specify any parent table(s); the table will inherit columns from the selected parent table(s). Click inside the *Inherited from table(s)* field to select a table name from a drop-down list. Repeat to add any other parent tables. Delete a selected table by clicking the *x* to the left of the parent name. Note that inherited column names and datatypes are not editable in the current dialog; they must be modified at the parent level. 
+Use the drop-down listbox next to *Inherited from table(s)* to specify any parent table(s); the table will inherit columns from the selected parent table(s). Click inside the *Inherited from table(s)* field to select a table name from a drop-down list. Repeat to add any other parent tables. Delete a selected table by clicking the *x* to the left of the parent name. Note that inherited column names and datatypes are not editable in the current dialog; they must be modified at the parent level.
 
 Click the *Add* icon (+) to specify the names of columns and their datatypes in the *Columns* table:
 
@@ -30,13 +32,14 @@ Click the *Add* icon (+) to specify the names of columns and their datatypes in
 * Use the drop-down listbox in the *Data type* field to select a data type for the column. This can include array specifiers. For more information on the data types supported by PostgreSQL, refer to Chapter 8 of the core documentation.
 * If enabled, use the *Length* and *Precision* fields to specify the maximum number of significant digits in a numeric value, or the maximum number of characters in a text value.
 * Move the *Not NULL?* switch to the *Yes* position to require a value in the column field.
-* Move the *Primary key?* switch to the *Yes* position to specify the column is the primary key constraint.  
- 
+* Move the *Primary key?* switch to the *Yes* position to specify the column is the primary key constraint.
+
  Click the *Add* icon (+) to add additional columns; to discard a column, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *Constraints* tab to continue.
 
 .. image:: images/table_constraints.png
+    :alt: Table dialog constraints tab
 
 Use the fields in the *Constraints* tab to provide a table or column constraint. Optional constraint clauses specify constraints (tests) that new or updated rows must satisfy for an *INSERT* or *UPDATE* operation to succeed. Select the appropriate constraint type by selecting one of the following tabs on the *Constraints* panel:
 
@@ -51,7 +54,7 @@ Use the fields in the *Constraints* tab to provide a table or column constraint.
 +----------------+---------------------------------------------------------------------------------------------------------------------+
 | *Unique*       | Ensures that the data contained in a column, or a group of columns, is unique among all the rows in the table.      |
 +----------------+---------------------------------------------------------------------------------------------------------------------+
-| *Exclude*      | Guarantees that if any two rows are compared on the specified column or expression (using the specified operator),  | 
+| *Exclude*      | Guarantees that if any two rows are compared on the specified column or expression (using the specified operator),  |
 |                | at least one of the operator comparisons will return false or null.                                                 |
 +----------------+---------------------------------------------------------------------------------------------------------------------+
 
@@ -65,6 +68,7 @@ Use the fields in the *General* tab to identify the primary key:
 Click the *Definition* tab to continue.
 
 .. image:: images/primary_key_definition.png
+    :alt: Table dialog primary key constraint definition
 
 Use the fields in the *Definition* tab to define the primary key constraint:
 
@@ -75,6 +79,7 @@ Use the fields in the *Definition* tab to define the primary key constraint:
 * If enabled, move the *Deferred?* switch to the *Yes* position to specify the timing of the constraint is deferred to the end of the statement. The default is *No*.
 
 .. image:: images/table_foreign_key.png
+    :alt: Table dialog foreign key constrain
 
 To add a foreign key constraint, select the *Foreign Key* tab, and click the *Add* icon (+). To define the constraint, click the *Edit* icon to the left of the *Trash* icon. A dialog similar to the *Foreign key* dialog (accessed by right clicking on *Constraints* in the *pgAdmin* tree control) opens.
 
@@ -86,23 +91,25 @@ Use the fields in the *General* tab to identify the foreign key constraint:
 Click the *Definition* tab to continue.
 
 .. image:: images/foreign_key_definition.png
+    :alt: Table dialog foreign key constraint definition
 
 Use the fields in the *Definition* tab to define the foreign key constraint:
 
 * Move the *Deferrable?* switch to the *Yes* position to specify the timing of the constraint is deferrable and can be postponed until the end of the statement. The default is *No*.
 * If enabled, move the *Deferred?* switch to the *Yes* position to specify the timing of the constraint is deferred to the end of the statement. The default is *No*.
-* Move the *Match type* switch specify the type of matching that is enforced by the constraint:  
+* Move the *Match type* switch specify the type of matching that is enforced by the constraint:
 
-    * Select *Full* to indicate that all columns of a multicolumn foreign key must be null if any column is null; if all columns are null, the row is not required to have a match in the referenced table.  
+    * Select *Full* to indicate that all columns of a multicolumn foreign key must be null if any column is null; if all columns are null, the row is not required to have a match in the referenced table.
     * Select *Simple* to specify that a single foreign key column may be null; if any column is null, the row is not required to have a match in the referenced table.
-  
+
 * Move the *Validated* switch to the *Yes* position to instruct the server to validate the existing table content (against a foreign key or check constraint) when you save modifications to this dialog.
 * Move the *Auto FK Index* switch to the *No* position to disable the automatic index feature.
-* The field next to *Covering Index* generates the name of an index if the *Auto FK Index* switch is in the *Yes* position; or, this field is disabled. 
+* The field next to *Covering Index* generates the name of an index if the *Auto FK Index* switch is in the *Yes* position; or, this field is disabled.
 
 Click the *Columns* tab to continue.
 
 .. image:: images/foreign_key_columns.png
+    :alt: Table dialog foreign key constraint columns
 
 Use the fields in the *Columns* tab to specify one or more reference column(s).  A Foreign Key constraint requires that one or more columns of a table must only contain values that match values in the referenced column(s) of a row of a referenced table:
 
@@ -115,14 +122,15 @@ Click the *Add* icon (+) to add a column to the list; repeat the steps above and
 Click the *Action* tab to continue.
 
 .. image:: images/foreign_key_action.png
+    :alt: Table dialog foreign key constraint action
 
-Use the drop-down listboxes on the *Action* tab to specify behavior related to the foreign key constraint that will be performed when data within the table is updated or deleted:  
+Use the drop-down listboxes on the *Action* tab to specify behavior related to the foreign key constraint that will be performed when data within the table is updated or deleted:
 
 * Use the drop-down listbox next to *On update* to select an action that will be performed when data in the table is updated.
 * Use the drop-down listbox next to *On delete* to select an action that will be performed when data in the table is deleted.
 
 The supported actions are:
-   
+
 +-------------+------------------------------------------------------------------------------------------------------------+
 | NO ACTION   | Produce an error indicating that the deletion or update will create a foreign key constraint violation.    |
 |             | If the constraint is deferred, this error will be produced at constraint check time if any referencing     |
@@ -141,25 +149,28 @@ The supported actions are:
 +-------------+------------------------------------------------------------------------------------------------------------+
 
 .. image:: images/table_check.png
+    :alt: Table dialog check constraint
 
 To add a check constraint, select the *Check* tab on the panel, and click the *Add* icon (+). To define the check constraint, click the *Edit* icon to the left of the *Trash* icon. A dialog similar to the *Check* dialog (accessed by right clicking on *Constraints* in the *pgAdmin* tree control) opens.
 
 Use the fields in the *General* tab to identify the check constraint:
 
 * Use the *Name* field to add a descriptive name for the check constraint. The name will be displayed in the *pgAdmin* tree control. With PostgreSQL 9.5 forward, when a table has multiple check constraints, they will be tested for each row in alphabetical order by name and after NOT NULL constraints.
-* Provide notes about the check constraint in the *Comment* field. 
+* Provide notes about the check constraint in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/check_definition.png
+    :alt: Table dialog check constraint definition
 
 Use the fields in the *Definition* tab to define the check constraint:
 
 * Provide the expression that a row must satisfy in the *Check* field. This field is required.
-* Move the *No Inherit?* switch to the *Yes* position to specify this constraint is automatically inherited by a table's children. The default is *No*. 
+* Move the *No Inherit?* switch to the *Yes* position to specify this constraint is automatically inherited by a table's children. The default is *No*.
 * Move the *Don't validate?* switch to the *No* position to skip validation of existing data; the constraint may not hold for all rows in the table. The default is *Yes*.
 
 .. image:: images/table_unique.png
+    :alt: Table dialog unique constraint
 
 To add a unique constraint, select the *Unique* tab on the panel, and click the *Add* icon (+). To define the constraint, click the *Edit* icon to the left of the *Trash* icon. A dialog similar to the *Unique constraint* dialog (accessed by right clicking on *Constraints* in the *pgAdmin* tree control) opens.
 
@@ -171,6 +182,7 @@ Use the fields in the *General* tab to identify the unique constraint:
 Click the *Definition* tab to continue.
 
 .. image:: images/unique_constraint_definition.png
+    :alt: Table dialog unique constraint definition
 
 Use the fields in the *Definition* tab to define the unique constraint:
 
@@ -181,6 +193,7 @@ Use the fields in the *Definition* tab to define the unique constraint:
 * If enabled, move the *Deferred?* switch to the *Yes* position to specify the timing of the constraint is deferred to the end of the statement. The default is *No*.
 
 .. image:: images/table_exclude.png
+    :alt: Table dialog exclude constraint
 
 To add an exclusion constraint, select the *Exclude* tab on the panel, and click the *Add* icon (+). To define the constraint, click the *Edit* icon to the left of the *Trash* icon. A dialog similar to the *Exclusion constraint* dialog (accessed by right clicking on *Constraints* in the *pgAdmin* tree control) opens.
 
@@ -192,17 +205,18 @@ Use the fields in the *General* tab to identify the exclusion constraint:
 Click the *Definition* tab to continue.
 
 .. image:: images/exclusion_constraint_definition.png
+    :alt: Table dialog exclusion constraint definition
 
 Use the fields in the *Definition* tab to define the exclusion constraint:
 
-* Use the drop-down listbox next to *Tablespace* to select the tablespace in which the index associated with the exclude constraint will reside. 
-* Use the drop-down listbox next to *Access method* to specify the type of index that will be used when implementing the exclusion constraint: 
+* Use the drop-down listbox next to *Tablespace* to select the tablespace in which the index associated with the exclude constraint will reside.
+* Use the drop-down listbox next to *Access method* to specify the type of index that will be used when implementing the exclusion constraint:
+
+    * Select *gist* to specify a GiST index (the default).
+    * Select *spgist* to specify a space-partitioned GiST index.
+    * Select *btree* to specify a B-tree index.
+    * Select *hash* to specify a hash index.
 
-    * Select *gist* to specify a GiST index (the default).  
-    * Select *spgist* to specify a space-partitioned GiST index. 
-    * Select *btree* to specify a B-tree index.  
-    * Select *hash* to specify a hash index.  
-   
 * Use the *Fill Factor* field to specify a fill factor for the table and associated index. The fill factor is a percentage between 10 and 100. 100 (complete packing) is the default.
 * Move the *Deferrable?* switch to the *Yes* position to specify that the timing of the constraint is deferrable, and can be postponed until the end of the statement. The default is *No*.
 * If enabled, move the *Deferred?* switch to the *Yes* position to specify the timing of the constraint is deferred to the end of the statement. The default is *No*.
@@ -211,8 +225,9 @@ Use the fields in the *Definition* tab to define the exclusion constraint:
 Click the *Columns* tab to continue.
 
 .. image:: images/exclusion_constraint_columns.png
+    :alt: Table dialog exclusion constraint columns
 
-Use the fields in the *Columns* tab to to specify the column(s) to which the constraint applies. Use the drop-down listbox next to *Column* to select a column and click the *Add* icon (+) to provide details of the action on the column: 
+Use the fields in the *Columns* tab to to specify the column(s) to which the constraint applies. Use the drop-down listbox next to *Column* to select a column and click the *Add* icon (+) to provide details of the action on the column:
 
 * The *Column* field is populated with the selection made in the *Column* drop-down listbox.
 * If applicable, use the drop-down listbox in the *Operator class* to specify the operator class that will be used by the index for the column.
@@ -223,10 +238,11 @@ Use the fields in the *Columns* tab to to specify the column(s) to which the con
 Click the *Advanced* tab to continue.
 
 .. image:: images/table_advanced.png
+    :alt: Table dialog advanced tab
 
 Use the fields in the *Advanced* tab to define advanced features for the table:
 
-* Use the drop-down listbox next to *Of type* to copy the table structure from the specified composite type. Please note that a typed table will be dropped if the type is dropped (with DROP TYPE ... CASCADE). 
+* Use the drop-down listbox next to *Of type* to copy the table structure from the specified composite type. Please note that a typed table will be dropped if the type is dropped (with DROP TYPE ... CASCADE).
 * Use the *Fill Factor* field to specify a fill factor for the table. The fill factor for a table is a percentage between 10 and 100. 100 (complete packing) is the default.
 * Move the *Has OIDs?* switch to the *Yes* position to specify that each row within a table has a system-assigned object identifier. The default is *No*.
 * Move the *Unlogged?* switch to the *Yes* position to disable logging for the table. Data written to an unlogged table is not written to the write-ahead log. Any indexes created on an unlogged table are automatically unlogged as well. The default is *No*.
@@ -238,24 +254,26 @@ Use the fields in the **Like** box to specify which attributes of an existing ta
 * Move the *With constraints?* switch to the *Yes* position to copy table and column constraints.
 * Move the *With indexes?* switch to the *Yes* position to copy indexes.
 * Move the *With storage?* switch to the *Yes* position to copy storage settings.
-* Move the *With comments?* switch to the *Yes* position to copy comments.  
+* Move the *With comments?* switch to the *Yes* position to copy comments.
 
 Click the *Parameter* tab to continue.
 
 .. image:: images/table_parameter.png
+    :alt: Table dialog parameter tab
 
 Use the tabs nested inside the *Parameter* tab to specify VACUUM and ANALYZE thresholds; use the *Table* tab and the *Toast Table* tab to customize values for the table and the associated toast table:
 
 * Move the *Custom auto-vacuum?* switch to the *Yes* position to perform custom maintenance on the table.
-* Move the *Enabled?* switch to the *Yes* position to select values in the *Vacuum table*. The *Vacuum Table* provides default values for maintenance operations. 
+* Move the *Enabled?* switch to the *Yes* position to select values in the *Vacuum table*. The *Vacuum Table* provides default values for maintenance operations.
 
-Provide a custom value in the *Value* column for each metric listed in the *Label* column.  
+Provide a custom value in the *Value* column for each metric listed in the *Label* column.
 
 Click the *Security* tab to continue.
 
 .. image:: images/table_security.png
+    :alt: Table dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon (+) to set privileges for database objects:
 
@@ -265,25 +283,26 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the function. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the function. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Table* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Table* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Table* dialog: 
+The following is an example of the sql command generated by user selections in the *Table* dialog:
 
 .. image:: images/table_sql.png
+    :alt: Table dialog sql tab
 
 The example shown demonstrates creating a table named *product_category*. It has three columns and a primary key constraint on the *category_id* column.
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/tablespace_dialog.rst b/docs/en_US/tablespace_dialog.rst
index bc5f1a0..2f21b27 100644
--- a/docs/en_US/tablespace_dialog.rst
+++ b/docs/en_US/tablespace_dialog.rst
@@ -6,27 +6,30 @@ The Tablespace Dialog
 
 Use The *Tablespace* dialog to define a tablespace. A tablespace allows superusers to define an alternative location on the file system where the data files containing database objects (such as tables and indexes) reside. Tablespaces are only supported on systems that support symbolic links. Note that a tablespace cannot be used independently of the cluster in which it is defined.
 
-The *Tablespace* dialog organizes the definition of a tablespace through the following tabs: *General*, *Definition*, *Parameters*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Tablespace* dialog organizes the definition of a tablespace through the following tabs: *General*, *Definition*, *Parameters*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/tablespace_general.png
+    :alt: Tablespace dialog general tab
 
-* Use the *Name* field to identify the tablespace with a descriptive name. The name cannot begin with pg\_; these names are reserved for system tablespaces. 
-* Select the owner of the tablespace from the drop-down listbox in the *Owner* field.  
-* Store notes about the tablespace in the *Comment* field.  
+* Use the *Name* field to identify the tablespace with a descriptive name. The name cannot begin with pg\_; these names are reserved for system tablespaces.
+* Select the owner of the tablespace from the drop-down listbox in the *Owner* field.
+* Store notes about the tablespace in the *Comment* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/tablespace_definition.png
+    :alt: Tablespace dialog definition tab
 
 * Use the *Location* field to specify an absolute path to a directory that will contain the tablespace.
 
 Click the *Parameters* tab to continue.
 
 .. image:: images/tablespace_parameters.png
+    :alt: Tablespace dialog parameters tab
 
 Use the *Parameters* tab to set parameters for the tablespace. Click the *Add* icon (+) to add a row to the table below.
 
-* Use the drop-down listbox next to *Name* to select a parameter. 
+* Use the drop-down listbox next to *Name* to select a parameter.
 * Use the *Value* field to set a value for the parameter.
 
 Click the *Add* icon (+) to specify each additional parameter; to discard a parameter, click the trash icon to the left of the row and confirm deletion in the *Delete Row* dialog.
@@ -34,8 +37,9 @@ Click the *Add* icon (+) to specify each additional parameter; to discard a para
 Click the *Security* tab to continue.
 
 .. image:: images/tablespace_security.png
+    :alt: Tablespace dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels for the tablespace. 
+Use the *Security* tab to assign privileges and define security labels for the tablespace.
 
 Use the *Privileges* panel to assign security privileges. Click the *Add* icon (+) to assign a set of privileges:
 
@@ -45,25 +49,26 @@ Use the *Privileges* panel to assign security privileges. Click the *Add* icon (
 
 Click the *Add* icon to assign additional sets of privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the tablespace. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the tablespace. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 To discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Tablespace* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Tablespace* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Tablespace* dialog: 
+The following is an example of the sql command generated by user selections in the *Tablespace* dialog:
 
 .. image:: images/tablespace_sql.png
+    :alt: Tablespace dialog sql tab
+
+The example shown demonstrates creating a tablespace named *space_01*. It has a *random_page_cost* value equal to *4*.
 
-The example shown demonstrates creating a tablespace named *space_01*. It has a *random_page_cost* value equal to *4*.  
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/trigger_dialog.rst b/docs/en_US/trigger_dialog.rst
index ea4f4d8..cf250fd 100644
--- a/docs/en_US/trigger_dialog.rst
+++ b/docs/en_US/trigger_dialog.rst
@@ -4,11 +4,12 @@
 The Trigger Dialog
 ******************
 
-Use the *Trigger* dialog to create a trigger or modify an existing trigger.  A trigger executes a specified function when certain events occur. 
+Use the *Trigger* dialog to create a trigger or modify an existing trigger.  A trigger executes a specified function when certain events occur.
 
-The *Trigger* dialog organizes the development of a trigger through the following dialog tabs: *General*, *Definition*, *Events*, and *Code*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Trigger* dialog organizes the development of a trigger through the following dialog tabs: *General*, *Definition*, *Events*, and *Code*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/trigger_general.png
+    :alt: Trigger dialog general tab
 
 Use the fields in the *General* tab to identify the trigger:
 
@@ -18,6 +19,7 @@ Use the fields in the *General* tab to identify the trigger:
 Click the *Definition* tab to continue.
 
 .. image:: images/trigger_definition.png
+    :alt: Trigger dialog definition tab
 
 Use the fields in the *Definition* tab to define the trigger:
 
@@ -25,14 +27,15 @@ Use the fields in the *Definition* tab to define the trigger:
 * Move the *Constraint trigger?* switch to the *Yes* position to specify the trigger is a constraint trigger.
 * If enabled, move the *Deferrable?* switch to the *Yes* position to specify the timing of the constraint trigger is deferrable and can be postponed until the end of the statement. The default is *No*.
 * If enabled, move the *Deferred?* switch to the *Yes* position to specify the timing of the constraint trigger is deferred to the end of the statement causing the triggering event. The default is *No*.
-* Use the drop-down listbox next to *Trigger Function* to select a trigger function or procedure. 
-* Use the *Arguments* field to provide an optional (comma-separated) list of arguments to the function when the trigger is executed. The arguments are literal string constants. 
+* Use the drop-down listbox next to *Trigger Function* to select a trigger function or procedure.
+* Use the *Arguments* field to provide an optional (comma-separated) list of arguments to the function when the trigger is executed. The arguments are literal string constants.
 
 Click the *Events* tab to continue.
 
 .. image:: images/trigger_events.png
+    :alt: Trigger dialog events tab
 
-Use the fields in the *Events* tab to specify how and when the trigger fires: 
+Use the fields in the *Events* tab to specify how and when the trigger fires:
 
 * Use the drop-down listbox next to the *Fires* fields to determine if the trigger fires *BEFORE* or *AFTER* a specified event. The default is *BEFORE*.
 * Select the type of event(s) that will invoke the trigger; to select an event type, move the switch next to the event to the *YES* position.  The supported event types are *INSERT*, *UPDATE*, *DELETE*, and *TRUNCATE*.
@@ -42,22 +45,24 @@ Use the fields in the *Events* tab to specify how and when the trigger fires:
 Click the *Code* tab to continue.
 
 .. image:: images/trigger_code.png
+    :alt: Trigger dialog code tab
 
 Use the *Code* field to specify any additional code that will be invoked when the trigger fires.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Trigger* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Trigger* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Trigger* dialog: 
+The following is an example of the sql command generated by user selections in the *Trigger* dialog:
 
 .. image:: images/trigger_sql.png
+    :alt: Trigger dialog sql tab
+
+The example demonstrates creating a trigger named *log_update* that calls a procedure named *log_account_update* that logs any updates to the *distributors* table.
 
-The example demonstrates creating a trigger named *log_update* that calls a procedure named *log_account_update* that logs any updates to the *distributors* table.   
 
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/trigger_function_dialog.rst b/docs/en_US/trigger_function_dialog.rst
index d349d93..cb06abf 100644
--- a/docs/en_US/trigger_function_dialog.rst
+++ b/docs/en_US/trigger_function_dialog.rst
@@ -3,12 +3,13 @@
 ***************************
 The Trigger function Dialog
 ***************************
- 
+
 Use the *Trigger function* dialog to create or manage a trigger_function. A trigger function defines the action that will be invoked when a trigger fires.
 
-The *Trigger function* dialog organizes the development of a trigger function through the following dialog tabs: *General*, *Definition*, *Options*, *Parameters* and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
- 
+The *Trigger function* dialog organizes the development of a trigger function through the following dialog tabs: *General*, *Definition*, *Options*, *Parameters* and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
+
 .. image:: images/trigger_function_general.png
+    :alt: Trigger function dialog general tab
 
 Use the fields in the *General* tab to identify the trigger function:
 
@@ -20,44 +21,47 @@ Use the fields in the *General* tab to identify the trigger function:
 Click the *Definition* tab to continue.
 
 .. image:: images/trigger_function_definition.png
+    :alt: Trigger function dialog definition tab
 
 Use the fields in the *Definition* tab to define the trigger function:
 
-* Use the drop-down listbox next to *Return type* to specify the pseudotype that is associated with the trigger function: 
+* Use the drop-down listbox next to *Return type* to specify the pseudotype that is associated with the trigger function:
 
    * Select *trigger* if you are creating a DML trigger.
    * Select *event_trigger* if you are creating a DDL trigger.
-   
+
 * Use the drop-down listbox next to *Language* to select the implementation language. The default is *plpgsql*.
 * Use the *Code* field to write the code that will execute when the trigger function is called.
 
 Click the *Options* tab to continue.
 
 .. image:: images/trigger_function_options.png
+    :alt: Trigger function dialog options tab
 
 Use the fields in the *Options* tab to describe or modify the action of the trigger function:
 
-* Use the drop-down listbox next to *Volatility* to select one of the following: 
+* Use the drop-down listbox next to *Volatility* to select one of the following:
 
-    * *VOLATILE* indicates that the trigger function value can change even within a single table scan. 
+    * *VOLATILE* indicates that the trigger function value can change even within a single table scan.
     * *STABLE* indicates that the trigger function cannot modify the database, and that within a single table scan it will consistently return the same result for the same argument values.
     * *IMMUTABLE* indicates that the trigger function cannot modify the database and always returns the same result when given the same argument values.
-    
-* Move the *Returns a Set?* switch to indicate if the trigger function returns a set that includes multiple rows. The default is *No*. 
+
+* Move the *Returns a Set?* switch to indicate if the trigger function returns a set that includes multiple rows. The default is *No*.
 * Move the *Strict?* switch to indicate if the trigger function always returns NULL whenever any of its arguments are NULL. If *Yes*, the function is not executed when there are NULL arguments; instead a NULL result is assumed automatically. The default is *No*.
 * Move the *Security of definer?* switch to specify that the trigger function is to be executed with the privileges of the user that created it. The default is *No*.
-* Move the *Window?* switch to indicate that the trigger function is a window function rather than a plain function. The default is *No*. This is currently only useful for trigger functions written in C. 
-* Use the *Estimated cost* field to specify a positive number representing the estimated execution cost for the trigger function, in units of cpu_operator_cost. If the function returns a set, this is the cost per returned row. 
-* Use the *Estimated rows* field to specify a positive number giving the estimated number of rows that the query planner should expect the trigger function to return. This is only allowed when the function is declared to return a set. The default assumption is 1000 rows. 
+* Move the *Window?* switch to indicate that the trigger function is a window function rather than a plain function. The default is *No*. This is currently only useful for trigger functions written in C.
+* Use the *Estimated cost* field to specify a positive number representing the estimated execution cost for the trigger function, in units of cpu_operator_cost. If the function returns a set, this is the cost per returned row.
+* Use the *Estimated rows* field to specify a positive number giving the estimated number of rows that the query planner should expect the trigger function to return. This is only allowed when the function is declared to return a set. The default assumption is 1000 rows.
 * Move the *Leak proof?* switch to indicate whether the trigger function has side effects. The default is *No*. This option can only be set by the superuser.
 
 Click the *Parameters* tab to continue.
 
 .. image:: images/trigger_function_parameters.png
+    :alt: Trigger function dialog parameters tab
 
 Use the fields in the *Parameters* tab to specify settings that will be applied when the trigger function is invoked. Click the *Add* icon (+) to add a *Name*/*Value* pair to the table below.
 
-* Use the drop-down listbox in the *Name* field to select a parameter. 
+* Use the drop-down listbox in the *Name* field to select a parameter.
 * Use the *Value* field to specify the value that will be associated with the selected parameter. This field is context-sensitive.
 
 Click the *Add* icon (+) to set additional parameters; to discard a parameter, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
@@ -65,8 +69,9 @@ Click the *Add* icon (+) to set additional parameters; to discard a parameter, c
 Click the *Security* tab to continue.
 
 .. image:: images/trigger_function_security.png
+    :alt: Trigger function dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign usage privileges for the trigger function to a role. Click the *Add* icon (+) to to add a role to the table.
 
@@ -76,22 +81,23 @@ Use the *Privileges* panel to assign usage privileges for the trigger function t
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the trigger function. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the trigger function. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Trigger function* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit other tabs to modify the SQL command. 
+Your entries in the *Trigger function* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit other tabs to modify the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Trigger function* dialog: 
+The following is an example of the sql command generated by user selections in the *Trigger function* dialog:
 
 .. image:: images/trigger_function_sql.png
+    :alt: Trigger function dialog sql tab
 
 The example shown demonstrates creating a trigger function named *emp_stamp* that checks for a new employee's name, and checks that the employee's salary is a positive value.
 
diff --git a/docs/en_US/type_dialog.rst b/docs/en_US/type_dialog.rst
index 3d8ab64..6c5b611 100644
--- a/docs/en_US/type_dialog.rst
+++ b/docs/en_US/type_dialog.rst
@@ -1,18 +1,19 @@
 .. _type_dialog:
 
 ***************
-The Type Dialog   
+The Type Dialog
 ***************
 
-Use the *Type* dialog to register a custom data type.  
+Use the *Type* dialog to register a custom data type.
 
-The *Type* dialog organizes the development of a data type through the following dialog tabs: *General*, *Definition*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Type* dialog organizes the development of a data type through the following dialog tabs: *General*, *Definition*, and *Security*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/type_general.png
+    :alt: Type dialog general tab
 
 Use the fields in the *General* tab to identify the custom data type:
 
-* Use the *Name* field to add a descriptive name for the type. The name will be displayed in the *pgAdmin* tree control. The type name must be distinct from the name of any existing type, domain, or table in the same schema. 
+* Use the *Name* field to add a descriptive name for the type. The name will be displayed in the *pgAdmin* tree control. The type name must be distinct from the name of any existing type, domain, or table in the same schema.
 * Use the drop-down listbox next to *Owner* to select the role that will own the type.
 * Select the name of the schema in which the type will reside from the drop-down listbox in the *Schema* field.
 * Store notes about the type in the *Comments* field.
@@ -21,31 +22,33 @@ Click the *Definition* tab to continue.
 
 Select a data type from the drop-down listbox next to *Type* on the *Definition* tab; the panel below changes to display the options appropriate for the selected data type. Use the fields in the panel to define the data type.
 
-There are five data types: 
+There are five data types:
 
  * *Composite Type*
  * *Enumeration Type*
  * *Range Type*
  * *External Type* (or *Base Type*)
- * *Shell Type* 
+ * *Shell Type*
 
-If you select *Composite* in the *Type* field, the *Definition* tab displays the *Composite Type* panel: 
+If you select *Composite* in the *Type* field, the *Definition* tab displays the *Composite Type* panel:
 
 .. image:: images/type_composite.png
+    :alt: Type dialog composite section
 
 Click the *Add* icon (+) to provide attributes of the type. Fields on the *General* panel are context sensitive and may be disabled.
 
 * Use the *Member Name* field to add an attribute name.
-* Use the drop-down listbox in the *Type* field to select a datatype. 
-* Use the *Length/Precision* field to specify the maximum length of a non-numeric type, or the total count of significant digits in a numeric type. 
-* Use the *Scale* field to specify the number of digits to the right of the decimal point.  
+* Use the drop-down listbox in the *Type* field to select a datatype.
+* Use the *Length/Precision* field to specify the maximum length of a non-numeric type, or the total count of significant digits in a numeric type.
+* Use the *Scale* field to specify the number of digits to the right of the decimal point.
 * Use the drop-down listbox in the *Collation* field to select a collation (if applicable).
- 
+
 Click the *Add* icon (+) to define an additional member; click the trash icon to the left of the row to discard a row.
 
 If you select the *Enumeration* in the *Type* field, the *Definition* tab displays the *Enumeration Type* panel:
 
 .. image:: images/type_enumeration.png
+    :alt: Type dialog enumeration section
 
 Click the *Add* icon (+) to provide a label for the type.
 
@@ -53,20 +56,21 @@ Click the *Add* icon (+) to provide a label for the type.
 
 Click the *Add* icon (+) after each selection to create additional labels; to discard a label, click the trash icon to the left of the row.
 
-If you select *External*, the *Definition* tab displays the *External Type* panel:  
+If you select *External*, the *Definition* tab displays the *External Type* panel:
 
 .. image:: images/type_external.png
+    :alt: Type dialog external section
 
 On the *Required* tab:
 
-* Use the drop-down listbox next to the *Input function* field to add an input_function. The input_function converts the type's external textual representation to the internal representation used by the operators and functions defined for the type. 
+* Use the drop-down listbox next to the *Input function* field to add an input_function. The input_function converts the type's external textual representation to the internal representation used by the operators and functions defined for the type.
 * Use the drop-down listbox next to the *Output function* field to add an output_function. The output_function converts the type's internal representation used by the operators and functions defined for the type to the type's external textual representation.
 
 On the *Optional-1* tab:
 
-* Use the drop-down listbox next to the optional *Receive Function* field to select a receive_function. The optional receive_function converts the type's external binary representation to the internal representation. If this function is not supplied, the type cannot participate in binary input. 
+* Use the drop-down listbox next to the optional *Receive Function* field to select a receive_function. The optional receive_function converts the type's external binary representation to the internal representation. If this function is not supplied, the type cannot participate in binary input.
 * Use the drop-down listbox next to the optional *Send function* field to select a send_function. The optional send_function converts from the internal representation to the external binary representation. If this function is not supplied, the type cannot participate in binary output.
-* Use the drop-down listbox next to the optional *Typmod in function* field tab to select a type_modifier_input_function. 
+* Use the drop-down listbox next to the optional *Typmod in function* field tab to select a type_modifier_input_function.
 * Use the drop-down listbox next to the optional *Typmod out function* field tab to select a type_modifier_output_function. It is allowed to omit the type_modifier_output_function, in which case the default display format is the stored typmod integer value enclosed in parentheses.
 * Use the optional *Internal length* to specify a value for internal representation.
 * Move the *Variable?* switch to specify the internal representation is of variable length (VARIABLE). The default is a fixed length positive integer.
@@ -77,34 +81,37 @@ On the *Optional-1* tab:
 
 On the *Optional-2* tab:
 
-* Use the drop-down listbox next to the optional *Element type* field to specify a data type.  
+* Use the drop-down listbox next to the optional *Element type* field to specify a data type.
 * Use the optional *Delimiter* field to indicate the delimiter to be used between values in the external representation of arrays for this data type. The default delimiter is the comma (,). Note that the delimiter is associated with the array element type, not the array type itself.
 * Use the drop-down listbox next to *Alignment type* to specify the storage alignment required for the data type.  The allowed values (char, int2, int4, and double) correspond with alignment on 1, 2, 4, or 8 byte boundaries.
-* Use the drop-down listbox next to optional *Storage type* to select a strategy for storing data.  
+* Use the drop-down listbox next to optional *Storage type* to select a strategy for storing data.
 * Move the *Passed by value?* switch to *Yes* to override the existing data type value. The default is *No*.
 * Move the *Collatable?* switch to *Yes* to specify column definitions and expressions of the type may carry collation information through use of the COLLATE clause. The default is *No*.
 
-If you select *Range* in the *Type* field, the *Definition* tab displays the *Range* panel. Fields on the *Range* panel are context-sensitive and may be disabled.  
+If you select *Range* in the *Type* field, the *Definition* tab displays the *Range* panel. Fields on the *Range* panel are context-sensitive and may be disabled.
 
 .. image:: images/type_range.png
+    :alt: Type dialog range section
 
-* Use the drop-down listbox next to *Sub-type* to select an associated b-tree operator class (to determine the ordering of values for the range type). 
-* Use the drop-down listbox next to *Sub-type operator class* to use a non-default operator class. 
+* Use the drop-down listbox next to *Sub-type* to select an associated b-tree operator class (to determine the ordering of values for the range type).
+* Use the drop-down listbox next to *Sub-type operator class* to use a non-default operator class.
 * Use the drop-down listbox next to *Collation* to use a non-default collation in the range's ordering if the sub-type is collatable.
-* Use the drop-down listbox next to *Canonical function* to convert range values to a canonical form.  
+* Use the drop-down listbox next to *Canonical function* to convert range values to a canonical form.
 * Use the drop-down listbox next to *Sub-type diff function* to select a user-defined subtype_diff function.
 
 If you select *Shell* in the *Type* field, the *Definition* tab displays the *Shell* panel:
 
 .. image:: images/type_shell.png
+    :alt: Type dialog shell section
 
 A shell type is a placeholder for a type and has no parameters.
 
 Click the *Security* tab to continue.
 
 .. image:: images/type_security.png
+    :alt: Type dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign privileges for the type; click the *Add* icon (+) to grant privileges:
 
@@ -114,10 +121,10 @@ Use the *Privileges* panel to assign privileges for the type; click the *Add* ic
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the type. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the type. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
@@ -127,13 +134,14 @@ Your entries in the *Type* dialog generate a SQL command (see an example below).
 
 **Example**
 
-The following is an example of a sql command generated by user selections made in the *Type* dialog: 
+The following is an example of a sql command generated by user selections made in the *Type* dialog:
 
 .. image:: images/type_sql.png
+    :alt: Type dialog sql tab
 
 The example shown demonstrates creating a data type named *work_order*. The data type is an enumerated type with three labels: new, open and closed.
- 
-* Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation. 
+
+* Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
 * Click the *Reset* button to restore configuration parameters.
diff --git a/docs/en_US/unique_constraint_dialog.rst b/docs/en_US/unique_constraint_dialog.rst
index fdce248..76acc9d 100644
--- a/docs/en_US/unique_constraint_dialog.rst
+++ b/docs/en_US/unique_constraint_dialog.rst
@@ -1,14 +1,15 @@
 .. _unique_constraint_dialog:
 
 ****************************
-The Unique Constraint Dialog  
+The Unique Constraint Dialog
 ****************************
 
-Use the *Unique constraint* dialog to define a unique constraint for a specified table. Unique constraints ensure that the data contained in a column, or a group of columns, is unique among all the rows in the table. 
+Use the *Unique constraint* dialog to define a unique constraint for a specified table. Unique constraints ensure that the data contained in a column, or a group of columns, is unique among all the rows in the table.
 
-The *Unique constraint* dialog organizes the development of a unique constraint through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *Unique constraint* dialog organizes the development of a unique constraint through the following dialog tabs: *General* and *Definition*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/unique_constraint_general.png
+    :alt: Unique Constraint dialog general tab
 
 Use the fields in the *General* tab to identify the unique constraint:
 
@@ -17,6 +18,7 @@ Use the fields in the *General* tab to identify the unique constraint:
 Click the *Definition* tab to continue.
 
 .. image:: images/unique_constraint_definition.png
+    :alt: Unique Constraint dialog definition tab
 
 Use the fields in the *Definition* tab to define the unique constraint:
 
@@ -29,17 +31,18 @@ Use the fields in the *Definition* tab to define the unique constraint:
 
 Click the *SQL* tab to continue.
 
-Your entries in the *Unique constraint* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *Unique constraint* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *Unique constraint* dialog: 
+The following is an example of the sql command generated by user selections in the *Unique constraint* dialog:
 
 .. image:: images/unique_constraint_sql.png
+    :alt: Unique Constraint dialog sql tab
 
 The example shown demonstrates creating a unique constraint named *name_con* on the *name* column of the *distributors* table.
 
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/user_mapping_dialog.rst b/docs/en_US/user_mapping_dialog.rst
index 4842d86..354cc6d 100644
--- a/docs/en_US/user_mapping_dialog.rst
+++ b/docs/en_US/user_mapping_dialog.rst
@@ -6,40 +6,43 @@ The User Mapping Dialog
 
 Use the *User Mapping* dialog to define a new mapping of a user to a foreign server.
 
-The *User Mapping* dialog organizes the development of a user mapping through the following dialog tabs: *General* and *Options*. The *SQL* tab displays the SQL code generated by dialog selections. 
+The *User Mapping* dialog organizes the development of a user mapping through the following dialog tabs: *General* and *Options*. The *SQL* tab displays the SQL code generated by dialog selections.
 
 .. image:: images/user_mapping_general.png
+    :alt: User Mapping dialog general tab
 
 Use the drop-down listbox in the *User* field in the *General* tab to identify the connecting role:
 
 * Select *CURRENT_USER* to use the name of the current role.
 * Select *PUBLIC* if no other user-specific mapping is applicable.
 * Select a pre-defined role name to specify the name of an existing user.
-  
+
 Click the *Options* tab to continue.
 
 .. image::  images/user_mapping_options.png
+    :alt: User Mapping dialog options tab
 
-Use the fields in the *Options* tab to specify connection options; the accepted option names and values are specific to the foreign data wrapper associated with the server specified in the user mapping. Click the *Add* button to add an option/value pair. 
+Use the fields in the *Options* tab to specify connection options; the accepted option names and values are specific to the foreign data wrapper associated with the server specified in the user mapping. Click the *Add* button to add an option/value pair.
 
-* Specify the option name in the *Option* field. 
-* Provide a corresponding value in the *Value* field.  
+* Specify the option name in the *Option* field.
+* Provide a corresponding value in the *Value* field.
 
 Click *Add* to specify each additional option/value pair; to discard an option, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *User Mapping* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *User Mapping* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *User Mapping* dialog: 
+The following is an example of the sql command generated by user selections in the *User Mapping* dialog:
 
 .. image:: images/user_mapping_sql.png
+    :alt: User Mapping dialog sql tab
 
 The example shown demonstrates a user mapping for the *hdfs_server*. The user is *CURRENT_USER* with a password *secret*.
 
- 
+
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
diff --git a/docs/en_US/view_dialog.rst b/docs/en_US/view_dialog.rst
index 889561d..0aea2c8 100644
--- a/docs/en_US/view_dialog.rst
+++ b/docs/en_US/view_dialog.rst
@@ -3,39 +3,42 @@
 ***************
 The View Dialog
 ***************
- 
+
 Use the *View* dialog to define a view. The view is not physically materialized; the query is executed each time the view is referenced in a query.
 
-The *View* dialog organizes the development of a View through the following dialog tabs: *General*, *Definition*, and *Security*". The *SQL* tab displays the SQL code generated by dialog selections. 
- 
+The *View* dialog organizes the development of a View through the following dialog tabs: *General*, *Definition*, and *Security*". The *SQL* tab displays the SQL code generated by dialog selections.
+
 Click the *General* tab to begin.
 
 .. image:: images/view_general.png
+    :alt: View dialog general tab
 
 Use the fields in the *General* tab to identify a view:
 
 * Use the *Name* field to add a descriptive name for the view. The name of the view must be distinct from the name of any other view, table, sequence, index or foreign table in the same schema. The name will be displayed in the *pgAdmin* tree control.
 * Use the drop-down listbox next to *Owner* to select the role that will own the view.
-* If applicable, select the name of the schema in which the view will reside from the drop-down listbox in the *Schema* field. 
+* If applicable, select the name of the schema in which the view will reside from the drop-down listbox in the *Schema* field.
 * Store notes about the view in the *Comments* field.
 
 Click the *Definition* tab to continue.
 
 .. image:: images/view_definition.png
+    :alt: View dialog definition tab
 
 Use the fields in the *Definition* tab to define properties of the view:
 
 * Set the *Security Barrier* switch to *Yes* to indicate that the view is to act as a security barrier.  For more information about defining and using a security barrier rule, see Section 38.5 of the PostgreSQL documentation.
-* Use the drop-down listbox next to *Check options* to select from *No*, *Local* or *Cascaded*. 
+* Use the drop-down listbox next to *Check options* to select from *No*, *Local* or *Cascaded*.
    The *Local* option specifies that new rows are only checked against the conditions defined in the view. Any conditions defined on underlying base views are not checked (unless you specify the CHECK OPTION).
-   The *Cascaded* option specifies new rows are checked against the conditions of the view and all underlying base views.    
+   The *Cascaded* option specifies new rows are checked against the conditions of the view and all underlying base views.
 * Use the workspace in the *Definition* field to write a query to create a view.
 
 Click the *Security* tab to continue.
 
 .. image:: images/view_security.png
+    :alt: View dialog security tab
 
-Use the *Security* tab to assign privileges and define security labels.  
+Use the *Security* tab to assign privileges and define security labels.
 
 Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon (+) to set privileges for the view:
 
@@ -45,25 +48,26 @@ Use the *Privileges* panel to assign privileges to a role. Click the *Add* icon
 
 Click the *Add* icon (+) to assign additional privileges; to discard a privilege, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
-Use the *Security Labels* panel to define security labels applied to the view. Click the *Add* icon (+) to add each security label selection: 
+Use the *Security Labels* panel to define security labels applied to the view. Click the *Add* icon (+) to add each security label selection:
 
 * Specify a security label provider in the *Provider* field. The named provider must be loaded and must consent to the proposed labeling operation.
-* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them. 
+* Specify a a security label in the *Security Label* field. The meaning of a given label is at the discretion of the label provider. PostgreSQL places no restrictions on whether or how a label provider must interpret security labels; it merely provides a mechanism for storing them.
 
 Click the *Add* icon (+) to assign additional security labels; to discard a security label, click the trash icon to the left of the row and confirm deletion in the *Delete Row* popup.
 
 Click the *SQL* tab to continue.
 
-Your entries in the *View* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command. 
+Your entries in the *View* dialog generate a SQL command (see an example below). Use the *SQL* tab for review; revisit or switch tabs to make any changes to the SQL command.
 
 **Example**
 
-The following is an example of the sql command generated by user selections in the *View* dialog: 
+The following is an example of the sql command generated by user selections in the *View* dialog:
 
 .. image:: images/view_sql.png
+    :alt: View dialog sql tab
+
+The example shown demonstrates creating a view named *distributor_codes* that includes the content of the *code* column from the *distributors* table.
 
-The example shown demonstrates creating a view named *distributor_codes* that includes the content of the *code* column from the *distributors* table.  
- 
 * Click the *Info* button (i) to access online help. View context-sensitive help in the *Tabbed browser*, where a new tab displays the PostgreSQL core documentation.
 * Click the *Save* button to save work.
 * Click the *Cancel* button to exit without saving work.
